--
-- PostgreSQL database dump
--

SET client_encoding = 'UTF8';
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: postgres
--

COMMENT ON SCHEMA public IS 'Standard public schema';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: acctype; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE acctype (
    id serial NOT NULL,
    description text
);


--
-- Name: acctype_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('acctype', 'id'), 5, true);


--
-- Name: awards; Type: TABLE; Schema: public; Owner: chckens; Tablespace: 
--

CREATE TABLE awards (
    id serial NOT NULL,
    username text,
    score integer,
    whn timestamp(0) without time zone,
    who text,
    why text
);


--
-- Name: awards_id_seq; Type: SEQUENCE SET; Schema: public; Owner: chckens
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('awards', 'id'), 25, true);


--
-- Name: bookcategories; Type: TABLE; Schema: public; Owner: chckens; Tablespace: 
--

CREATE TABLE bookcategories (
    id serial NOT NULL,
    name text
);


ALTER TABLE public.bookcategories OWNER TO chckens;

--
-- Name: bookcategories_id_seq; Type: SEQUENCE SET; Schema: public; Owner: chckens
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('bookcategories', 'id'), 7, true);


--
-- Name: books; Type: TABLE; Schema: public; Owner: arthur; Tablespace: 
--

CREATE TABLE books (
    id integer DEFAULT nextval(('"books_id_seq"'::text)::regclass) NOT NULL,
    title text,
    author text,
    keywords text,
    comments text,
    onloan boolean,
    loandate timestamp with time zone,
    publisher text,
    loanwho text,
    got boolean,
    isbn text,
    amazon_data text,
    image_url text
);


ALTER TABLE public.books OWNER TO arthur;

--
-- Name: books_id_seq; Type: SEQUENCE; Schema: public; Owner: arthur
--

CREATE SEQUENCE books_id_seq
    INCREMENT BY 1
    MAXVALUE 2147483647
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.books_id_seq OWNER TO arthur;

--
-- Name: books_id_seq; Type: SEQUENCE SET; Schema: public; Owner: arthur
--

SELECT pg_catalog.setval('books_id_seq', 148, true);


--
-- Name: booktags; Type: TABLE; Schema: public; Owner: chckens; Tablespace: 
--

CREATE TABLE booktags (
    bookid integer,
    tag integer
);


ALTER TABLE public.booktags OWNER TO chckens;

--
-- Name: events; Type: TABLE; Schema: public; Owner: chckens; Tablespace: 
--

CREATE TABLE events (
    id serial NOT NULL,
    name text,
    "location" text,
    whn timestamp(0) without time zone
);


ALTER TABLE public.events OWNER TO chckens;

--
-- Name: events_id_seq; Type: SEQUENCE SET; Schema: public; Owner: chckens
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('events', 'id'), 1, false);


--
-- Name: games; Type: TABLE; Schema: public; Owner: chckens; Tablespace: 
--

CREATE TABLE games (
    id serial NOT NULL,
    name text,
    connect text
);


ALTER TABLE public.games OWNER TO chckens;

--
-- Name: games_id_seq; Type: SEQUENCE SET; Schema: public; Owner: chckens
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('games', 'id'), 5, true);


--
-- Name: menu; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE menu (
    id serial NOT NULL,
    title text NOT NULL,
    parent integer,
    menuorder integer,
    target text,
    title_cy text,
    permission text
);


ALTER TABLE public.menu OWNER TO dez;

--
-- Name: menu_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('menu', 'id'), 37, true);


--
-- Name: news; Type: TABLE; Schema: public; Owner: chckens; Tablespace: 
--

CREATE TABLE news (
    id serial NOT NULL,
    title text,
    body text,
    date timestamp(0) without time zone,
    category character varying(15),
    sticky boolean,
    author character varying(20),
    expiry timestamp(0) without time zone DEFAULT (now() + '1 mon'::interval)
);


ALTER TABLE public.news OWNER TO chckens;

--
-- Name: news_id_seq; Type: SEQUENCE SET; Schema: public; Owner: chckens
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('news', 'id'), 13, true);


--
-- Name: pagemap; Type: TABLE; Schema: public; Owner: arthur; Tablespace: 
--

CREATE TABLE pagemap (
    id serial NOT NULL,
    path text,
    depth integer,
    component text
);


ALTER TABLE public.pagemap OWNER TO arthur;

--
-- Name: pagemap_id_seq; Type: SEQUENCE SET; Schema: public; Owner: arthur
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pagemap', 'id'), 34, true);


--
-- Name: pastebin; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE pastebin (
    id serial NOT NULL,
    created timestamp(0) without time zone DEFAULT now(),
    username character varying(50),
    code text,
    highlighted_code text,
    "language" character varying(10),
    retain_til timestamp(0) with time zone DEFAULT ('now'::text)::timestamp(0) with time zone
);


ALTER TABLE public.pastebin OWNER TO dez;

--
-- Name: pastebin_comment; Type: TABLE; Schema: public; Owner: arthur; Tablespace: 
--

CREATE TABLE pastebin_comment (
    id integer,
    line integer,
    username character varying(50),
    created timestamp(0) without time zone,
    "comment" text
);


ALTER TABLE public.pastebin_comment OWNER TO arthur;

--
-- Name: pastebin_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('pastebin', 'id'), 27, true);


--
-- Name: redirect; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE redirect (
    id serial NOT NULL,
    from_uri text,
    to_uri text
);


ALTER TABLE public.redirect OWNER TO dez;

--
-- Name: redirect_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('redirect', 'id'), 18, true);


--
-- Name: session; Type: TABLE; Schema: public; Owner: arthur; Tablespace: 
--

CREATE TABLE "session" (
    hash text,
    username text,
    "time" timestamp(0) without time zone,
    data text,
    ip text
);


ALTER TABLE public."session" OWNER TO arthur;

--
-- Name: shorturi; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE shorturi (
    id serial NOT NULL,
    url text,
    creator text,
    created timestamp without time zone
);


ALTER TABLE public.shorturi OWNER TO dez;

--
-- Name: shorturi_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('shorturi', 'id'), 16, true);


--
-- Name: static; Type: TABLE; Schema: public; Owner: dez; Tablespace: 
--

CREATE TABLE static (
    id serial NOT NULL,
    path text,
    summary text,
    editor text,
    pageorder integer
);


ALTER TABLE public.static OWNER TO dez;

--
-- Name: static_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dez
--

SELECT pg_catalog.setval(pg_catalog.pg_get_serial_sequence('static', 'id'), 55, true);


--
-- Data for Name: acctype; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY acctype (id, description) FROM stdin;
1	public
2	non-member
3	member
4	moderator
5	admin
\.


--
-- Data for Name: awards; Type: TABLE DATA; Schema: public; Owner: chckens
--

COPY awards (id, username, score, whn, who, why) FROM stdin;
1	chckens	2	2006-08-24 13:37:55	chckens	For porting the banana viewer to the new site
2	Dez	5	2006-08-25 11:36:23	chckens	For obtaining nicer banana images
3	frosty	-50	2006-08-25 12:01:59	chckens	For deciding that the website will be launched on 18th August... then doing next-to-nothing to make this happen
248	frosty	2	2006-06-14 14:55:04	welshbyte	For hoovering the beach party remnants out of the room
249	welshbyte	-1	2006-06-20 16:57:06	arthur	For putting an entry on the sucs wiki (webdav) which links to an offsite personal page. External pages, and even personal local pages, are to be considered transient and are to be avoided.
250	arthur	1	2006-06-30 00:09:34	worldinsideme	For creating a wiki to help the admin team get organised
7	arthur	-50	2006-08-25 18:25:21	chckens	For not using paramaterised queries
251	wedge	-1	2006-07-06 23:37:03	welshbyte	For trying to extort money out of people by tempting them with shiny yellow SUCS bananas. Shame on you.
9	chckens	-50	2006-08-26 21:16:48	arthur	For wasting time messing about with unnecessarily complicated features in a rohan inspired over engineering effort
10	chckens	-2	2006-08-26 21:20:04	arthur	For not even attempting an admin form for bananas
252	firefury	-1	2006-07-06 23:47:13	wedge	for being 'a complete tit' (by his own admission)
253	elsmorian	-1	2006-07-06 23:48:37	wedge	for awarding everyone else bananas for campus-scouring but not me in a heartbreaking fashion
254	worldinsideme	1	2006-08-10 19:51:18	chckens	For his impressive display of optimism in the what-time-will-the-network-explode contest on Monday evening
255	davea	1	2006-08-10 19:52:40	chckens	For eventually getting around to implementing the games server access control system
257	rohan	3	2006-09-13 09:53:04	pwb	For donating a long Cat5 cable to SUCS in my hour of need
258	rohan	3	2006-09-13 15:03:47	pwb	Performing a life-saving PSU transplant on silver
259	sara	2	2006-09-21 23:25:35	saya	For coming up with a neat idea for Freshers' and _doing_ it :) (and also for cooking a lush Chinese in the same night).
260	elsmorian	-1	2006-09-21 23:27:24	saya	For giving me a green banana for "breaking the sink" when it was already broken.
261	frosty	1	2006-09-21 23:29:34	saya	For coming over to Sara's this evening and talking Fresher's and being productive.
262	rollercow	-1	2006-09-23 00:38:38	welshbyte	For giving a society an account without getting the membership fee first.
144	Dez	3	2005-01-25 13:46:11	rollercow	For creating the page style of the 2004/5 members CD, The help wiki, and a new links system
256	Dez	2	2006-08-18 19:01:17	welshbyte	For being the person doing the most work towards developing a new SUCS website.
236	saya	-1	2006-06-10 10:33:36	elsmorian	For breaking the sink &amp; U-bend and promising to fix it, then going home!
13	chckens	1	2006-09-29 17:39:44	chckens	For creating a web interface to allow people to award bananas
199	vortex	1	2005-10-04 16:30:58	wedge	For helping out at Freshers' Fayre.
200	chckens	2	2005-10-04 16:31:37	wedge	For tons of help at Freshers' Fayre 2005 over more than one day.
201	wedge	1	2005-11-10 11:32:28	elsmorian	For giving me a loverly big bar of Galaxy for my Birthday.
202	wedge	1	2005-12-21 06:56:21	talyn256	For his delicious nifties. And general niftiness. And giving me a Christmas card. Which I chewed up and abandoned.
203	arthur	1	2005-12-21 06:57:38	talyn256	For helping me out with C.
204	saya	2	2006-02-20 13:44:15	wedge	For cleaning the sink, U-bend, etc. Superb dedication and hard work won the day.
205	saya	1	2006-03-02 21:12:51	wedge	For making me laugh a stupid amount with her 'Firefury has a sister?' comment (following a nearly-identical comment made by him referring to Saya's sister). Perhaps you had to be there, perhaps it was just awesome.
206	rollercow	1	2006-03-06 16:24:27	wedge	For fixing the webcam (but not the java stream viewer)
207	psycodom	1	2006-03-09 11:52:34	wedge	For checking an awkward line number for a Shakespeare thing for me. It was useful and saved me time and effort and stuff.
208	akyan	1	2006-03-16 19:22:47	chckens	For running a massive long network cable between the dining room and Divas... and getting through merely double the minimum number of RJ45 plugs
209	bogglesteinsky	1	2006-03-16 19:30:34	chckens	For running a massive long network cable between the dining room and Divas... And sitting patiently in a dark corner for a long time before we actually made the thing work
210	talyn256	1	2006-03-16 21:46:31	chckens	For running a massive long network cable between the dining room and Divas... Or so I'm told, cause you ran off before I actually saw you do anything ;-)
211	elsmorian	1	2006-03-16 21:53:02	talyn256	For hosting the SUCS Red Dwarf night every week without fail. And having a massive room with a massive projector screen.
212	elsmorian	-1	2006-03-22 17:32:25	welshbyte	For consistently not getting a hair cut
213	elsmorian	1	2006-03-22 17:36:46	saya	For all those times he's put the cleaner over in the room. _Now_ will you stop complaining :)
214	LIS	-10	2006-01-10 05:06:06	welshbyte	For firewalling off nntp, being slow at replying to emails, not implementing IPv6 and for having an insane OS on most of their machines. Ah that feels better.
215	saya	1	2006-03-22 20:51:37	chckens	For brightening up the room by making colourful updated versions of the "Did you know?" posters... and recycling (mutilating?) some old Ubuntu discs into an attractive wall decoration
216	rollercow	1	2006-03-23 00:12:10	saya	For helping me print out new posters for the room :)
217	chckens	1	2006-03-23 00:12:32	saya	For helping me print out new posters for the room :)
218	welshbyte	1	2006-03-23 00:15:54	saya	For helping me print out new posters for the room :)
219	vortex	1	2006-03-23 09:26:50	saya	For taking me all the to Asda to get my toffypop fix the other day ^^
220	vortex	2	2006-05-13 22:42:51	seymansey	For kindly giving me a SVideo cable for my powerbook and letting me whine to him about the AIAPPs c/w
221	welshbyte	1	2006-05-14 21:36:43	wedge	For his Communist-fighting haircut. I promise to remember its proud service in Vietnam every Veterans' Day.
222	frosty	-155	2006-05-30 15:34:38	rollercow	6 months+ to sort out a logo? Need I say more?
223	welshbyte	-1	2006-05-30 17:20:08	jo	For moving his head out of optimum trajectory thus causing the mighty power of a flip flop to ravage silver.
224	frosty	3	2006-06-04 16:35:45	rollercow	For <b>finally</b> sorting out the replacement logos.
225	chckens	2	2006-06-04 17:13:53	rollercow	For audting and converting to PHP5 bits of the sucs website.
226	chckens	1	2006-06-04 17:14:46	rollercow	For reimplementing the vote script, in a more sane fashion.
227	sits	2	2006-06-04 17:16:50	rollercow	For helping to upgrade to FC5, and being master of all things related to selinux.
228	saya	1	2006-06-04 17:19:12	rollercow	For biting certian people.
229	saya	-1	2006-06-04 17:19:22	rollercow	For biting certian people.
230	pwb	1	2006-06-04 17:23:25	rollercow	For finally returning said wok
231	frosty	3	2006-06-10 00:22:45	worldinsideme	For announcing the logo on time!
232	vortex	1	2006-06-10 00:26:50	frosty	Taking us to Tescos to buy party supplies!
233	vortex	-1	2006-06-10 00:27:19	frosty	Dropping us off at some traffic lights and driving back to Port Talbot with all of our shopping still in your boot!
234	vortex	1	2006-06-10 00:27:41	frosty	Coming all the way back to bring the shopping back! Legend!
235	frosty	3	2006-06-10 00:34:28	seymansey	For whipping up a page to show the new logo in uber quick time. 
237	chckens	1	2006-06-10 10:35:12	elsmorian	For scouring campus for wood and pallets
238	welshbyte	1	2006-06-10 10:35:31	elsmorian	For scouring campus for wood and pallets
239	talyn256	1	2006-06-10 10:35:46	elsmorian	For scouring campus for wood and pallets
240	worldinsideme	1	2006-06-10 10:36:06	elsmorian	For scouring campus for wood and pallets
241	frosty	1	2006-06-10 10:37:12	elsmorian	For scouring campus for wood and pallets, and nicking one all by yourself :)
242	elsmorian	1	2006-06-10 10:37:41	elsmorian	For scouring campus for wood and pallets
243	elsmorian	1	2006-06-12 23:23:06	seymansey	For taking lots of cool pics at the beach party.
244	elsmorian	-3	2006-06-12 23:23:31	seymansey	For buggering off to a party before uploading the cool pics :(
245	jo	1	2006-06-12 23:26:05	seymansey	For the rum + jaffa cakes idea at the beach party
246	davea	2	2006-06-12 23:27:29	seymansey	For going to the SUCS room with me to buy a poxy DVD (to open the doors), and i've disturbed him a bazillion times during revision with my 'filling a glass with coke' impression.
247	elsmorian	-1	2006-06-13 18:23:18	seymansey	STILL hasn't uploaded the pictures, after teasing me with one of them!
142	sits	2	2005-01-25 13:44:21	rollercow	For assistance with the upgrade of silver to FC3
143	vortex	1	2005-01-25 13:45:44	chckens	For installing Ubuntu on his laptop... almost Debian :-)
147	wedge	1	2005-02-01 15:06:56	welshbyte	For BZFlag tournament posterage and donating his bluetac to SUCS
148	welshbyte	1	2005-02-02 18:16:12	wedge	For assisting me with putting up lots of posters (even if some of them mysteriously disappeared within a day).
149	arthur	-1	2005-02-07 10:36:00	wedge	For resetting the BZ server scores by changing the map before we could get much-needed aforementioned scores in our tournament.
150	vortex	1	2005-02-07 10:36:55	wedge	Helping at the stall thing and encouraging passers-by to be interested with Red vs Blue DVDs.
151	rollercow	1	2005-02-07 10:37:37	wedge	Helping out at BZ Tournament. (I have no idea what you did, I do, however, know you were there).
152	welshbyte	1	2005-02-07 10:38:33	wedge	BZ Tournament stuff. Other niftiness associated with our stall and things.
153	davea	1	2005-02-07 10:39:08	wedge	Helping with stall and BZ Tournament and whatnot.
154	stringfellow	1	2005-02-07 10:40:01	wedge	Helping with BZ things. Handing out about 300 flyers in all.
155	rollercow	-2	2005-02-08 15:52:28	wedge	For beating me repeatedly with the blue thing (and also being bigger and stronger than me).
156	pwb	1	2005-02-13 23:53:47	stringfellow	For performing CPR on gw 13th Feb :D
157	wedge	-1	2005-02-14 00:18:00	vortex	For excessively awarding bananas.
159	rollercow	1	2005-02-17 16:06:35	wedge	For the sandwich which we kidnapped, held hostage in the cupboard (in full view) and I eventually ate with his permission. Very tasty.
160	vortex	1	2005-02-17 16:08:27	wedge	For loaning me Seasons one and two of (light) Red vs Blue on two occasions. It rocked.
161	pwb	1	2005-02-22 12:33:10	wedge	For emptying the bin after about 6 months' worth of nagging and complaining at him. Yay Pete!
162	rollercow	2	2005-02-22 12:33:31	wedge	For being the best thing ever.
164	arthur	1	2005-02-22 12:35:28	wedge	For LOOMING ominously.
165	welshbyte	1	2005-03-11 19:13:04	welshbyte	For testing the banana adding script after auditing the file
166	rollercow	1	2005-03-12 11:43:13	wedge	For coming in to fix gateway at least twice.
167	welshbyte	2	2005-03-12 11:44:13	wedge	For hoovering. Everyone loves hoovering.
168	wedge	2	2005-03-12 14:28:08	davea	For cleaning every surface in sight
169	chckens	-3	2005-03-13 01:40:49	welshbyte	For trying to make us give you bananas
170	davea	1	2005-03-13 01:42:25	welshbyte	For tidying up the room with wedge this morning
171	wedge	1	2005-03-13 01:42:57	welshbyte	For tidying up the room and cleaning the grubby keyboards this morning
172	davea	2	2005-03-17 14:30:34	wedge	For a quite ridiculous level of cleaning. Frighteningly much cleaning.
173	welshbyte	-2	2005-04-11 08:23:48	rollercow	For committing banana fraud
174	welshbyte	3	2005-04-11 08:25:33	rollercow	For checking large chunks of the website for stupid things like sql injection flaws.
175	wedge	-1	2005-04-11 08:35:13	rollercow	For describing me as "the best <b>thing</b> ever"
176	cmckenna	1	2005-04-24 11:14:37	wedge	For attempting to get hold of Art when Silver broke one day and nobody could log in and everything was bad.
177	stringfellow	-1	2005-04-29 12:22:06	rollercow	For leaving half drunk bottels of Dr Pepper about the room for weeks on end
178	pwb	-2	2005-04-29 12:22:50	rollercow	For leaving his empty coffee cups around the room even after being pesterd about it several times
179	chckens	3	2005-05-11 19:40:23	welshbyte	For staying up late (7:30pm) to fix up the planet.sucs.org web page to look like the rest of them.
180	jo	-1	2005-05-12 14:32:53	welshbyte	For blatant chocolate theft
181	welshbyte	-1	2005-05-12 15:00:49	jo	For blatantly teasing me with chocolate until I could not control my womanly urges and had to steal it.
182	rollercow	-1	2005-05-12 17:54:37	jo	For being crap at xblast and following me round so I died when he numptied himself on the bombs.
183	rollercow	1	2005-05-12 17:55:08	jo	For being crap at xblast and following TR round so TR died when rc numptied himself on the bombs.
184	arthur	3	2005-05-12 17:56:08	jo	For digging out and reinstalling xblast on request, so that I could blow people up.
185	theraven	1	2005-05-12 17:56:57	jo	For admitting that I am better than him at xblast
186	shadows	1	2005-05-12 17:59:26	jo	For being a society whose members are entirely women.  Bendy women.  
187	jo	1	2005-05-12 18:18:14	welshbyte	Because the last one wasnt organic
188	stringfellow	-3	2005-05-13 13:08:44	arthur	For the oranges, for not getting the joke, and for implimenting it very very badly.
189	pwb	1	2005-05-13 19:57:47	chckens	For fixing the banana script to show people who have a banana score totalling zero (e.g. me :D)
190	seymansey	2	2005-05-23 19:03:13	davea	For tidying and hoovering the room.
191	arthur	1	2005-05-25 10:26:15	wedge	For using the word cock-a-maime in a semi-serious way without being self-conscious. Brilliance.
192	jslootweg	2	2005-05-28 11:48:26	davea	For helping to move a shed load of pallettes
193	rollercow	1	2005-06-28 14:13:08	jo	For isntalling a very useful tool
194	rollercow	-3	2005-06-28 14:14:10	jo	For installing a very useful tool that had a security hole in it, and letting someone exploit aforementioned hole.
195	pwb	-3	2005-09-01 14:06:41	welshbyte	For stealing Chris's wok and disappearing
196	pwb	-3	2005-09-01 14:21:53	rollercow	For being wok thief and dirty scoundrel for not returning it
197	greggwilliams	1	2005-09-14 18:00:07	davea	For having a steadier soldering hand than me when fixing door.
198	elsmorian	1	2005-10-04 16:29:43	wedge	For helping at Freshers' Fayre (a bit).
101	davea	3	2004-03-06 20:10:49	pwb	For writing a script to print membership receipts
102	arthur	-2	2004-03-09 10:50:28	rollercow	For managing to turn off silver using the anti reset device
103	stringfellow	2	2004-03-09 11:36:25	davea	For buying an air freshener for the SUCS room.
104	stringfellow	-3	2004-03-09 16:35:14	rollercow	For buying an air freshener for the SUCS room that STINKS
105	chckens	1	2004-09-23 15:04:00	greggwilliams	For figuring out how to abuse admin access
106	chckens	-2	2004-09-23 15:41:56	greggwilliams	For abusing my admin username during freshers
107	greggwilliams	-1	2004-09-23 15:49:09	davea	For letting chckens abuse his admin access at freshers
108	pwb	-1	2004-10-04 17:36:57	rollercow	For trying to "guess" how much money we have, rather than counting it.
109	everyone	-1	2004-10-10 17:22:32	rollercow	Not giving me any bananas
110	firefury	2	2004-10-10 23:26:54	cmckenna	For arranging for me to get back in the room whilst he was in England.
111	pwb	1	2004-10-10 23:29:02	cmckenna	For letting me into the sucs room after the card swiper failed.
112	arthur	-1	2004-10-10 23:29:52	cmckenna	For not fixing a known problem with the door card swiper and for not having keys to the room.
113	rollercow	-1	2004-10-11 20:16:42	pwb	For complaining about not having any bananas
116	rollercow	3	2004-10-11 20:20:19	pwb	For being ridiculously helpful during freshers' fayre
118	LIS	-10	2004-10-10 23:26:00	pwb	For continuing to have a completely borken firewall
121	LIS	-10	2004-10-20 14:52:05	pwb	For not replying to email about the societies email problem
122	LIS	10	2004-10-20 15:04:52	greggwilliams	For being consistently inconsistent
123	rollercow	-1	2004-11-10 10:21:08	vortex	For being over-zealous about Debian.  Again.
124	vortex	-1	2004-11-10 10:24:45	rollercow	For not using Debian, despite it obviously being the best Linux distribution
125	rohan	2	2004-11-10 11:22:18	pwb	For donating yet more books to SUCS
126	arthur	2	2004-11-15 12:35:42	rollercow	For creating the oh-so-very-usefull auto signup system
127	davea	-2	2004-11-15 12:36:54	rollercow	For blowing up the recept printer
128	chckens	1	2004-11-15 12:37:47	rollercow	For helping out at the freshers fair
129	greggwilliams	1	2004-11-15 12:37:55	rollercow	For helping out at the freshers fair
130	davea	1	2004-11-15 12:38:05	rollercow	For helping out at the freshers fair
131	stringfellow	1	2004-11-15 12:38:12	rollercow	For helping out at the freshers fair
132	rollercow	-2	2004-11-21 18:05:57	pwb	For leaving himself logged in as root on neptunium
133	sits	3	2004-12-02 20:24:28	rollercow	For assistance with the upgrade to FC3, and the mass of bug reports that followed
134	xtreme	-1	2004-12-07 10:40:30	wedge	Never ever playing any good music. Ever.
135	jk	-2	2004-12-07 10:42:09	wedge	For going on and on and on about his ridiculous N-Gage thing. I mean, really.
136	rollercow	1	2004-12-07 10:45:40	wedge	For his love and prompt return of my Look Around You DVD plus other all-round niftiness.
137	sits	1	2005-01-07 20:58:57	wedge	For giving me a Christmas card
138	sits	-1	2005-01-07 20:59:27	wedge	For giving me a Christmas card which mocked my ability to play Frozen-Bubble.
139	arthur	-2	2005-01-11 11:21:33	rollercow	For breaking silver by exhausting memory
140	rollercow	3	2005-01-11 23:28:56	welshbyte	For leaving SUCS in a pretty good state after his year of presidency
141	sits	1	2005-01-11 23:30:11	welshbyte	For persisting on the USB flash card problem even though he doesnt own one
14	firefury	-1	2007-03-28 10:25:59	chckens	Cause I needed to test something and Steve seemed the obvious target :D
15	LIS	1	2007-03-29 01:18:38	frosty	testing purposes
16	firefury	1	2007-03-29 02:33:35	frosty	
17	firefury	-1	2007-03-29 02:43:50	frosty	for that other one
18	firefury	1	2007-03-29 02:44:20	frosty	and again
19	firefury	-1	2007-03-29 02:44:33	frosty	hmm
20	LIS	-1	2007-03-29 02:45:17	frosty	testing again
21	LIS	-1	2007-03-29 02:45:44	frosty	More testing
22	chckens	1	2007-03-29 09:21:16	chckens	banana fraud for testing purposes
23	frosty	1	2007-03-30 05:03:05	frosty	one more can't hurt, for testing purposes
24	chckens	3	2007-06-02 03:18:49	chckens	Because I can
25	chckens	1	2007-09-19 23:46:47	chckens	Testing purposes. It's always testing.
\.


--
-- Data for Name: bookcategories; Type: TABLE DATA; Schema: public; Owner: chckens
--

COPY bookcategories (id, name) FROM stdin;
1	Programming
2	World Wide Web
3	Unix and Linux
4	Maths
5	Prolog
6	Java
7	Databases
\.


--
-- Data for Name: books; Type: TABLE DATA; Schema: public; Owner: arthur
--

COPY books (id, title, author, keywords, comments, onloan, loandate, publisher, loanwho, got, isbn, amazon_data, image_url) FROM stdin;
5	Unix for Dummies	IDG Books	Unix Linux	2nd Edition	f	\N	IDG Books	\N	f	\N	\N	\N
79	Small Java How To Program	Deitel & Deitel	Java Programming	Donated by Mr Chris Whyley, 28/02/05\r\nSixth Edition	f	\N	Prentice Hall	ioandavies1	\N	0131486608	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>01HMD9XCH0GVKJVDSPFJ</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0131486608"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0846970081329346</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0131486608</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0131486608</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0131486608%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0131486608%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>258677</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0131486608.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">58</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0131486608.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">123</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0131486608.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">383</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0131486608.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">58</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0131486608.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">123</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0131486608.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">383</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Harvey M. Deitel</Author><Author>Paul J. Deitel</Author><Binding>Paperback</Binding><Brand>Prentice Hall</Brand><DeweyDecimalNumber>005.133</DeweyDecimalNumber><EAN>0076092037606</EAN><Edition>6</Edition><ISBN>0131486608</ISBN><Label>Prentice Hall</Label><ListPrice><Amount>8020</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$80.20</FormattedPrice></ListPrice><Manufacturer>Prentice Hall</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>624</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">60</Height><Length Units="hundredths-inches">910</Length><Weight Units="hundredths-pounds">200</Weight><Width Units="hundredths-inches">700</Width></PackageDimensions><ProductGroup>Book</ProductGroup><Publisher>Prentice Hall</Publisher><Studio>Prentice Hall</Studio><Title>Small Java How to Program (6th Edition) (How to Program (Deitel))</Title><UPC>076092037606</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>4485</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$44.85</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>3995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$39.95</FormattedPrice></LowestUsedPrice><TotalNew>30</TotalNew><TotalUsed>13</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>PNW8pug%2BvLbX6QjYwUsX39Km%2FAZPVbFKOZJZxIgPFJh5X9up3SVIObnVNiuX26BmokZUWzYvUOV4l3C%2BaX4tuA%3D%3D</OfferListingId><Price><Amount>6160</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$61.60</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>&lt;P&gt;&lt;B&gt;&lt;/B&gt;This special edition of &lt;I&gt;Java How to Program&lt;/I&gt; is up-to-date with the &lt;B&gt;Java 2 Platform Standard Edition 1.5.&lt;/B&gt; It covers fundamental programming topics and provides several extra chapters so readers can include or omit material as needed. &lt;B&gt;&lt;/B&gt; Includes Recursion and Searching and Sorting chapters. Provides extensive complete programming exercises plus "What does this program do?", "What's wrong with this program?", "Complete the program" and "Modify the program" exercises. Covers text-file processing. Features coverage of special topics, such as pre- and postconditions, invariants, testing and debugging, ethics and software engineering. Includes a CD-ROM with every copy of the book that contains: (subject to change) Java&amp;trade; 2 Platform, Standard Edition 1.5; Netbeans; JCreator LE; jEdit; jGRASP; BlueJ; Source code for all the book's examples; Hyperlinks to valuable Java&amp;trade; demos and Internet resources. &lt;B&gt;&lt;/B&gt; A useful brief reference for programmers or anyone who wants to learn more about the Java programming language. &lt;/P&gt;</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0131486608.01._SCMZZZZZZZ_.jpg
147	Learning GNU Emacs	Debra Cameron, James Elliott, Marc Loy	emacs editor	Donated by chckens (25/5/06)	f	\N	O'Reilly	\N	\N	1565921526	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0JH0HPSG2VC6VNS8CPX5</RequestId><Arguments><Argument Name="ItemId" Value="1565921526"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0703251361846924</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565921526</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565921526</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565921526%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565921526%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>482304</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565921526.01._SCTHUMBZZZ_V1123552750_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565921526.01._SCMZZZZZZZ_V1123552750_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">121</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565921526.01._SCLZZZZZZZ_V1123552750_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">377</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565921526.01._SCTHUMBZZZ_V1123552750_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565921526.01._SCMZZZZZZZ_V1123552750_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">121</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565921526.01._SCLZZZZZZZ_V1123552750_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">377</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Debra Cameron</Author><Author>Bill Rosenblatt</Author><Author>Eric S. Raymond</Author><Binding>Paperback</Binding><Brand>O'Reilly &amp; Associates</Brand><DeweyDecimalNumber>005</DeweyDecimalNumber><EAN>0636920921523</EAN><Edition>2</Edition><ISBN>1565921526</ISBN><Label>O'Reilly</Label><ListPrice><Amount>3495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>560</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">129</Height><Length Units="hundredths-inches">919</Length><Weight Units="hundredths-pounds">191</Weight><Width Units="hundredths-inches">704</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1996-09-01</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Learning GNU Emacs, 2nd Edition</Title><UPC>636920921523</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>740</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$7.40</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>233</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.33</FormattedPrice></LowestUsedPrice><TotalNew>8</TotalNew><TotalUsed>16</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>GNU Emacs is the most popular and widespread of the Emacs family of editors.  It is also the most powerful and flexible.  Unlike all other text editors, GNU Emacs is a complete working environment -- you can stay within Emacs all day without leaving.  This book tells you how to get started with the GNU Emacs editor.  It will also "grow" with you: as you become more proficient, this book will help you learn how to use Emacs more effectively.  It takes you from basic Emacs usage (simple text editing) to moderately complicated customization and programming.&lt;p&gt;The second edition of &lt;i&gt;Learning GNU Emacs&lt;/i&gt; describes all of the new features of GNU Emacs 19.30, including fonts and colors, pull-down menus, scroll bars, enhanced X Window support, and correct bindings for most standard keys.  GNUS, a Usenet newsreader, and ange-ftp mode, a transparent interface to the file transfer protocol, are also described.&lt;p&gt;&lt;i&gt;Learning GNU Emacs&lt;/i&gt;, second edition, covers:&lt;p&gt;&lt;ul&gt;&lt;li&gt;Using Emacs as an Internet Toolkit (to use electronic mail and Usenet news, telnet to other computers, retrieve files using FTP, browse the World Wide Web, and author Web documents)&lt;/li&gt;&lt;li&gt;Emacs' rich, comprehensive online help facilities&lt;/li&gt;&lt;li&gt;How to edit files with Emacs&lt;/li&gt;&lt;li&gt;Using Emacs as a "shell environment"&lt;/li&gt;&lt;li&gt;How to take advantage of "built-in" formatting features&lt;/li&gt;&lt;li&gt;How to use multiple buffers, Emacs windows, and X Windows&lt;/li&gt;&lt;li&gt;Customizing Emacs&lt;/li&gt;&lt;li&gt;The Emacs interface to the X Window System, which allows you to use a mouse and pop-up menus&lt;/li&gt;&lt;li&gt;Whys and hows of writing macros to circumvent repetitious tasks&lt;/li&gt;&lt;li&gt;Emacs as a programming environment&lt;/li&gt;&lt;li&gt;The basics of Emacs LISP&lt;/li&gt;&lt;li&gt;How to get Emacs&lt;/li&gt;&lt;/ul&gt;&lt;p&gt;The book is aimed at new Emacs users, whether or not they are programmers.  Also useful for readers switching from other Emacs implementations to GNU Emacs.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565921526.01._SCMZZZZZZZ_V1123552750_.jpg
130	Applied Numerical Methods with Personal Computers	Alkis Constantinides			f	\N	McGraw-Hill Book Company	\N	\N	0071001689	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1BMXPY04V5J9KBDHP8YV</RequestId><Arguments><Argument Name="ItemId" Value="0071001689"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0799829959869385</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0071001689</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest><Errors><Error><Code>AWS.InvalidParameterValue</Code><Message>0071001689 is not a valid value for ItemId. Please change this value and retry your request.</Message></Error></Errors></Request></Items></ItemLookupResponse>	\N
112	Information and Data Modelling	David Benyon		Information and data modelling is concerned with information for enterprise management. It will inform the manager, and the student of mamagement, how to approache the gathering and storage of data so that effective information can be made avalible... analysis, structure, 	f	\N	Blackwell Scientific Publications	\N	\N	0632016256	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0F3W897HHY7A03TMNPNQ</RequestId><Arguments><Argument Name="ItemId" Value="0632016256"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0802741050720215</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0632016256</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0632016256</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0632016256%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0632016256%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>3882070</SalesRank><ItemAttributes><Author>David Benyon</Author><Binding>Paperback</Binding><DeweyDecimalNumber>005.74</DeweyDecimalNumber><EAN>9780632016259</EAN><ISBN>0632016256</ISBN><Label>Alfred Waller Ltd</Label><ListPrice><Amount>3695</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$36.95</FormattedPrice></ListPrice><Manufacturer>Alfred Waller Ltd</Manufacturer><ProductGroup>Book</ProductGroup><PublicationDate>1990-05</PublicationDate><Publisher>Alfred Waller Ltd</Publisher><Studio>Alfred Waller Ltd</Studio><Title>Information and Data Modelling (Information Systems Series)</Title></ItemAttributes><OfferSummary><TotalNew>0</TotalNew><TotalUsed>0</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
128	Office XP Resource Kit	Mircosoft			f	\N	Microsoft Press	\N	\N	0735614032	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1KEM01VTDS6GJ35CKGY6</RequestId><Arguments><Argument Name="ItemId" Value="0735614032"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.121102094650269</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0735614032</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0735614032</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0735614032%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0735614032%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>301189</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0735614032.01._SCTHUMBZZZ_V1114551090_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0735614032.01._SCMZZZZZZZ_V1114551090_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">114</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0735614032.01._SCLZZZZZZZ_V1114551090_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">386</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0735614032.01._SCTHUMBZZZ_V1114551090_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0735614032.01._SCMZZZZZZZ_V1114551090_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">114</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0735614032.01._SCLZZZZZZZ_V1114551090_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">386</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>The Microsoft Office Team</Author><Author>Microsoft Corporation</Author><Binding>Paperback</Binding><Brand>Microsoft Press</Brand><DeweyDecimalNumber>005.369</DeweyDecimalNumber><EAN>9780735614031</EAN><Edition>Bk&amp;CD-Rom</Edition><ISBN>0735614032</ISBN><ItemDimensions><Height Units="hundredths-inches">161</Height><Length Units="hundredths-inches">897</Length><Weight Units="hundredths-pounds">267</Weight><Width Units="hundredths-inches">741</Width></ItemDimensions><Label>Microsoft Press</Label><ListPrice><Amount>6999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$69.99</FormattedPrice></ListPrice><Manufacturer>Microsoft Press</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>640</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">161</Height><Length Units="hundredths-inches">897</Length><Weight Units="hundredths-pounds">1</Weight><Width Units="hundredths-inches">741</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2001-05-09</PublicationDate><Publisher>Microsoft Press</Publisher><Studio>Microsoft Press</Studio><Title>Microsoft Office XP Resource Kit</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>217</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.17</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>217</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.17</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>6999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$69.99</FormattedPrice></LowestCollectiblePrice><TotalNew>43</TotalNew><TotalUsed>31</TotalUsed><TotalCollectible>3</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>Uu2c3q0LblRXuD%2BLu5cLmzALWOwHh5FznvfmWr80GY2O%2B3eCsEvoK0WYXzS8uctDPxJQhIpIEYkvg8DkZlx7xQ%3D%3D</OfferListingId><Price><Amount>5599</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$55.99</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>Microsoft Office ranks among the most pedestrian of software suites--it's in a high percentage of the world's cubicles, for sure. But there's more to Microsoft's productivity suite than what the user sees, and Office XP adds, in the form of activation-based licensing, a whole new level of intrigue to what's always been a deployment and maintenance challenge. &lt;I&gt;Microsoft Office XP Resource Kit&lt;/I&gt; shows how to manage Office XP effectively and efficiently, emphasizing the suite's capacity for centralized management. Like all members of the Microsoft Resource Kit series, this one includes a CD-ROM containing utility software and searchable documentation.&lt;p&gt;  Administrators will appreciate the coverage of best practices in this book. For example, the authors advise you to use a totally clean computer as a platform for creating an image of the Office installation you want to deploy network-wide, and warn you against starting applications on that machine so as to avoid creating any user-preferences settings. Information on Registry settings also is outstanding--readers will find documentation of keys and values here that doesn't appear in any other printed volume. The utility software's pretty cool, too: Supplementary file converters, an Outlook security configurer, and Answer Wizard Builder (a tool with which you can create help documents specific to your organization) are among the goodies. &lt;I&gt;--David Wall&lt;/I&gt;&lt;p&gt;  &lt;B&gt;Topics covered:&lt;/B&gt; Microsoft Office XP, explained for the benefit of people who will be installing, upgrading, customizing, and managing it across an organizational network. Installation, user management, localization, and messaging are among the kit's areas of emphasis. </Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>Deploy, support, and optimize Microsoft's next-generation Office suite with expertise from those who know the technology best-the Office XP team. It's the latest  version of the all-in-one manual that computer professionals rely on for installing, customizing, and supporting Microsoft Office. This powerhouse reference includes hundreds of pages of detailed technical drill-down plus exclusive tools and utilities on CD-ROM-all designed to help you save time and reduce support costs. Coverage includes deployment (including internationally), maintenance, messaging, support tools, and more.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0735614032.01._SCMZZZZZZZ_V1114551090_.jpg
129	MCSE Microsoft Internet Security and Acceleration Server 2000	Microsoft			f	\N	Microsoft Press	\N	\N	0735613478	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0DAT1PFKW52NK3XNX5WH</RequestId><Arguments><Argument Name="ItemId" Value="0735613478"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0661921501159668</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0735613478</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0735613478</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0735613478%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0735613478%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>530483</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0735613478.01._SCTHUMBZZZ_V1056472126_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0735613478.01._SCMZZZZZZZ_V1056472126_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">115</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0735613478.01._SCLZZZZZZZ_V1056472126_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">389</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0735613478.01._SCTHUMBZZZ_V1056472126_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0735613478.01._SCMZZZZZZZ_V1056472126_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">115</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0735613478.01._SCLZZZZZZZ_V1056472126_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">389</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Microsoft Corporation</Author><Author>Microsoft Corporation</Author><Binding>Hardcover</Binding><Brand>Microsoft Press</Brand><DeweyDecimalNumber>005.8</DeweyDecimalNumber><EAN>9780735613478</EAN><Edition>Bk&amp;CD-Rom</Edition><ISBN>0735613478</ISBN><Label>Microsoft Press</Label><ListPrice><Amount>5999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$59.99</FormattedPrice></ListPrice><Manufacturer>Microsoft Press</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>656</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">197</Height><Length Units="hundredths-inches">953</Length><Weight Units="hundredths-pounds">321</Weight><Width Units="hundredths-inches">776</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2001-05-30</PublicationDate><Publisher>Microsoft Press</Publisher><Studio>Microsoft Press</Studio><Title>MCSE Training Kit: Microsoft(r) Internet Security and Acceleration Server 2000</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>241</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.41</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>240</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.40</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>26900</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$269.00</FormattedPrice></LowestCollectiblePrice><TotalNew>36</TotalNew><TotalUsed>29</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>9KpCaS5L%2B4EDk37Yjl1N7huPSx5DHNVXbyTAfVxT5HZLT%2B5dornno91fY0m2QCm9pP8pe2U2%2FPLhqTRYsHtBvA%3D%3D</OfferListingId><Price><Amount>4079</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$40.79</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>The &lt;I&gt;MCSE Microsoft Internet Security and Acceleration Server 2000 Training Kit&lt;/I&gt; is a strange book. Most serious MCSA students will absolutely, no questions asked, &lt;I&gt;need&lt;/I&gt; this book to pass the exam... but you wouldn't want to read it. That being said, the CD-ROM has something that's key for MCSE and MCSA students--a 120-day trial edition of the ISA software itself. Considering that the ISA software costs $1,500, buying this book to install that software legally and fool around with it at your leisure is a net savings of $1,440.&lt;p&gt;The book itself is a step backwards from Microsoft's usually excellent beginners' series, and is neither fish nor fowl--it doesn't offer the gentle introduction to the basic concepts that most Microsoft training kits do, and yet it contains a howling vacuum when it comes to real-life examples. What's left is a book that outlines each of ISA's functions in loving detail, without ever telling you why you would want to use any of them.&lt;p&gt;Let's give a real-life instruction from the book to explain what we mean: &lt;blockquote&gt;&lt;I&gt;On the Cache tab, select one of the following options contained in the Cache Content section:&lt;ul&gt;&lt;p&gt; &lt;li&gt;If you want all content to be cached, select the All Content, Including Dynamic Content, Will Be Cached radio button. &lt;li&gt;If you want content to be cached only if source and request headers indicate to cache, select the If Source and Request Headers Indicate to Cache, Then the Object Will Be Cached radio button. &lt;li&gt;If retrieved objects should not be cached, select the No Content Will Ever Be Cached radio button.&lt;/ul&gt;&lt;/I&gt;&lt;/blockquote&gt;&lt;p&gt; See what's missing? At no point does this book actually say what the drawbacks or advantages of caching dynamic content &lt;I&gt;are&lt;/I&gt;.&lt;p&gt;Why would you want to do it? When would it be a bad idea? What are the real-world differences between caching dynamic content and caching only the content that the headers indicate should be cached--and what option do most system admins choose? From this book alone, you'd have no idea. And this is a constant problem throughout the book. You're told what ISA can do without being told the reasons behind the options, or even a hint as to what the best option usually is.&lt;p&gt;Admittedly, most Microsoft training kits are notoriously bad when it comes to actually preparing you for what you'll face on the exam--their sample questions aren't even in the standard multiple-choice MCSE/MCSA format, for gosh sake--but they &lt;I&gt;do&lt;/I&gt; excel at providing basic introductions for novices and are excellent refresher courses, making them perhaps the best starting points in the business for any serious certification student. This book, on the other hand, is more of a documentation of the ISA application itself--it tells you quite clearly what ISA does. The book discusses the attacks that Microsoft can automatically detect, but doesn't tell you what to look for in the logs, nor what common approaches hackers take, or even what to &lt;I&gt;do&lt;/I&gt; when you're under a Denial of Service attack.&lt;p&gt;Which is not to say that you can't learn anything from the book--it actually has more content than many other training kits. However, it does mean that if you haven't used ISA server in the real world until now, you'll know exactly how to specify a locally bound TCP port, list, or range in the Firewall Client Applications setting.&lt;p&gt;The short version: The incredible software savings here is worth the cost of the book alone, and then some. And the book is not a bad reference for those who've used ISA in the real world--or at least have configured firewalls and proxy servers. But most users will probably install the software and buy at least one other book to pass the exam with flying colors. &lt;I&gt;--William Steinmetz&lt;/I&gt;</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>With this official MCSE TRAINING KIT, IT professionals learn how to set up and support Microsoft Internet Security and Acceleration (ISA) Server to optimize network performance and security. As they build these essential system-support skills, they're also getting in-depth preparation for MCP Exam 70-227-an elective on the MCSE track for the Windows 2000 operating system. Topics map directly to the objectives measured by the exam, including installing ISA Server, configuring and troubleshooting ISA Server services, managing troubleshooting policies and rules, configuring the client computer, and monitoring and managing ISA Server use. Students learn through an integrated system of lessons, skill-building tutorials, and self-assessment exercises. An economical alternative to classroom instruction, this kit enables working professionals to set their own pace and learn by doing!</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0735613478.01._SCMZZZZZZZ_V1056472126_.jpg
146	Mobile Interaction Design	Matt Jones and Gary Marsden	hci, design	Donated to the SUCS library by Dr Matt Jones, January 2006.	t	2006-05-09 12:57:55.47425+01	Wiley	tobeon	\N	0470090898	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1CS3Z6NYZGSP00Q2F75K</RequestId><Arguments><Argument Name="ItemId" Value="0470090898"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0807170867919922</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0470090898</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0470090898</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0470090898%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0470090898%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>160050</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0470090898.01._SCTHUMBZZZ_V55788052_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">61</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0470090898.01._SCMZZZZZZZ_V55788052_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">129</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0470090898.01._SCLZZZZZZZ_V55788052_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">403</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0470090898.01._SCTHUMBZZZ_V55788052_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">61</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0470090898.01._SCMZZZZZZZ_V55788052_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">129</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0470090898.01._SCLZZZZZZZ_V55788052_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">403</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Matt Jones</Author><Author>Gary Marsden</Author><Binding>Paperback</Binding><Brand>John Wiley &amp; Sons</Brand><DeweyDecimalNumber>621.384</DeweyDecimalNumber><EAN>9780470090893</EAN><ISBN>0470090898</ISBN><ItemDimensions><Height Units="hundredths-inches">85</Height><Length Units="hundredths-inches">926</Length><Weight Units="hundredths-pounds">161</Weight><Width Units="hundredths-inches">748</Width></ItemDimensions><Label>John Wiley &amp; Sons</Label><ListPrice><Amount>6000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$60.00</FormattedPrice></ListPrice><Manufacturer>John Wiley &amp; Sons</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>398</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">85</Height><Length Units="hundredths-inches">926</Length><Weight Units="hundredths-pounds">161</Weight><Width Units="hundredths-inches">748</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2006-02-10</PublicationDate><Publisher>John Wiley &amp; Sons</Publisher><Studio>John Wiley &amp; Sons</Studio><Title>Mobile Interaction Design</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>5099</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$50.99</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>4000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$40.00</FormattedPrice></LowestUsedPrice><TotalNew>15</TotalNew><TotalUsed>2</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>E8vwVdvxW4Gpcx4xR0kSjE3LP3wLvAO9EmTIK4dwB9h%2Fg0JZL4mpJo0UdcSPUOFPAhzAMBwpk1kFwKzsU9KXQbI1fgMtUBpj</OfferListingId><Price><Amount>5100</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$51.00</FormattedPrice></Price><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>&lt;i&gt;Mobile Interaction Design&lt;/i&gt; shifts the design perspective away from the technology and concentrates on usability; in other words the book concentrates on developing interfaces and devices with a great deal of sensitivity to human needs, desires and capabilities.     &lt;ul&gt;     &lt;li&gt;Presents key interaction design ideas and successes in an accessible, relevant way     &lt;li&gt;Exercises, case studies and study questions make this book ideal for students.     &lt;li&gt;Provides ideals and techniques which will enable designers to create the next generation of effective mobile applications.     &lt;li&gt;Critiques current mobile interaction design (bloopers) to help designers avoid pitfalls.     &lt;li&gt;Design challenges and worked examples are given to reinforce ideas.     &lt;li&gt;Discusses the new applications and gadgets requiring knowledgeable and inspired thinking about usability and design.     &lt;li&gt;Authors have extensive experience in mobile interaction design, research, industry and teaching     &lt;/ul&gt;</Content></EditorialReview><EditorialReview><Source>Download Description</Source><Content>Mobile Interaction Design shifts the design perspective away from the technology and concentrates on usability; in other words the book concentrates on developing interfaces and devices with a great deal of sensitivity to human needs, desires and capabilities. Presents key interaction design ideas and successes in an accessible, relevant way  Exercises, case studies and study questions make this book ideal for students.  Provides ideals and techniques which will enable designers to create the next generation of effective mobile applications.  Critiques current mobile interaction design (bloopers) to help designers avoid pitfalls.  Design challenges and worked examples are given to reinforce ideas.  Discusses the new applications and gadgets requiring knowledgeable and inspired thinking about usability and design.  Authors have extensive experience in mobile interaction design, research, industry and teaching</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0470090898.01._SCMZZZZZZZ_V55788052_.jpg
144	Mobile Interaction Design	Matt Jones and Gary Marsden	hci, design	Donated to the SUCS library by Dr Matt Jones, December 2005.	t	2006-06-09 14:49:21.440574+01	Wiley	davea	\N	0470090898	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0SWJDM17TNSH05N25MW7</RequestId><Arguments><Argument Name="ItemId" Value="0470090898"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0742709636688232</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0470090898</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0470090898</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0470090898%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0470090898%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>160050</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0470090898.01._SCTHUMBZZZ_V55788052_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">61</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0470090898.01._SCMZZZZZZZ_V55788052_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">129</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0470090898.01._SCLZZZZZZZ_V55788052_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">403</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0470090898.01._SCTHUMBZZZ_V55788052_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">61</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0470090898.01._SCMZZZZZZZ_V55788052_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">129</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0470090898.01._SCLZZZZZZZ_V55788052_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">403</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Matt Jones</Author><Author>Gary Marsden</Author><Binding>Paperback</Binding><Brand>John Wiley &amp; Sons</Brand><DeweyDecimalNumber>621.384</DeweyDecimalNumber><EAN>9780470090893</EAN><ISBN>0470090898</ISBN><ItemDimensions><Height Units="hundredths-inches">85</Height><Length Units="hundredths-inches">926</Length><Weight Units="hundredths-pounds">161</Weight><Width Units="hundredths-inches">748</Width></ItemDimensions><Label>John Wiley &amp; Sons</Label><ListPrice><Amount>6000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$60.00</FormattedPrice></ListPrice><Manufacturer>John Wiley &amp; Sons</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>398</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">85</Height><Length Units="hundredths-inches">926</Length><Weight Units="hundredths-pounds">161</Weight><Width Units="hundredths-inches">748</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2006-02-10</PublicationDate><Publisher>John Wiley &amp; Sons</Publisher><Studio>John Wiley &amp; Sons</Studio><Title>Mobile Interaction Design</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>5099</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$50.99</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>4000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$40.00</FormattedPrice></LowestUsedPrice><TotalNew>15</TotalNew><TotalUsed>2</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>bC%2FD7dOZ9kWc2z62ug9%2BwwA68U0I2UQm2uxSTqQeSRp37mZaYfk%2Fo1Z9hZVsRIdhQVnTqRp3afOibVxY23bFS8m%2Fbs6JUxV7</OfferListingId><Price><Amount>5100</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$51.00</FormattedPrice></Price><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>&lt;i&gt;Mobile Interaction Design&lt;/i&gt; shifts the design perspective away from the technology and concentrates on usability; in other words the book concentrates on developing interfaces and devices with a great deal of sensitivity to human needs, desires and capabilities.     &lt;ul&gt;     &lt;li&gt;Presents key interaction design ideas and successes in an accessible, relevant way     &lt;li&gt;Exercises, case studies and study questions make this book ideal for students.     &lt;li&gt;Provides ideals and techniques which will enable designers to create the next generation of effective mobile applications.     &lt;li&gt;Critiques current mobile interaction design (bloopers) to help designers avoid pitfalls.     &lt;li&gt;Design challenges and worked examples are given to reinforce ideas.     &lt;li&gt;Discusses the new applications and gadgets requiring knowledgeable and inspired thinking about usability and design.     &lt;li&gt;Authors have extensive experience in mobile interaction design, research, industry and teaching     &lt;/ul&gt;</Content></EditorialReview><EditorialReview><Source>Download Description</Source><Content>Mobile Interaction Design shifts the design perspective away from the technology and concentrates on usability; in other words the book concentrates on developing interfaces and devices with a great deal of sensitivity to human needs, desires and capabilities. Presents key interaction design ideas and successes in an accessible, relevant way  Exercises, case studies and study questions make this book ideal for students.  Provides ideals and techniques which will enable designers to create the next generation of effective mobile applications.  Critiques current mobile interaction design (bloopers) to help designers avoid pitfalls.  Design challenges and worked examples are given to reinforce ideas.  Discusses the new applications and gadgets requiring knowledgeable and inspired thinking about usability and design.  Authors have extensive experience in mobile interaction design, research, industry and teaching</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0470090898.01._SCMZZZZZZZ_V55788052_.jpg
10	C++ for Dummies	IDG Books	C++ Programming	2nd Edition	t	2006-02-08 09:55:28.858214+00	IDG Books	vortex	t	0764568523	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0WD67KDF5X2RGG0XMG5H</RequestId><Arguments><Argument Name="ItemId" Value="0764568523"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0626020431518555</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0764568523</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0764568523</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0764568523%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0764568523%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>29184</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0764568523.01._SCTHUMBZZZ_V62142790_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">59</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0764568523.01._SCMZZZZZZZ_V62142790_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">127</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0764568523.01._SCLZZZZZZZ_V62142790_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">398</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0764568523.01._SCTHUMBZZZ_V62142790_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">59</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0764568523.01._SCMZZZZZZZ_V62142790_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">127</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0764568523.01._SCLZZZZZZZ_V62142790_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">398</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Stephen Randy Davis</Author><Binding>Paperback</Binding><Brand>For Dummies</Brand><DeweyDecimalNumber>005.133</DeweyDecimalNumber><EAN>9780764568527</EAN><Edition>5</Edition><ISBN>0764568523</ISBN><ItemDimensions><Height Units="hundredths-inches">99</Height><Length Units="hundredths-inches">914</Length><Weight Units="hundredths-pounds">144</Weight><Width Units="hundredths-inches">736</Width></ItemDimensions><Label>For Dummies</Label><ListPrice><Amount>2499</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$24.99</FormattedPrice></ListPrice><Manufacturer>For Dummies</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>432</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">99</Height><Length Units="hundredths-inches">914</Length><Weight Units="hundredths-pounds">144</Weight><Width Units="hundredths-inches">736</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2004-05-07</PublicationDate><Publisher>For Dummies</Publisher><Studio>For Dummies</Studio><Title>C++ for Dummies</Title><UPC>785555884854</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1220</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$12.20</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>695</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$6.95</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>2499</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$24.99</FormattedPrice></LowestCollectiblePrice><TotalNew>44</TotalNew><TotalUsed>22</TotalUsed><TotalCollectible>2</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>umalbPu6epQI05BH5uqh62vh0gl5izbudgJPtNbfYz27ayBidF5Pvih7uMoTapbwXLe1yl0YYrgiJieMm1nRbg%3D%3D</OfferListingId><Price><Amount>1649</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$16.49</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>If you&amp;#8217;ve thought of programmers as elite intelligentsia who possess expertise (and perhaps genes) the rest of us will never have, think again. &lt;i&gt;C++ For Dummies, 5&lt;sup&gt;th&lt;/sup&gt; Edition&lt;/i&gt;, debunks the myths, blasts the barriers, shares the secrets, and gets you started. In fact, by the end of Chapter 1, you&amp;#8217;ll be able to create a C++ program. OK, it won&amp;#8217;t be newest, flashiest video game, but it might be a practical, customized inventory control or record-keeping program.    &lt;p&gt;    Most people catch on faster when they actually DO something, so &lt;i&gt;C++ For Dummies&lt;/i&gt; includes a CD-ROM that gives you all you need to start programming (except the guidance in the book, of course), including:     &lt;ul type="disc"&gt;     &lt;li&gt;Dev-C, a full-featured, integrated C++ compiler and editor you install to get down to business     &lt;li&gt;The source code for the programs in the book, including code for BUDGET, programs that demonstrate principles in the book     &lt;li&gt;Documentation for the Standard Template Library     &lt;li&gt;Online C++ help files     &lt;/ul&gt;    &lt;p&gt;    Written by Stephen Randy Davis, author of &lt;i&gt;C++ Weekend Crash Course, C++ for Dummies,&lt;/i&gt; takes you through the programming process step-by-step. You&amp;#8217;ll discover how to:     &lt;ul type="disc"&gt;     &lt;li&gt;Generate an executable     &lt;li&gt;Create source code, commenting it as you go and using consistent code indentation and naming conventions     &lt;li&gt;Write declarations and name variables, and calculate expressions     &lt;li&gt;Write and use a function, store sequences in arrays, and declare and use pointer variables     &lt;li&gt;Understand classes and object-oriented programming     &lt;li&gt;Work with constructors and destructors     &lt;li&gt;Use inheritance to extend classes     &lt;li&gt;Use stream I/O     &lt;li&gt;Comment your code as you go, and use consistent code indentation and naming conventions     &lt;li&gt;Automate programming with the Standard Template Library (STL)     &lt;/ul&gt;    &lt;p&gt;    &lt;i&gt;C++ for Dummies 5&lt;sup&gt;th&lt;/sup&gt; Edition&lt;/i&gt; is updated for the newest ANSI standard to make sure you&amp;#8217;re up to code.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0764568523.01._SCMZZZZZZZ_V62142790_.jpg
38	Teach Yourself Visual Basic 6 in 21 Days	Greg Perry	visual basic	Published in 1998	t	2004-10-20 14:12:33.64087+01	Sams	o2m4	t	0672313103	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0MMP8274ADDMQP7W6DNW</RequestId><Arguments><Argument Name="ItemId" Value="0672313103"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0806670188903809</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0672313103</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0672313103</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0672313103%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0672313103%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>287849</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0672313103.01._SCTHUMBZZZ_V61417589_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">61</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0672313103.01._SCMZZZZZZZ_V61417589_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">129</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0672313103.01._SCLZZZZZZZ_V61417589_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">404</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0672313103.01._SCTHUMBZZZ_V61417589_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">61</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0672313103.01._SCMZZZZZZZ_V61417589_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">129</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0672313103.01._SCLZZZZZZZ_V61417589_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">404</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Greg Perry</Author><Binding>Paperback</Binding><Brand>SAMS</Brand><DeweyDecimalNumber>005.268</DeweyDecimalNumber><EAN>0752063313107</EAN><Edition>1ST</Edition><ISBN>0672313103</ISBN><ItemDimensions><Height Units="hundredths-inches">216</Height><Length Units="hundredths-inches">911</Length><Weight Units="hundredths-pounds">319</Weight><Width Units="hundredths-inches">735</Width></ItemDimensions><Label>Sams</Label><ListPrice><Amount>2999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$29.99</FormattedPrice></ListPrice><Manufacturer>Sams</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>880</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">216</Height><Length Units="hundredths-inches">911</Length><Weight Units="hundredths-pounds">319</Weight><Width Units="hundredths-inches">735</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1998-08-13</PublicationDate><Publisher>Sams</Publisher><Studio>Sams</Studio><Title>Sams Teach Yourself Visual Basic 6 in 21 Days</Title><UPC>752063313107</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>799</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$7.99</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>199</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$1.99</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>1595</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$15.95</FormattedPrice></LowestCollectiblePrice><TotalNew>43</TotalNew><TotalUsed>48</TotalUsed><TotalCollectible>4</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>rPEtoQyUyhl7DTooTxj3RdgB632bMrzrP3XzuYXH3QOgnSUvQpaQxIIDzK4Kpn%2Fl0rlbX5QMBCHD2EBlCTG9Tg%3D%3D</OfferListingId><Price><Amount>2039</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$20.39</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>"Wordy and plodding, but a nicely paced introduction to the Visual Basic world."&lt;p&gt;  This book has all the earmarks of a series designed in-house. This is a &lt;i&gt;bad thing&lt;/i&gt;. It means the book contains elements that obviously are the result of compromises made by people sitting through endless meetings and eventually settling on the most stubborn person's ideas because, well, everyone was tired and wanted to go home and watch the Pacers game on TV. And none of those people actually have read any computer books, let alone tried to learn a programming language from one.&lt;p&gt;  The in-house style earmarks are aplenty: the ubiquitous Do and Do Not sidebars; Note and Tip boxes; the New Term paragraphs; Summaries; Q&amp;As; Workshops; and end-of-chapter quizzes and exercises. Gadzooks. Whatever happened to an experienced programmer trying to explain the best way to learn something in well-written, down-to-earth, right-to-the-point prose? Well, you won't find it here, not in your allotted three weeks.&lt;p&gt;  On the plus side, this book does have you create your first program on page 24 (day one), which is pretty quick. It's not really a program, though--it's a "project," or something that Visual Basic can whip together for anyone who's ever used one of the Windows wizards. Is that cheating? I don't know. But I'll give Greg Perry a happy face for letting the reader actually &lt;I&gt;do&lt;/I&gt; something at that early stage of the game.&lt;p&gt;  As with any book on Visual Basic, the decision is whether to document the programming language or the application environment first. Like everyone else, Perry documents the environment for the first week or so. (At which point I'm beginning to wonder whether any book will bother to document the programming language itself.) And I do admire his logical flow; the days and weeks build on each other nicely. The pace is pretty even throughout the book.&lt;p&gt;  On the downside, the book has no soul. It's really routine and, well, kind of boring. The programs lack some of the insanity you would find in Wally Wang's Dummies book. But I do like the way Perry presents the steps--at over 800 pages, he gives his steps the space they need. Not bad, but, peppered with some insights, it could have been better. &lt;I&gt;--Dan Gookin&lt;/I&gt; </Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>&lt;HTML&gt;Visual Basic programming techniques are presented in a logical and easy-to-follow sequence that helps you really understand the principles involved in developing programs. The reader begins with learning the basics to write a first program and then moves on to adding voice, music, sound, and graphics. After reading this book, the reader will be able to write their own DLLs, create ActiveX controls, use object linking and embedding (OLE) and write Visual Basic programs that support multiple document interface, and much more. Various topics covered are: - Properties, Controls, and Objects - Graphics, Controls &amp; Methods - Interfacing with Windows - Arrays, OLE, and other topics - Data Control and SQL - Multiple Document Interface - ActiveX- Sound Programming and DirectSound - Building ActiveX Controls and all the latest features of Visual Basic.&lt;/HTML&gt;</Content></EditorialReview><EditorialReview><Source>Download Description</Source><Content>Visual Basic programming techniques are presented in a logical and easy-to-follow sequence that helps you really understand the principles involved in developing programs. The reader begins with learning the basics to write a first program and then moves on to adding voice, music, sound, and graphics. After reading this book, the reader will be able to write their own DLLs, create ActiveX controls, use object linking and embedding (OLE) and write Visual Basic programs that support multiple document interface, and much more. Various topics covered are: - Properties, Controls, and Objects - Graphics, Controls &amp; Methods - Interfacing with Windows - Arrays, OLE, and other topics - Data Control and SQL - Multiple Document Interface - ActiveX- Sound Programming and DirectSound - Building ActiveX Controls and all the latest features of Visual Basic.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0672313103.01._SCMZZZZZZZ_V61417589_.jpg
141	Exim The Mail Transfer Agent	Philip Hazel	exim mail transfer agent	Reference/text/tutorial book for the mail transfer agent Exim	t	2006-09-04 12:43:59.442472+01	O'Reilly	rollercow	\N	0596000987	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0XCZR9AAEFM8AK27BKCK</RequestId><Arguments><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0596000987"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0698888301849365</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0596000987</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0596000987</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0596000987%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0596000987%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>618784</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0596000987.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0596000987.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">121</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0596000987.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">377</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0596000987.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0596000987.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">121</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0596000987.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">377</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Philip Hazel</Author><Binding>Paperback</Binding><Brand>O'Reilly Media</Brand><DeweyDecimalNumber>004.692</DeweyDecimalNumber><EAN>9780596000981</EAN><Edition>1ST</Edition><Format>Illustrated</Format><ISBN>0596000987</ISBN><Label>O'Reilly Media</Label><ListPrice><Amount>4495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$44.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly Media</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>624</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">116</Height><Length Units="hundredths-inches">922</Length><Weight Units="hundredths-pounds">216</Weight><Width Units="hundredths-inches">704</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2001-10-15</PublicationDate><Publisher>O'Reilly Media</Publisher><Studio>O'Reilly Media</Studio><Title>Exim: The Mail Transfer Agent</Title><UPC>636920000983</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>257</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.57</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>248</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.48</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>4495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$44.95</FormattedPrice></LowestCollectiblePrice><TotalNew>33</TotalNew><TotalUsed>20</TotalUsed><TotalCollectible>2</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>F0y%2BPFAK2mEpJyiwBqjCNkCn2IK0GUBZOwXgDs0SvRhkBUsvKRw8cNSNcU%2BCxel%2B6oVwMHytC%2FY%2BpjEqF%2F0FZA%3D%3D</OfferListingId><Price><Amount>3057</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$30.57</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>You can do anything with Sendmail, the saying goes, but why would you want to? The Exim mail-handling daemon is just as capable as the old stalwart of handling everyday electronic mail duties, and far easier to administer. With a style and polish that's typical of the blue-cover series of system administration books from O'Reilly, &lt;I&gt;Exim: The Mail Transfer Agent&lt;/I&gt; shows how to set up and use Exim. You'll be very pleased with this book if you've chosen to work with Exim and require better information than the online documentation can provide. Philip Hazel has done a good job of combining a comprehensive set of details--including lots of command listings--with advice and practical examples that will make an administrator's life easier.&lt;p&gt;  Typical of this approach is the treatment of methods for blocking traffic from bad hosts that attempt to mail to your Exim station. The book runs through alternative techniques--using a public blocking list, blocking hosts explicitly, and so on--in series. Each technique is described in terms of what happens and why, and includes listings of the relevant configuration commands. Other sections, such as those concerned with SMTP configuration, are more reference-like. They contain long lists of commands and options, in which the purpose of each is explained. &lt;I&gt;--David Wall&lt;/I&gt;&lt;p&gt;  &lt;B&gt;Topics covered:&lt;/B&gt; How to set up, configure, and administer the Exim mail-handling agent. Directors, routers, transports, filters, and the integration of Exim with Perl, shell scripts, and database lookups are covered. </Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>Exim delivers electronic mail, both local and remote. It has all the virtues of a good postman: it's easy to talk to, reliable, efficient, and eager to accommodate even the most complex special requests. It's the default mail transport agent installed on some Linux systems, runs on many versions of Unix, and is suitable for any TCP/IP network with any combination of hosts and end-user mail software.    Exim is growing in popularity because it is open source, scalable, and rich in features such as the following:  &lt;ul&gt;  &lt;li&gt;Compatibility with the calling interfaces and options of  Sendmail (for which Exim is usually a drop-in replacement)  &lt;/li&gt;&lt;li&gt;Lookups in LDAP servers, MySQL and PostgreSQL databases, and NIS or NIS+ services  &lt;/li&gt;&lt;li&gt;Support for many kinds of address parsing, including regular expressions that are compatible with Perl 5  &lt;/li&gt;&lt;li&gt;Sophisticated error handling  &lt;/li&gt;&lt;li&gt;Innumerable tuning parameters for improving performance and handling enormous volumes of mail&lt;/li&gt;  &lt;/ul&gt;    Best of all, Exim is easy to configure. You never have to deal with ruleset 3 or worry that a misplaced asterisk will cause an inadvertent mail bomb.    While a basic configuration is easy to read and can be created quickly, Exim's syntax and behavior do get more subtle as you enter complicated areas like virtual hosting, filtering, and automatic replies. This book is a comprehensive survey that provides quick information for people in a hurry as well as thorough coverage of more advanced material.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0596000987.01._SCMZZZZZZZ_.jpg
36	Overview of XView Programming	Dan Heller, Dale Dougherty and Adrian Nye	xview programming	Draft. Published in 1989	f	\N	O'Reilly	\N	t	\N	\N	\N
27	Software Process	Wiley	software process engineering	Published in August 1995. Pilot issue.	f	\N	Wiley	\N	t	\N	\N	\N
31	Turbo Pascal Reference Guide	Borland	turbo pascal reference guide programming	Published in 1988	f	\N	Borland	\N	t	\N	\N	\N
19	Turbo Pascal User's Guide	Borland	turbo pascal user guide programming		f	\N	Borland	\N	t	\N	\N	\N
56	Turbo Pascal Reference Guide	Borland	turbo pascal reference guide programming	Published in 1988	f	\N	Borland	\N	t	\N	\N	\N
57	Turbo Pascal Reference Guide	Borland	turbo pascal reference guide programming	Published in 1988	f	\N	Borland	\N	t	\N	\N	\N
20	Microsoft MS-DOS User's Guide and Reference	Microsoft	microsoft ms-dos user guide	User guide for MS-DOS version 5.00	f	\N	Microsoft	\N	t	\N	\N	\N
39	Turbo Prolog 2.0 User's Guide	Borland	turbo prolog user guide		f	\N	Borland	\N	t	\N	\N	\N
58	Turbo Prolog 2.0 Reference Guide	Borland	turbo prolog reference guide	\N	f	\N	Borland	\N	t	\N	\N	\N
59	TopSpeed Pascal Language Reference	Jensen & Partners	topspeed pascal language reference	Published in 1991	f	\N	Jensen & Partners	\N	\N	\N	\N	\N
60	TopSpeed Pascal Library Reference	Jensen & Partners	topspeed pascal library reference	Published in 1991	f	\N	Jensen & Partners	\N	\N	\N	\N	\N
46	C Programming Language, The	Brian W. Kernighan & Dennis M. Ritchie	C ANSI K&R	The definitive guide to the C language.  2nd edition.	t	2002-11-06 14:15:13+00	Prentice Hall	cj	t	\N	\N	\N
9	Teach Yourself Javascript in a Week	Arman Danesh	Javascript	donated by Brian Fegler	f	\N	sams.net	schpengle	t	1575210738	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0D7WWYKR1TXABTHDDJ5H</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="1575210738"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0961661338806152</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1575210738</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1575210738</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1575210738%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1575210738%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1605867</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1575210738.01._SCTHUMBZZZ_.gif</URL><Height Units="pixels">60</Height><Width Units="pixels">48</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1575210738.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">113</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1575210738.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">384</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1575210738.01._SCTHUMBZZZ_.gif</URL><Height Units="pixels">60</Height><Width Units="pixels">48</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1575210738.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">113</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1575210738.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">384</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Arman Danesh</Author><Binding>Paperback</Binding><DeweyDecimalNumber>005.133</DeweyDecimalNumber><EAN>9781575210735</EAN><Edition>Bk&amp;CD-Rom</Edition><ISBN>1575210738</ISBN><Label>Sams</Label><ListPrice><Amount>3999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$39.99</FormattedPrice></ListPrice><Manufacturer>Sams</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>543</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">950</Height><Length Units="hundredths-inches">150</Length><Weight Units="hundredths-pounds">235</Weight><Width Units="hundredths-inches">775</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1996-04</PublicationDate><Publisher>Sams</Publisher><Studio>Sams</Studio><Title>Teach Yourself Javascript in a Week (Sams Teach Yourself S.)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1499</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$14.99</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>25</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.25</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>3999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$39.99</FormattedPrice></LowestCollectiblePrice><TotalNew>2</TotalNew><TotalUsed>22</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1575210738.01._SCMZZZZZZZ_.jpg
120	Comparative Programing Languages	Leslie B.Wilson			f	\N	Addison-Wesley	\N	\N	0201568853	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>08RX0C2QFRD30YJBBMCZ</RequestId><Arguments><Argument Name="ItemId" Value="0201568853"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0808460712432861</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0201568853</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0201568853</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0201568853%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0201568853%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1985274</SalesRank><ItemAttributes><Author>Leslie B. Wilson</Author><Author>Robert G. Clark</Author><Binding>Hardcover</Binding><DeweyDecimalNumber>005.13</DeweyDecimalNumber><EAN>9780201568851</EAN><Edition>2nd</Edition><ISBN>0201568853</ISBN><Label>Addison-Wesley Pub (Sd)</Label><ListPrice><Amount>4395</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$43.95</FormattedPrice></ListPrice><Manufacturer>Addison-Wesley Pub (Sd)</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>374</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">975</Height><Length Units="hundredths-inches">100</Length><Weight Units="hundredths-pounds">185</Weight><Width Units="hundredths-inches">775</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1993-03</PublicationDate><Publisher>Addison-Wesley Pub (Sd)</Publisher><Studio>Addison-Wesley Pub (Sd)</Studio><Title>Comparative Programming Languages (International Computer Science Series)</Title></ItemAttributes><OfferSummary><LowestUsedPrice><Amount>444</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$4.44</FormattedPrice></LowestUsedPrice><TotalNew>0</TotalNew><TotalUsed>8</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>&lt;P&gt;&lt;I&gt;Comparative Programming Languages &lt;/I&gt;identifies and explains the essential concepts underlying the design and use of programming languages and provides a good balance of theory and practice. The author compares how the major languages handle issues such as declarations, types, data abstraction, information hiding, modularity and the support given to the development of reliable software systems. The emphasis is on the similarities between languages rather than their differences. The book primarily covers modern, widely-used object-oriented and procedural languages such as C, C++, Java, Pascal (including its implementation in Delphi), Ada 95, and Perl with special chapters being devoted to functional and logic languages. The new edition has been brought fully up to date with new developments in the field: the increase in the use of object-oriented languages as a student's first language; the growth in importance of graphical user interfaces (GUIs); and the widespread use of the Internet.&lt;/P&gt;</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	\N
121	Visual Basic .NET	Phill Jones			f	\N	continuum	\N	\N	0826457142	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1H94QS5S6JHSTEW2Q9ZE</RequestId><Arguments><Argument Name="ItemId" Value="0826457142"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.134190797805786</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0826457142</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest><Errors><Error><Code>AWS.InvalidParameterValue</Code><Message>0826457142 is not a valid value for ItemId. Please change this value and retry your request.</Message></Error></Errors></Request></Items></ItemLookupResponse>	\N
122	MCSE, Designing a Microsoft Windows 2000 Network Infrastructure	Emmett Dulaney and MeasureUp Inc			f	\N	Microsoft Press	\N	\N	0735613664	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1CJQT5QVZB30Q8Y3JDPA</RequestId><Arguments><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0735613664"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.105748176574707</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0735613664</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0735613664</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0735613664%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0735613664%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>943154</SalesRank><SmallImage><URL>http://ec1.images-amazon.com/images/P/0735613664.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/0735613664.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">115</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/0735613664.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">391</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://ec1.images-amazon.com/images/P/0735613664.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/0735613664.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">115</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/0735613664.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">391</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>MeasureUp Inc.</Author><Author>Emmett Dulaney</Author><Author>MeasureUp Inc.</Author><Binding>Paperback</Binding><Brand>Microsoft Press</Brand><DeweyDecimalNumber>005.44769</DeweyDecimalNumber><EAN>9780735613669</EAN><Edition>Book &amp; CD</Edition><ISBN>0735613664</ISBN><ItemDimensions><Height Units="hundredths-inches">84</Height><Length Units="hundredths-inches">896</Length><Weight Units="hundredths-pounds">120</Weight><Width Units="hundredths-inches">738</Width></ItemDimensions><Label>Microsoft Press</Label><ListPrice><Amount>2999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$29.99</FormattedPrice></ListPrice><Manufacturer>Microsoft Press</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>272</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">84</Height><Length Units="hundredths-inches">896</Length><Weight Units="hundredths-pounds">120</Weight><Width Units="hundredths-inches">738</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2001-07-25</PublicationDate><Publisher>Microsoft Press</Publisher><Studio>Microsoft Press</Studio><Title>MCSE Designing a Microsoft Windows 2000 Network Infrastructure Readiness Review; Exam 70-221</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.01</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>1</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.01</FormattedPrice></LowestUsedPrice><TotalNew>8</TotalNew><TotalUsed>19</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>Microsoft Certified Professional (MCP) Exam 70-221 measures the ability to analyze business requirements and design a network infrastructure for the Windows 2000 operating system. With READINESS REVIEW, certification candidates can sharpen their test-taking skills, save valuable time and money, and build their confidence for the real exam with the help of this exclusive exam simulation on CD-ROM. The READINESS REVIEW electronic assessment tool delivers randomly generated practice tests covering actual MCP exam objectives. Readers can test and retest with different question sets each time. After completing practice sessions, readers can consult the companion text for helpful explanations for all responses-right and wrong-and identify areas for further study.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://ec1.images-amazon.com/images/P/0735613664.01._SCMZZZZZZZ_.jpg
145	Perl Best Practices	Damian Conway	perl	From the O'Reilly European Open Source Convention 2005.\r\n\r\nDonated by Mr. Andy Gimblett	f	\N	O'Reilly	\N	\N	\N	\N	\N
117	Databases, an introduction	David M. Rothwell			f	\N	McGraw-Hill Book Company	\N	\N	0077077032	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0BY2BJC3BVQZA6MM03C0</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0077077032"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0784621238708496</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0077077032</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0077077032</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0077077032%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0077077032%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>4668835</SalesRank><ItemAttributes><Author>David M. Rothewell</Author><Binding>Hardcover</Binding><DeweyDecimalNumber>005.74</DeweyDecimalNumber><EAN>9780077077037</EAN><ISBN>0077077032</ISBN><Label>Mcgraw Hill Book Co Ltd</Label><Manufacturer>Mcgraw Hill Book Co Ltd</Manufacturer><NumberOfPages>368</NumberOfPages><PackageDimensions><Weight Units="hundredths-pounds">1278</Weight></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1992-11</PublicationDate><Publisher>Mcgraw Hill Book Co Ltd</Publisher><Studio>Mcgraw Hill Book Co Ltd</Studio><Title>Databases: An Introduction</Title></ItemAttributes><OfferSummary><TotalNew>0</TotalNew><TotalUsed>0</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
107	Beginning C++	Ivor Horton	C++ Programming	ANSI/ISO Compliant C++, ugly bloke on the front cover	f	\N	Wrox	\N	\N	186100012X	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>08EBFSYZ65YE2RCXZ6QV</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="186100012X"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0903680324554443</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>186100012X</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>186100012X</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=186100012X%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/186100012X%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>471471</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/186100012X.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">47</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/186100012X.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">110</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/186100012X.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">372</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/186100012X.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">47</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/186100012X.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">110</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/186100012X.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">372</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Ivor Horton</Author><Binding>Paperback</Binding><Brand>APress</Brand><DeweyDecimalNumber>005.133</DeweyDecimalNumber><EAN>9781861000125</EAN><Edition>2nd</Edition><ISBN>186100012X</ISBN><ItemDimensions><Height Units="hundredths-inches">207</Height><Length Units="hundredths-inches">921</Length><Weight Units="hundredths-pounds">333</Weight><Width Units="hundredths-inches">719</Width></ItemDimensions><Label>Wrox Press</Label><ListPrice><Amount>3999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$39.99</FormattedPrice></ListPrice><Manufacturer>Wrox Press</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>953</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">207</Height><Length Units="hundredths-inches">921</Length><Weight Units="hundredths-pounds">333</Weight><Width Units="hundredths-inches">719</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1998-04</PublicationDate><Publisher>Wrox Press</Publisher><Studio>Wrox Press</Studio><Title>Ivor Horton's Beginning C++ : The Complete Language ANSI/ISO Compliant (Wrox Beginning Series)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1300</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$13.00</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>500</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$5.00</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>3999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$39.99</FormattedPrice></LowestCollectiblePrice><TotalNew>5</TotalNew><TotalUsed>17</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>Ivor Horton's &lt;I&gt;Beginning C++&lt;/I&gt; provides a thorough and exceptionally well-written introduction to the world of C++. This guide pays the same attention to detail as Horton's previous book, &lt;I&gt;Beginning Java&lt;/I&gt;, and it provides clear and illustrative examples, making it an excellent candidate for your programming bookshelf.&lt;p&gt; Even working C++ programmers may not be familiar with all the advanced features of the Standard C++. The approach throughout &lt;I&gt;Beginning C++&lt;/I&gt; is to cover what C++ does out of the box. (One good reason to consider C++ instead of Java, for example, is that C++ is very close to becoming an international standard, while Java continues to fragment amid proprietary disputes between vendors such as Sun Microsystems and Microsoft.) Even early chapters introduce Standard Library features along with basic C++ data types, keywords, operators, and flow control statements. The built-in C++ &lt;I&gt;string&lt;/I&gt; class gets full coverage, all before the book introduces the concepts of pointers. (It's significant that the new C++ can do a lot more than manipulate data through pointers. The author makes a strong case that these built-in strengths are what will let C++ compete against Java.) &lt;p&gt; Later chapters explore topics in class design, which lets you design custom effective classes in C++. Thorny issues in class design, such as inheritance, virtual methods, and the proper use of default and copy constructors, as well as the pitfalls and advantages of operator overloading, are all presented in remarkably clear detail.&lt;p&gt; Classes in the C++ Standard Template Library are given their due. In all, &lt;I&gt;Beginning C++&lt;/I&gt; provides a massive amount of material, but presents it in digestible increments. The authors do a fine job of presenting the basics before going on to more advanced topics. This can be used as a stand-alone text to getting the most out of the C++ language.  </Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>&lt;P&gt;&lt;STRONG&gt;Ivor Horton&amp;#8217;s Beginning ANSI C++:&lt;/STRONG&gt; The Complete Language, Third Edition, is a comprehensive ground-up tutorial on the complete ANSI C++ language. No prior knowledge of any particular programming language is assumed and only an appreciation of elementary programming concepts - branching looping and the basic notions of how programs work - is required to use the book. All language elements are demonstrated with complete working code examples and exercises are included at the end of each chapter.&lt;/P&gt;</Content></EditorialReview><EditorialReview><Source>Download Description</Source><Content>&lt;ul&gt; &lt;li&gt;Completely revised and updated &lt;li&gt;Material is suited to both self-taught learners and structured courses &lt;li&gt;Includes progressive text and examples, with each topic building on what has been learned previously &lt;li&gt;In-depth coverage of class templates, including an introduction to the Standard Template Library &lt;/ul&gt;  &lt;p&gt;Written in the style that has made Ivor Horton one of today's bestselling authors, &lt;i&gt;Ivor Horton's Beginning ANSI C++: The Complete Language, Third Edition&lt;/i&gt; is a comprehensive ground-up tutorial on the complete C++ language following the ANSI specification. &lt;/p&gt; &lt;p&gt;No prior knowledge of any particular programming language is assumed and only an appreciation of elementary programming concepts - branching looping and the basic notions of how programs work - is required to use the book. All language elements are demonstrated with complete working code examples and exercises are included at the end of each chapter.&lt;/p&gt;</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/186100012X.01._SCMZZZZZZZ_.jpg
114	Introduction to Database on Microcomputers	Geoff Sharman			f	\N	Addison-Wesley Publishing Company	\N	\N	020115031X	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1ECVTKBNA9RC0RX62PWK</RequestId><Arguments><Argument Name="ItemId" Value="020115031X"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.070465087890625</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>020115031X</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>020115031X</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=020115031X%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/020115031X%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><ItemAttributes><Author>Geoff Sharman</Author><Binding>Paperback</Binding><DeweyDecimalNumber>005.265</DeweyDecimalNumber><EAN>9780201150315</EAN><ISBN>020115031X</ISBN><Label>Addison-Wesley</Label><ListPrice><Amount>2133</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$21.33</FormattedPrice></ListPrice><Manufacturer>Addison-Wesley</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>247</NumberOfPages><ProductGroup>Book</ProductGroup><PublicationDate>1987-07</PublicationDate><Publisher>Addison-Wesley</Publisher><Studio>Addison-Wesley</Studio><Title>Introduction to Database on Microcomputers (Ibm Personal Computer Series)</Title></ItemAttributes><OfferSummary><LowestUsedPrice><Amount>399</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$3.99</FormattedPrice></LowestUsedPrice><TotalNew>0</TotalNew><TotalUsed>3</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
48	Core PHP Programming	Leon Atkinson	PHP web scripting dynamic	Second edition, covers PHP 4.  CDROM included.	t	2005-09-13 17:01:23.873646+01	PH PTR	greggwilliams	t	\N	\N	\N
53	Apache The Definitive Guide	Ben Laurie & Peter Laurie	apache web	A guide to the open source Apache web server.	t	2005-09-30 14:10:33.571164+01	O'Reilly	greggwilliams	t	\N	\N	\N
17	DNS and BIND	Paul Albitz & Cricket Liu	DNS BIND named	1st Edition (with corrections)	t	2005-09-30 14:13:03.854259+01	O'Reilly	greggwilliams	t	\N	\N	\N
54	DNS and BIND - 3rd Edition	Paul Albitz & Cricket Liu	dns bind	Another copy of the 3rd Edition	f	\N	O'Reilly	davea	t	\N	\N	\N
15	Learning Perl - MISSING!	O'Reilly	Perl	Gone missing	f	\N	O'Reilly	\N	t	\N	\N	\N
97	Artificial Intelligence 4th Edition	George F Luger	AI Artificial Intelligence	"Structures and Strategies for Complex Problem Solving"\r\n\r\nDonated by Dr. Grant 10/3/05	t	2005-03-14 15:53:37.764704+00	Addison Wesley	vortex	\N	\N	\N	\N
131	Evil Geniuses in a Nutshell	Illiad		A User Friendly Guide to World Domination\r\n\r\nDonated by Steven Whitehouse (rohan) 28/10/05	f	\N	O'Reilly	talyn256	\N	156592861X	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1RF6ZF9Y6RR55B6C5JDD</RequestId><Arguments><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="156592861X"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0927498340606689</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>156592861X</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>156592861X</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=156592861X%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/156592861X%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>569682</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/156592861X.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">64</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/156592861X.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">137</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/156592861X.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">427</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/156592861X.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">64</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/156592861X.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">137</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/156592861X.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">427</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Illiad</Author><Binding>Paperback</Binding><DeweyDecimalNumber>741.5973</DeweyDecimalNumber><EAN>0636920928614</EAN><Edition>1</Edition><ISBN>156592861X</ISBN><Label>O'Reilly</Label><ListPrice><Amount>1295</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$12.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>132</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">34</Height><Length Units="hundredths-inches">926</Length><Weight Units="hundredths-pounds">60</Weight><Width Units="hundredths-inches">798</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2000-05-15</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Evil Geniuses in a Nutshell</Title><UPC>636920928614</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1045</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$10.45</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>299</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.99</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>1354</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$13.54</FormattedPrice></LowestCollectiblePrice><TotalNew>3</TotalNew><TotalUsed>11</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>I'm very familiar with the Nutshell books, what my pal Van Wolverton calls "propellerhead books," or books for the nerds among us. This is appropriate because nerds appreciate brevity. On the other hand, &lt;I&gt;Evil Geniuses in a Nutshell&lt;/I&gt; appreciates levity.&lt;p&gt;  I was guessing that maybe the book was about crazy computer scientists. And, in a way, it is! But more accurately, &lt;I&gt;Evil Geniuses in a Nutshell&lt;/I&gt; is a collection of the &lt;I&gt;User Friendly&lt;/I&gt; cartoon strips, originally published on the Internet at http://www.userfriendly.org/. The fuzzy-headed-with-feet guy on the book's cover is Dust Puppy, the strip's mascot (who is apparently very popular among the propellerheads; a copy of him secretly appears in the game Quake III). Other characters, familiar to anyone who works in high tech, also appear in the comic strip, as well as various foreign agents, domestic spies, and what possibly could be parodies of well-known computer geeks.&lt;p&gt;   The book is funny--the only Nutshell book I've ever laughed at. The illustrations were obviously done on a computer in some bitmap graphics application, but they aren't bad (and don't tell me they're stupid unless you've tried it; it &lt;I&gt;is&lt;/I&gt; hard). The humor is often subtle, but I occasionally found myself bursting out laughing. Like Dilbert, Calvin and Hobbes, or even &lt;I&gt;Married with Children&lt;/I&gt;, it takes a while to soak in the humor, but then it becomes addictive.&lt;p&gt;  I recommend &lt;I&gt;Evil Geniuses in a Nutshell&lt;/I&gt; if for no other reason than so you can have a truly funny computer book on your shelf. (Or in the WC, which is where I read it.) There is a follow-on called &lt;I&gt;User Friendly&lt;/I&gt; the comic strip, also from O'Reilly. The more you're into technical things, the more you'll appreciate it. &lt;I&gt;--Dan Gookin&lt;/I&gt;  </Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>The follow-up to the highly successful first collection of User Friendly comic strips from O'Reilly &amp; Associates, &lt;i&gt;Evil  Geniuses in a Nutshell&lt;/i&gt; tells the continuing tale of  Columbia Internet, "the friendliest, hardest-working and most  neurotic little Internet Service Provider in the world." Take three techs, two salespeople, a designer, two executives, a couple  of administrative staff, mix in a mischievous Artificial Intelligence and a "dust puppy" born from the innards of a mega server, put  them all together in a crowded little office, and you have the  makings of one of the most off-beat, original and funny comic  strips to come along in years.&lt;p&gt;"If you ask 20 people what User Friendly is about, you'll get 20 subtly different answers," says the cartoon's creator, J.D. 'Illiad' Frazer. "  Some say it's a cartoon about Open Source; some say it's about the rift  between technical and nontechnical staff; others say its about the pain  that technical people suffer when dealing with the stubbornly  unintelligent; some even say that User Friendly is a cartoon about Internet Workers. User Friendly addresses all those issues, but I don't think that's  what it's about, strictly speaking. User Friendly's universe revolves  around the simple idea that technology brings out both the best and the  worst in people, no matter who they are." &lt;p&gt;User Friendly reads like Dilbert for the Open Source community.  With a massive online following, it provides  outsiders a light-hearted  look at the world of the hard core geek, and allows those who make  their living dwelling in this world a chance to laugh at themselves.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/156592861X.01._SCMZZZZZZZ_.jpg
134	The Root of All Evil	Illiad		Donated by Steven Whitehouse (rohan) 28/10/05	f	\N	O'Reilly	\N	\N	0596001932	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>022MDZ073QXCQTCEKNMK</RequestId><Arguments><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0596001932"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0758669376373291</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0596001932</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0596001932</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0596001932%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0596001932%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>558744</SalesRank><SmallImage><URL>http://ec1.images-amazon.com/images/P/0596001932.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">65</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/0596001932.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">138</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/0596001932.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">430</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://ec1.images-amazon.com/images/P/0596001932.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">65</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/0596001932.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">138</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/0596001932.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">430</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>J D Frazer</Author><Author>Illiad</Author><Author>Bob Herbstman</Author><Binding>Paperback</Binding><Brand>O'Reilly Media</Brand><DeweyDecimalNumber>741.5973</DeweyDecimalNumber><EAN>9780596001933</EAN><Edition>1</Edition><Format>Illustrated</Format><ISBN>0596001932</ISBN><ItemDimensions><Height Units="hundredths-inches">43</Height><Length Units="hundredths-inches">932</Length><Weight Units="hundredths-pounds">63</Weight><Width Units="hundredths-inches">788</Width></ItemDimensions><Label>O'Reilly Media</Label><ListPrice><Amount>1295</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$12.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly Media</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>144</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">43</Height><Length Units="hundredths-inches">932</Length><Weight Units="hundredths-pounds">63</Weight><Width Units="hundredths-inches">788</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2001-08</PublicationDate><Publisher>O'Reilly Media</Publisher><Studio>O'Reilly Media</Studio><Title>The Root of All Evil</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>595</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$5.95</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>200</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.00</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>1295</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$12.95</FormattedPrice></LowestCollectiblePrice><TotalNew>43</TotalNew><TotalUsed>20</TotalUsed><TotalCollectible>2</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>Wd8BJU3ANNMhX2ikXGGLntCJuAHKTnzmAsfVB514LoECRWtPVg6w6bjDzeodurcp6AhSqG4kK8s4srF13%2B25cA%3D%3D</OfferListingId><Price><Amount>1062</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$10.62</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>It's back to Columbia Internet, "the friendliest, hardest-working, and  most neurotic little Internet Service Provider in the world," for our  third installment from the hit online comic, &lt;i&gt;User Friendly.&lt;/i&gt; The  cast: Quake-obsessed techies, self-absorbed sales staff, well-meaning  execs, and assorted almost-humans. The background: too little office  space, warring operating systems, and eternally clueless customers.     Tag along as geeks go camping, Mike finds a new use for silly putty, and  Stef decides to beef up his Quake skills with the Acme Forced-Feedback  Enemy-Denial Smackdown Ergonomic Game Chair.     If you've read the first two &lt;i&gt;User Friendly&lt;/i&gt; editions from  O'Reilly, you don't need an introduction to Greg, Jeff, Miranda, the  Dust Puppy and the others. But if you haven't, welcome to the world of  the hard-core geek, where humor--especially at one's own foibles--can be  a survival skill. Since this is true of most work environments, chances  are you won't have to know Unix or be able to log in as "root" in order  to get the joke.     Illiad's community is truly global--the comic's one-million-plus readers  log on from Israel, Brazil, Iceland, New Zealand, and Greece, among  other far-flung locations. All kinds of people seem drawn to the strip-- from 8-year-old girls to 81-year-old women--a large, diverse, and very  loyal community.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://ec1.images-amazon.com/images/P/0596001932.01._SCMZZZZZZZ_.jpg
124	Introductory Java	David Parsons			f	\N	Continuum	\N	\N	0826461794	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0EKKM1ZDMB8CZJPQKC6V</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0826461794"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0982480049133301</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0826461794</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0826461794</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0826461794%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0826461794%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>2930022</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0826461794.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">45</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0826461794.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">104</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0826461794.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">353</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0826461794.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">45</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0826461794.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">104</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0826461794.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">353</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>David Parsons</Author><Binding>Paperback</Binding><DeweyDecimalNumber>005</DeweyDecimalNumber><EAN>9780826461797</EAN><Edition>2nd</Edition><ISBN>0826461794</ISBN><Label>Continuum International Publishing Group</Label><ListPrice><Amount>5338</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$53.38</FormattedPrice></ListPrice><Manufacturer>Continuum International Publishing Group</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>320</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">89</Height><Length Units="hundredths-inches">982</Length><Weight Units="hundredths-pounds">157</Weight><Width Units="hundredths-inches">724</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2003-04</PublicationDate><Publisher>Continuum International Publishing Group</Publisher><Studio>Continuum International Publishing Group</Studio><Title>Introductory Java</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>5338</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$53.38</FormattedPrice></LowestNewPrice><TotalNew>1</TotalNew><TotalUsed>0</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>6ZpGW3K%2FzBWeiUIDTjh4Puh97Bux4ZGNoATTpRlFLHAXyT5sYphRlYtnThELJnCLr2jXjGHpL41m40w9ic8G0A%3D%3D</OfferListingId><Price><Amount>5338</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$53.38</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0826461794.01._SCMZZZZZZZ_.jpg
113	Relational Database Principles	Colin Ritchie		This book is a practical introduction to the practice and principles of relational databases for HND and undergraduate computing sudents	f	\N	continuum	\N	\N	0826457134	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0EQBK42NSZ4WNK9S0PY6</RequestId><Arguments><Argument Name="ItemId" Value="0826457134"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.114609003067017</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0826457134</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0826457134</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0826457134%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0826457134%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1920029</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0826457134.01._SCTHUMBZZZ_V1082184405_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">43</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0826457134.01._SCMZZZZZZZ_V1082184405_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">99</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0826457134.01._SCLZZZZZZZ_V1082184405_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">337</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0826457134.01._SCTHUMBZZZ_V1082184405_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">43</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0826457134.01._SCMZZZZZZZ_V1082184405_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">99</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0826457134.01._SCLZZZZZZZ_V1082184405_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">337</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Colin Ritchie</Author><Binding>Paperback</Binding><DeweyDecimalNumber>005</DeweyDecimalNumber><EAN>9780826457134</EAN><Edition>2</Edition><ISBN>0826457134</ISBN><Label>Int. Thomson Business Press</Label><ListPrice><Amount>5299</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$52.99</FormattedPrice></ListPrice><Manufacturer>Int. Thomson Business Press</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>296</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">70</Height><Length Units="hundredths-inches">984</Length><Weight Units="hundredths-pounds">124</Weight><Width Units="hundredths-inches">686</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2002-04-25</PublicationDate><Publisher>Int. Thomson Business Press</Publisher><Studio>Int. Thomson Business Press</Studio><Title>Relational Database Principles</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>3338</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$33.38</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>3004</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$30.04</FormattedPrice></LowestUsedPrice><TotalNew>10</TotalNew><TotalUsed>5</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>7eQqI3RbB%2BQV6FZONtvoi35OoPY3TcwM0J9O9%2BNdBwQ8LqVPQGdJzZfkWI2GtX8a4IvTZ7VDRRGB2V9bGC6sig%3D%3D</OfferListingId><Price><Amount>3338</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$33.38</FormattedPrice></Price><Availability>Usually ships in 4 to 6 weeks</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>This new edition of an established textbook provides an introduction to the practice and principles of relational databases. It emphasises data modelling and the consequent construction of a database and reflects the importance of Structured Query Language (SQL). It contains new material on web-based databases and MySQL. There is increased coverage of the differences between Access and Oracle in SQL. Case studies and sample data feature on an accompanying web-sites.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0826457134.01._SCMZZZZZZZ_V1082184405_.jpg
135	Programming Perl	Larry Wall, Tom Christiansen & Jon Orwant	Perl	Donated by Steven Whitehouse (rohan) 28/10/05	f	\N	O'Reilly	\N	\N	0596000278	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0EQ3P58SQXMXHK5K257E</RequestId><Arguments><Argument Name="ItemId" Value="0596000278"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0830910205841064</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0596000278</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0596000278</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0596000278%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0596000278%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>5136</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0596000278.01._SCTHUMBZZZ_V1128787144_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0596000278.01._SCMZZZZZZZ_V1128787144_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">121</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0596000278.01._SCLZZZZZZZ_V1128787144_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">379</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0596000278.01._SCTHUMBZZZ_V1128787144_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0596000278.01._SCMZZZZZZZ_V1128787144_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">121</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0596000278.01._SCLZZZZZZZ_V1128787144_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">379</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Larry Wall</Author><Author>Tom Christiansen</Author><Author>Jon Orwant</Author><Binding>Paperback</Binding><Brand>O'Reilly Media</Brand><DeweyDecimalNumber>005.133</DeweyDecimalNumber><EAN>9780596000271</EAN><Edition>3</Edition><ISBN>0596000278</ISBN><ItemDimensions><Height Units="hundredths-inches">175</Height><Length Units="hundredths-inches">917</Length><Weight Units="hundredths-pounds">304</Weight><Width Units="hundredths-inches">701</Width></ItemDimensions><Label>O'Reilly Media</Label><ListPrice><Amount>4995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$49.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly Media</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>1092</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">175</Height><Length Units="hundredths-inches">917</Length><Weight Units="hundredths-pounds">304</Weight><Width Units="hundredths-inches">701</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2000-07-14</PublicationDate><Publisher>O'Reilly Media</Publisher><Studio>O'Reilly Media</Studio><Title>Programming Perl (3rd Edition)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>3117</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$31.17</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>1899</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$18.99</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>4700</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$47.00</FormattedPrice></LowestCollectiblePrice><TotalNew>44</TotalNew><TotalUsed>26</TotalUsed><TotalCollectible>3</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>qAxfGzoWZMpP4SmEoH6Qrb2Q89z3Z62QQSRoBKt8ksRMFUqEvZJa0GWsYqCo4aifkrQI9kEruLSodFtlUlz%2BRA%3D%3D</OfferListingId><Price><Amount>3297</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$32.97</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>Larry Wall wrote Perl and he wrote &lt;I&gt;Programming Perl&lt;/I&gt;. Better yet,  he writes amusingly and well--all of which comes across in this latest edition  of the definitive guide to the language.&lt;p&gt;  Like Topsy, Perl just grew, and as a result the need for a third edition came  about. It's now over 1,000 pages, which it needs to be, as it performs several  different duties. First, it's an introduction to the Perl language for those who  are new to programming; also, it's a guide for those who are coming from other  languages; and, finally, it's a Perl language reference. &lt;p&gt;  Among Larry Wall's other pursuits is being a linguist, and it's perhaps for this  reason that Perl is a peculiarly flexible language with many routes to achieving  the same ends, as the authors ably demonstrate. It's also extensible in several  ways, designed to work with many other languages. Also, as it's largely  interpreted, programs written in Perl tend to run unmodified on a variety of  platforms--although platform-specific Perl modules and programming practices are  also discussed.&lt;p&gt;  A major strength of &lt;I&gt;Programming Perl&lt;/I&gt; is the way subject areas are  approached from several directions. This constant shift of viewpoint eliminates  blind spots in the reader's understanding and provides a pleasing echo of the  way Perl itself can take many routes from here to there. &lt;p&gt;  Because the Perl community is both knowledgeable and active, the language covers  much more ground here than in the previous edition. Even if you have both  previous editions, you'll want this latest version--if only for the new jokes.  &lt;I&gt;--Steve Patient, amazon.co.uk&lt;/I&gt;</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>Perl is a powerful programming language that  has grown in popularity since it first appeared in 1988. The first edition of this book, &lt;i&gt;Programming Perl,&lt;/i&gt; hit the shelves in 1990, and was quickly adopted as the  undisputed bible of the language. Since then, Perl  has grown with the times, and so has this book.    &lt;i&gt;Programming Perl&lt;/i&gt; is not just a book about Perl. It is  also a unique introduction to the language and its culture,  as one might expect only from its authors. Larry Wall is the inventor of Perl, and provides a unique perspective on  the evolution of Perl and its future direction. Tom Christiansen was one of the first champions of the language,  and lives and breathes the complexities of Perl internals  as few other mortals do. Jon Orwant is the editor of   &lt;i&gt;The Perl Journal,&lt;/i&gt; which has brought together the Perl  community as a common forum for new developments in Perl.    Any Perl book can show the syntax of Perl's functions, but only this one is a comprehensive guide to all the nooks and crannies of the language. Any Perl book can explain typeglobs, pseudohashes, and closures, but only this one shows  how they really work. Any Perl book can say that &lt;i&gt;my&lt;/i&gt; is faster than &lt;i&gt;local,&lt;/i&gt; but only this one explains why. Any Perl book  can have a title, but only this book is affectionately known by all Perl programmers as "The Camel."      This third edition of &lt;i&gt;Programming Perl&lt;/i&gt; has been expanded to cover version 5.6 of this maturing language. New topics include threading, the compiler, Unicode, and other  new features that have been added since the previous edition.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0596000278.01._SCMZZZZZZZ_V1128787144_.jpg
11	CGI Programming on the World Wide Web - MISSING	O'Reilly	CGI Programming WWW HTML	donated by Rhys Jones	f	\N	O'Reilly	\N	f	\N	\N	\N
119	Database Management (2nd Ed)	Fred R. McFadden and Jeffrey A. Hoffer			f	\N	The Benjamin/Cummings Publishing Company	\N	\N	0805367837	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>02HAV4RQQJM6G3C9PA76</RequestId><Arguments><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0805367837"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument></Arguments><RequestProcessingTime>0.439209938049316</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0805367837</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0805367837</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0805367837%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0805367837%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>4053544</SalesRank><ItemAttributes><Author>Fred R McFadden</Author><Binding>Hardcover</Binding><EAN>9780805367836</EAN><Edition>2nd ed</Edition><ISBN>0805367837</ISBN><Label>Benjamin/Cummings Pub. Co</Label><ListPrice><Amount>2649</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$26.49</FormattedPrice></ListPrice><Manufacturer>Benjamin/Cummings Pub. Co</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>680</NumberOfPages><PackageDimensions><Weight Units="hundredths-pounds">272</Weight></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1988-06</PublicationDate><Publisher>Benjamin/Cummings Pub. Co</Publisher><Studio>Benjamin/Cummings Pub. Co</Studio><Title>Data base management</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>2495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$24.95</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>33</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.33</FormattedPrice></LowestUsedPrice><TotalNew>1</TotalNew><TotalUsed>18</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
132	Evil Geniuses in a Nutshell	Illiad		A User Friendly Guide to World Domination\r\n\r\nDonated by Steven Whitehouse (rohan) 28/10/05	f	\N	O'Reilly	\N	\N	156592861X	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1PJGG4XPHAAMHXRT7HQ3</RequestId><Arguments><Argument Name="ItemId" Value="156592861X"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0806460380554199</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>156592861X</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>156592861X</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=156592861X%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/156592861X%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>569682</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/156592861X.01._SCTHUMBZZZ_V1123552756_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">64</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/156592861X.01._SCMZZZZZZZ_V1123552756_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">137</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/156592861X.01._SCLZZZZZZZ_V1123552756_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">427</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/156592861X.01._SCTHUMBZZZ_V1123552756_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">64</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/156592861X.01._SCMZZZZZZZ_V1123552756_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">137</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/156592861X.01._SCLZZZZZZZ_V1123552756_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">427</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Illiad</Author><Binding>Paperback</Binding><DeweyDecimalNumber>741.5973</DeweyDecimalNumber><EAN>0636920928614</EAN><Edition>1</Edition><ISBN>156592861X</ISBN><Label>O'Reilly</Label><ListPrice><Amount>1295</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$12.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>132</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">34</Height><Length Units="hundredths-inches">926</Length><Weight Units="hundredths-pounds">60</Weight><Width Units="hundredths-inches">798</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2000-05-15</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Evil Geniuses in a Nutshell</Title><UPC>636920928614</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1045</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$10.45</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>299</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.99</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>1354</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$13.54</FormattedPrice></LowestCollectiblePrice><TotalNew>3</TotalNew><TotalUsed>11</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>I'm very familiar with the Nutshell books, what my pal Van Wolverton calls "propellerhead books," or books for the nerds among us. This is appropriate because nerds appreciate brevity. On the other hand, &lt;I&gt;Evil Geniuses in a Nutshell&lt;/I&gt; appreciates levity.&lt;p&gt;  I was guessing that maybe the book was about crazy computer scientists. And, in a way, it is! But more accurately, &lt;I&gt;Evil Geniuses in a Nutshell&lt;/I&gt; is a collection of the &lt;I&gt;User Friendly&lt;/I&gt; cartoon strips, originally published on the Internet at http://www.userfriendly.org/. The fuzzy-headed-with-feet guy on the book's cover is Dust Puppy, the strip's mascot (who is apparently very popular among the propellerheads; a copy of him secretly appears in the game Quake III). Other characters, familiar to anyone who works in high tech, also appear in the comic strip, as well as various foreign agents, domestic spies, and what possibly could be parodies of well-known computer geeks.&lt;p&gt;   The book is funny--the only Nutshell book I've ever laughed at. The illustrations were obviously done on a computer in some bitmap graphics application, but they aren't bad (and don't tell me they're stupid unless you've tried it; it &lt;I&gt;is&lt;/I&gt; hard). The humor is often subtle, but I occasionally found myself bursting out laughing. Like Dilbert, Calvin and Hobbes, or even &lt;I&gt;Married with Children&lt;/I&gt;, it takes a while to soak in the humor, but then it becomes addictive.&lt;p&gt;  I recommend &lt;I&gt;Evil Geniuses in a Nutshell&lt;/I&gt; if for no other reason than so you can have a truly funny computer book on your shelf. (Or in the WC, which is where I read it.) There is a follow-on called &lt;I&gt;User Friendly&lt;/I&gt; the comic strip, also from O'Reilly. The more you're into technical things, the more you'll appreciate it. &lt;I&gt;--Dan Gookin&lt;/I&gt;  </Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>The follow-up to the highly successful first collection of User Friendly comic strips from O'Reilly &amp; Associates, &lt;i&gt;Evil  Geniuses in a Nutshell&lt;/i&gt; tells the continuing tale of  Columbia Internet, "the friendliest, hardest-working and most  neurotic little Internet Service Provider in the world." Take three techs, two salespeople, a designer, two executives, a couple  of administrative staff, mix in a mischievous Artificial Intelligence and a "dust puppy" born from the innards of a mega server, put  them all together in a crowded little office, and you have the  makings of one of the most off-beat, original and funny comic  strips to come along in years.&lt;p&gt;"If you ask 20 people what User Friendly is about, you'll get 20 subtly different answers," says the cartoon's creator, J.D. 'Illiad' Frazer. "  Some say it's a cartoon about Open Source; some say it's about the rift  between technical and nontechnical staff; others say its about the pain  that technical people suffer when dealing with the stubbornly  unintelligent; some even say that User Friendly is a cartoon about Internet Workers. User Friendly addresses all those issues, but I don't think that's  what it's about, strictly speaking. User Friendly's universe revolves  around the simple idea that technology brings out both the best and the  worst in people, no matter who they are." &lt;p&gt;User Friendly reads like Dilbert for the Open Source community.  With a massive online following, it provides  outsiders a light-hearted  look at the world of the hard core geek, and allows those who make  their living dwelling in this world a chance to laugh at themselves.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/156592861X.01._SCMZZZZZZZ_V1123552756_.jpg
111	Linux Answers - MISSING!	Linux Format		A book of FAQ's	f	\N	Linux Format	\N	\N	\N	\N	\N
133	Evil Geniuses in a Nutshell	Illiad		A User Friendly Guide to World Domination\r\n\r\nDonated by Steven Whitehouse (rohan) 28/10/05	f	\N	O'Reilly	\N	\N	156592861X	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1PVYXJ6TB67TYDJZQENP</RequestId><Arguments><Argument Name="ItemId" Value="156592861X"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0859968662261963</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>156592861X</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>156592861X</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=156592861X%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/156592861X%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>569682</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/156592861X.01._SCTHUMBZZZ_V1123552756_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">64</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/156592861X.01._SCMZZZZZZZ_V1123552756_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">137</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/156592861X.01._SCLZZZZZZZ_V1123552756_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">427</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/156592861X.01._SCTHUMBZZZ_V1123552756_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">64</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/156592861X.01._SCMZZZZZZZ_V1123552756_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">137</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/156592861X.01._SCLZZZZZZZ_V1123552756_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">427</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Illiad</Author><Binding>Paperback</Binding><DeweyDecimalNumber>741.5973</DeweyDecimalNumber><EAN>0636920928614</EAN><Edition>1</Edition><ISBN>156592861X</ISBN><Label>O'Reilly</Label><ListPrice><Amount>1295</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$12.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>132</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">34</Height><Length Units="hundredths-inches">926</Length><Weight Units="hundredths-pounds">60</Weight><Width Units="hundredths-inches">798</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2000-05-15</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Evil Geniuses in a Nutshell</Title><UPC>636920928614</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1045</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$10.45</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>299</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.99</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>1354</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$13.54</FormattedPrice></LowestCollectiblePrice><TotalNew>3</TotalNew><TotalUsed>11</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>I'm very familiar with the Nutshell books, what my pal Van Wolverton calls "propellerhead books," or books for the nerds among us. This is appropriate because nerds appreciate brevity. On the other hand, &lt;I&gt;Evil Geniuses in a Nutshell&lt;/I&gt; appreciates levity.&lt;p&gt;  I was guessing that maybe the book was about crazy computer scientists. And, in a way, it is! But more accurately, &lt;I&gt;Evil Geniuses in a Nutshell&lt;/I&gt; is a collection of the &lt;I&gt;User Friendly&lt;/I&gt; cartoon strips, originally published on the Internet at http://www.userfriendly.org/. The fuzzy-headed-with-feet guy on the book's cover is Dust Puppy, the strip's mascot (who is apparently very popular among the propellerheads; a copy of him secretly appears in the game Quake III). Other characters, familiar to anyone who works in high tech, also appear in the comic strip, as well as various foreign agents, domestic spies, and what possibly could be parodies of well-known computer geeks.&lt;p&gt;   The book is funny--the only Nutshell book I've ever laughed at. The illustrations were obviously done on a computer in some bitmap graphics application, but they aren't bad (and don't tell me they're stupid unless you've tried it; it &lt;I&gt;is&lt;/I&gt; hard). The humor is often subtle, but I occasionally found myself bursting out laughing. Like Dilbert, Calvin and Hobbes, or even &lt;I&gt;Married with Children&lt;/I&gt;, it takes a while to soak in the humor, but then it becomes addictive.&lt;p&gt;  I recommend &lt;I&gt;Evil Geniuses in a Nutshell&lt;/I&gt; if for no other reason than so you can have a truly funny computer book on your shelf. (Or in the WC, which is where I read it.) There is a follow-on called &lt;I&gt;User Friendly&lt;/I&gt; the comic strip, also from O'Reilly. The more you're into technical things, the more you'll appreciate it. &lt;I&gt;--Dan Gookin&lt;/I&gt;  </Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>The follow-up to the highly successful first collection of User Friendly comic strips from O'Reilly &amp; Associates, &lt;i&gt;Evil  Geniuses in a Nutshell&lt;/i&gt; tells the continuing tale of  Columbia Internet, "the friendliest, hardest-working and most  neurotic little Internet Service Provider in the world." Take three techs, two salespeople, a designer, two executives, a couple  of administrative staff, mix in a mischievous Artificial Intelligence and a "dust puppy" born from the innards of a mega server, put  them all together in a crowded little office, and you have the  makings of one of the most off-beat, original and funny comic  strips to come along in years.&lt;p&gt;"If you ask 20 people what User Friendly is about, you'll get 20 subtly different answers," says the cartoon's creator, J.D. 'Illiad' Frazer. "  Some say it's a cartoon about Open Source; some say it's about the rift  between technical and nontechnical staff; others say its about the pain  that technical people suffer when dealing with the stubbornly  unintelligent; some even say that User Friendly is a cartoon about Internet Workers. User Friendly addresses all those issues, but I don't think that's  what it's about, strictly speaking. User Friendly's universe revolves  around the simple idea that technology brings out both the best and the  worst in people, no matter who they are." &lt;p&gt;User Friendly reads like Dilbert for the Open Source community.  With a massive online following, it provides  outsiders a light-hearted  look at the world of the hard core geek, and allows those who make  their living dwelling in this world a chance to laugh at themselves.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/156592861X.01._SCMZZZZZZZ_V1123552756_.jpg
63	Managing NFS and NIS	Hal Stern	NFS NIS	An in-depth guide to the Network Filesystem and the Network Informations System. First edition (with corrections). Donated by Steven Whitehouse	f	\N	O'Reilly	welshbyte	\N	0937175757	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1ACQ8H2TKKWX6M1PK77R</RequestId><Arguments><Argument Name="ItemId" Value="0937175757"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.101030111312866</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0937175757</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0937175757</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0937175757%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0937175757%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>877521</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0937175757.01._SCTHUMBZZZ_V1123621149_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">47</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0937175757.01._SCMZZZZZZZ_V1123621149_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">101</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0937175757.01._SCLZZZZZZZ_V1123621149_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">316</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0937175757.01._SCTHUMBZZZ_V1123621149_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">47</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0937175757.01._SCMZZZZZZZ_V1123621149_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">101</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0937175757.01._SCLZZZZZZZ_V1123621149_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">316</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Hal Stern</Author><Binding>Paperback</Binding><DeweyDecimalNumber>005.713</DeweyDecimalNumber><EAN>9780937175750</EAN><Edition>1</Edition><ISBN>0937175757</ISBN><Label>O'Reilly</Label><ListPrice><Amount>3495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>433</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">900</Height><Length Units="hundredths-inches">100</Length><Weight Units="hundredths-pounds">130</Weight><Width Units="hundredths-inches">600</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1991-07</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Managing NFS and NIS (Nutshell Handbook)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.01</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>1</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.01</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>3495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.95</FormattedPrice></LowestCollectiblePrice><TotalNew>16</TotalNew><TotalUsed>43</TotalUsed><TotalCollectible>2</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>Cross-platform file sharing under Network File System (NFS) is  so reliable that in most organizations, it works pretty much  unattended. Ditto for the directory services that Network Information  System (NIS) provides. &lt;I&gt;Managing NFS and NIS&lt;/I&gt; is for people who  want to know more about how NFS and NIS do their vital work, and how to  make them operate in unusual circumstances. Focused on the Solaris and  Linux implementations of NFS and NIS, this book is ideal for the Unix  system administrator who's familiar with TCP/IP networking and everyday  system administration. The second edition of this book eliminates much  of the programming material that appeared in its predecessor and  replaces it with information on NFS 3, its support of IPsec and  Kerberos security, and its operation under Solaris 8.&lt;p&gt;This is a blue  O'Reilly book, packed to the gunwales with information of interest to  people in a hurry to optimize their systems and resolve difficulties.  It's easy to locate the passage you need via the index or through the  table of contents, and most entries provide a great mix of how-to  material (in the form of input-and-output listings) and explanatory  text (expert commentary, often with notes on applicable variations). If  there's a command, option, or configuration parameter associated with  NIS or NFS, you'll find documentation of it here. &lt;I&gt;--David Wall&lt;/I&gt; &lt;p&gt; &lt;B&gt;Topics covered:&lt;/B&gt; Network File System (NFS) and Network  Information System (NIS) for Unix machines, especially Solaris (through  version 8) and Linux (through version 2.2). Auto mounting, security,  diskless workstations, and performance tuning are among the many  details the authors address.</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>A modern computer system that is not part of a network is an anomaly. But managing a network and getting it to perform well can be a problem. This book describes two tools that are absolutely essential to distributed computing environments: the Network Filesystem (NFS) and the Network Information System (formerly called the "yellow pages" or YP).&lt;p&gt;The Network Filesystem, developed by Sun Microsystems, is fundamental to most UNIX networks. It allows systems ranging from PCs running DOS to UNIX workstations to large mainframes to access each other's files transparently. It is the standard method for sharing files between different computer systems.&lt;p&gt;As popular as NFS is, it is a "black box" for most users and administrators. This book provides a comprehensive discussion of how to plan, set up, and debug an NFS network. It is the only book we're aware of that discusses NFS and network performance tuning. This book also covers the NFS automounter, network security issues, diskless workstations, and PC/NFS.&lt;p&gt;NFS isn't really complete without its companion, NIS. NIS provides a distributed database service for managing the most important administrative files, such as the passwd file and the hosts file. NIS centralizes administration of commonly replicated files, letting you make a single change to the database rather than making changes on every system on the network.&lt;p&gt;This book tells you how to set up and use NIS to simplify network management. It also tells you how to use NIS to manage your own database applications, ranging from a simple telephone list to controlling access to network services.&lt;p&gt;If you are managing a network of UNIX systems, or are thinking of setting up a UNIX network, you can't afford to overlook this book.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0937175757.01._SCMZZZZZZZ_V1123621149_.jpg
118	Systems Design in the Fourth Generation	chckens			f	\N	John Wiley & Sons	\N	\N	0471533963	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0AE325H7WGF7PEJCRTPD</RequestId><Arguments><Argument Name="ItemId" Value="0471533963"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0674231052398682</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0471533963</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0471533963</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0471533963%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0471533963%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><ItemAttributes><Author>J.A. Lehman</Author><Binding>Paperback</Binding><EAN>9780471533962</EAN><Edition>Internat.e.</Edition><ISBN>0471533963</ISBN><Label>John Wiley and Sons Ltd</Label><Manufacturer>John Wiley and Sons Ltd</Manufacturer><ProductGroup>Book</ProductGroup><PublicationDate>1991-03-21</PublicationDate><Publisher>John Wiley and Sons Ltd</Publisher><Studio>John Wiley and Sons Ltd</Studio><Title>Systems Design in the Fourth Generation: Using DBASE III PLUS and DBASE IV</Title></ItemAttributes><OfferSummary><TotalNew>0</TotalNew><TotalUsed>0</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
72	Stopping Spam	Alan Schwartz & Simson Garfinkel	spam	A guide to spam and how to stop it. Donated by Steven Whitehouse	f	\N	O'Reilly	\N	\N	\N	\N	\N
136	Managing NFS and NIS 2nd Edition	Hal Stern, Mike Eisler & Ricardo Labiaga	NFS NIS	Donated by Steven Whitehouse (rohan) 28/10/05	t	2006-05-05 21:00:17.766451+01	O'Reilly	welshbyte	\N	\N	\N	\N
125	Data Analysis for Data Base Design	DR Howe			f	\N	Edward Arnold	\N	\N	071313481X	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>17TFH3KHNZ5CZ61VFGWB</RequestId><Arguments><Argument Name="ItemId" Value="071313481X"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.121525049209595</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>071313481X</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest><Errors><Error><Code>AWS.InvalidParameterValue</Code><Message>071313481X is not a valid value for ItemId. Please change this value and retry your request.</Message></Error></Errors></Request></Items></ItemLookupResponse>	\N
110	Java For Students	Douglas Bell & Mike Parr	Java Programming	A Java programming book for students illustrated with pretty graphics and diagrams.\r\nDonated by Dr Grant 26/4/05	f	\N	Prentice Hall Europe	\N	\N	0138584400	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>157Z9W6YR9WWP6QR0CQR</RequestId><Arguments><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0138584400"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0833780765533447</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0138584400</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0138584400</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0138584400%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0138584400%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>2707291</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0138584400.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">44</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0138584400.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">103</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0138584400.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">350</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0138584400.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">44</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0138584400.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">103</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0138584400.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">350</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Douglas Bell</Author><Author>Mike Parr</Author><Binding>Paperback</Binding><Brand>Prentice Hall</Brand><DeweyDecimalNumber>005.133</DeweyDecimalNumber><EAN>9780138584405</EAN><Edition>1</Edition><ISBN>0138584400</ISBN><ItemDimensions><Height Units="hundredths-inches">975</Height><Length Units="hundredths-inches">150</Length><Weight Units="hundredths-pounds">210</Weight><Width Units="hundredths-inches">725</Width></ItemDimensions><Label>Prentice Hall</Label><ListPrice><Amount>5800</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$58.00</FormattedPrice></ListPrice><Manufacturer>Prentice Hall</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>570</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">150</Height><Length Units="hundredths-inches">975</Length><Weight Units="hundredths-pounds">210</Weight><Width Units="hundredths-inches">725</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1997-11-19</PublicationDate><Publisher>Prentice Hall</Publisher><Studio>Prentice Hall</Studio><Title>Java for Students 1,0</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>990</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$9.90</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>102</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$1.02</FormattedPrice></LowestUsedPrice><TotalNew>2</TotalNew><TotalUsed>12</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>xXZWk91%2FJSnXoJ10%2F5Dvt2ed8lLHd4M5Qr50U5CpUO3HgdCkmNbR5g5e78UDAiZEINb8SIujXzmv0bcWYD3wnw%3D%3D</OfferListingId><Price><Amount>5800</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$58.00</FormattedPrice></Price><Availability>Usually ships in 2 to 3 weeks</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0138584400.01._SCMZZZZZZZ_.jpg
40	sed &amp; awk	Dale Dougherty & Arnold Robbins	sed awk grep unix regexp	2nd Edition	f	\N	O'Reilly	talyn256	t	1565922255	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1GW9EX5SKCB2J5PHKY4B</RequestId><Arguments><Argument Name="ItemId" Value="1565922255"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.077125072479248</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565922255</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565922255</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565922255%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565922255%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>27938</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565922255.01._SCTHUMBZZZ_V1123613955_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922255.01._SCMZZZZZZZ_V1123613955_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">122</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922255.01._SCLZZZZZZZ_V1123613955_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">380</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565922255.01._SCTHUMBZZZ_V1123613955_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922255.01._SCMZZZZZZZ_V1123613955_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">122</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922255.01._SCLZZZZZZZ_V1123613955_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">380</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Arnold Robbins</Author><Author>Dale Dougherty</Author><Binding>Paperback</Binding><Brand>O'Reilly Media</Brand><DeweyDecimalNumber>005.43</DeweyDecimalNumber><EAN>9781565922259</EAN><Edition>2</Edition><ISBN>1565922255</ISBN><ItemDimensions><Height Units="hundredths-inches">102</Height><Length Units="hundredths-inches">908</Length><Weight Units="hundredths-pounds">153</Weight><Width Units="hundredths-inches">710</Width></ItemDimensions><Label>O'Reilly Media</Label><ListPrice><Amount>3495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly Media</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>432</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">96</Height><Length Units="hundredths-inches">919</Length><Weight Units="hundredths-pounds">153</Weight><Width Units="hundredths-inches">704</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1997-03-01</PublicationDate><Publisher>O'Reilly Media</Publisher><Studio>O'Reilly Media</Studio><Title>sed &amp; awk (2nd Edition)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>2132</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$21.32</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>1297</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$12.97</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>3495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.95</FormattedPrice></LowestCollectiblePrice><TotalNew>42</TotalNew><TotalUsed>23</TotalUsed><TotalCollectible>2</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>LWfIbM37F7hOsY4yQ7y5UrqAY8c6ImZWg8in7uZAfrLx%2BRgwo9VxFByNNjTS9Lc8Fa3GgPC94IaL2h9MLoAvoA%3D%3D</OfferListingId><Price><Amount>2307</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$23.07</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>&lt;i&gt;sed &amp; awk&lt;/i&gt; describes two text processing programs that are mainstays of the UNIX programmer's toolbox.    &lt;i&gt;sed&lt;/i&gt; is a "stream editor" for editing streams of text that might be too large to edit as a single file, or that might be generated on the fly as part of a larger data processing step. The most common operation done with &lt;i&gt;sed&lt;/i&gt; is substitution, replacing one block of text with another.    &lt;i&gt;awk&lt;/i&gt; is a complete programming language. Unlike many conventional  languages, &lt;i&gt;awk&lt;/i&gt; is "data driven" -- you specify what kind of data you  are interested in and the operations to be performed when that data is  found. &lt;i&gt;awk&lt;/i&gt; does many things for you, including automatically  opening and closing data files, reading records, breaking the records up  into fields, and counting the records. While &lt;i&gt;awk&lt;/i&gt; provides the  features of most conventional programming languages, it also includes some  unconventional features, such as extended regular expression matching and  associative arrays. &lt;i&gt;sed &amp; awk&lt;/i&gt; describes both programs in detail  and includes a chapter of example &lt;i&gt;sed&lt;/i&gt; and &lt;i&gt;awk&lt;/i&gt; scripts.    This edition covers features of &lt;i&gt;sed&lt;/i&gt; and &lt;i&gt;awk&lt;/i&gt; that are  mandated by the POSIX standard. This most notably affects &lt;i&gt;awk&lt;/i&gt;, where  POSIX standardized a new variable, CONVFMT, and new functions, &lt;i&gt;toupper&lt;/i&gt;()  and &lt;i&gt;tolower&lt;/i&gt;(). The CONVFMT variable specifies the conversion format  to use when converting numbers to strings (&lt;i&gt;awk&lt;/i&gt; used to use OFMT for this  purpose). The &lt;i&gt;toupper&lt;/i&gt;() and &lt;i&gt;tolower&lt;/i&gt;() functions each take a  (presumably mixed case) string argument and return a new version of the  string with all letters translated to the corresponding case.    In addition, this edition covers GNU &lt;i&gt;sed&lt;/i&gt;, newly available since the first edition. It also updates the first edition coverage of Bell Labs &lt;i&gt;nawk&lt;/i&gt;  and GNU &lt;i&gt;awk&lt;/i&gt; (&lt;i&gt;gawk&lt;/i&gt;), covers &lt;i&gt;mawk&lt;/i&gt;, an additional freely  available implementation of &lt;i&gt;awk&lt;/i&gt;, and briefly discusses three commercial versions of &lt;i&gt;awk&lt;/i&gt;, MKS &lt;i&gt;awk&lt;/i&gt;, Thompson Automation &lt;i&gt;awk&lt;/i&gt;  (&lt;i&gt;tawk&lt;/i&gt;), and Videosoft (VSAwk).</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565922255.01._SCMZZZZZZZ_V1123613955_.jpg
116	An Introduction to Data Structures	Brain Boffey and Derek Yates			f	\N	Chartwell Bratt	\N	\N	9144275919	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0QE43W7T2ZPVSK16H3MS</RequestId><Arguments><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="9144275919"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0663208961486816</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>9144275919</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest><Errors><Error><Code>AWS.InvalidParameterValue</Code><Message>9144275919 is not a valid value for ItemId. Please change this value and retry your request.</Message></Error></Errors></Request></Items></ItemLookupResponse>	\N
126	From Data to Database	D.S.Bowers			f	\N	Van Nostrand Reinhold (UK)	\N	\N	0442317921	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>16233FZ0JXHY006HJJXY</RequestId><Arguments><Argument Name="ItemId" Value="0442317921"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.143949031829834</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0442317921</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0442317921</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0442317921%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0442317921%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>4347924</SalesRank><ItemAttributes><Author>S. Bowers</Author><Author>D. S. Bowers</Author><Binding>Paperback</Binding><EAN>9780442317928</EAN><ISBN>0442317921</ISBN><Label>John Wiley &amp; Sons</Label><ListPrice><Amount>3395</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$33.95</FormattedPrice></ListPrice><Manufacturer>John Wiley &amp; Sons</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>192</NumberOfPages><ProductGroup>Book</ProductGroup><PublicationDate>1987-12</PublicationDate><Publisher>John Wiley &amp; Sons</Publisher><Studio>John Wiley &amp; Sons</Studio><Title>From Data to Database (Aspects of Information Technology)</Title></ItemAttributes><OfferSummary><LowestUsedPrice><Amount>1373</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$13.73</FormattedPrice></LowestUsedPrice><TotalNew>0</TotalNew><TotalUsed>5</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
127	Operating Systems 4th Ed	chckens			f	\N	Continuum	\N	\N	0826464165	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0TBB1WHY2W71XYCJ8FYJ</RequestId><Arguments><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0826464165"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0844259262084961</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0826464165</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0826464165</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0826464165%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0826464165%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>3498712</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0826464165.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">45</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0826464165.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">104</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0826464165.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">354</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0826464165.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">45</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0826464165.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">104</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0826464165.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">354</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Colin Ritchie</Author><Binding>Hardcover</Binding><DeweyDecimalNumber>005</DeweyDecimalNumber><EAN>9780826464163</EAN><Edition>4th</Edition><ISBN>0826464165</ISBN><Label>Continuum International Publishing Group</Label><ListPrice><Amount>4765</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$47.65</FormattedPrice></ListPrice><Manufacturer>Continuum International Publishing Group</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>320</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">61</Height><Length Units="hundredths-inches">978</Length><Weight Units="hundredths-pounds">117</Weight><Width Units="hundredths-inches">686</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2003-03</PublicationDate><Publisher>Continuum International Publishing Group</Publisher><Studio>Continuum International Publishing Group</Studio><Title>Operating Systems: Incorporating Unix and Windows</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>4068</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$40.68</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>4054</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$40.54</FormattedPrice></LowestUsedPrice><TotalNew>10</TotalNew><TotalUsed>3</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>%2B7%2FUi0%2Fi10l%2B7YbnFsdXLtE9R1C5NFzgNOPUY007ZffKDGAvDGxt2RL%2F6mGB4YpTQMlQURuwkZ7m7Y22Zep%2BuQ%3D%3D</OfferListingId><Price><Amount>4765</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$47.65</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0826464165.01._SCMZZZZZZZ_.jpg
50	Red Hat Linux Unleashed	Kamran Husain, Timothy Parker	redhat linux admin	Contains redhat 3.0.3 cdrom	f	\N	Sams	davea	t	0672309629	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>19SH3CW1Z4K5ZHNPEPXG</RequestId><Arguments><Argument Name="ItemId" Value="0672309629"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0734639167785645</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0672309629</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0672309629</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0672309629%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0672309629%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>2273593</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0672309629.01._SCTHUMBZZZ_V1056463985_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0672309629.01._SCMZZZZZZZ_V1056463985_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">113</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0672309629.01._SCLZZZZZZZ_V1056463985_.gif</URL><Height Units="pixels">475</Height><Width Units="pixels">382</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0672309629.01._SCTHUMBZZZ_V1056463985_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0672309629.01._SCMZZZZZZZ_V1056463985_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">113</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0672309629.01._SCLZZZZZZZ_V1056463985_.gif</URL><Height Units="pixels">475</Height><Width Units="pixels">382</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Kamran Husain</Author><Author>Timothy, Phd Parker</Author><Author>Tim Parker</Author><Binding>Paperback</Binding><Brand>SAMS</Brand><DeweyDecimalNumber>005.4469</DeweyDecimalNumber><EAN>9780672309625</EAN><Edition>Bk&amp;CD-Rom</Edition><ISBN>0672309629</ISBN><ItemDimensions><Height Units="hundredths-inches">950</Height><Length Units="hundredths-inches">200</Length><Weight Units="hundredths-pounds">425</Weight><Width Units="hundredths-inches">750</Width></ItemDimensions><Label>Sams</Label><ListPrice><Amount>4999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$49.99</FormattedPrice></ListPrice><Manufacturer>Sams</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>1176</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">200</Height><Length Units="hundredths-inches">950</Length><Weight Units="hundredths-pounds">425</Weight><Width Units="hundredths-inches">750</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1996-06</PublicationDate><Publisher>Sams</Publisher><Studio>Sams</Studio><Title>Red Hat Linux Unleashed (Unleashed S.)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>900</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$9.00</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>25</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.25</FormattedPrice></LowestUsedPrice><TotalNew>1</TotalNew><TotalUsed>8</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0672309629.01._SCMZZZZZZZ_V1056463985_.jpg
95	Introduction to UNIX and Linux - Lab Manual	Creary / Cottrell	UNIX Linux Lab	On loan from Mr Andy Gimblett, 8/03/2005\r\nReference copy only - not to leave the room.	f	\N	McGraw Hill	\N	\N	0072226943	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>02H6CSQ8732E4NE3XPCJ</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0072226943"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0833370685577393</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0072226943</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0072226943</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0072226943%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0072226943%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>431888</SalesRank><SmallImage><URL>http://ec1.images-amazon.com/images/P/0072226943.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">46</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/0072226943.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">108</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/0072226943.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">367</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://ec1.images-amazon.com/images/P/0072226943.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">46</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/0072226943.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">108</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/0072226943.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">367</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Catherine Creary</Author><Author>Lee M. Cottrell</Author><Binding>Paperback</Binding><Brand>McGraw-Hill Osborne Media</Brand><DeweyDecimalNumber>005.432076</DeweyDecimalNumber><EAN>0783254041271</EAN><Edition>1</Edition><ISBN>0072226943</ISBN><ItemDimensions><Height Units="hundredths-inches">64</Height><Length Units="hundredths-inches">910</Length><Weight Units="hundredths-pounds">114</Weight><Width Units="hundredths-inches">732</Width></ItemDimensions><Label>Mcgraw-Hill Osborne Media</Label><ListPrice><Amount>3750</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$37.50</FormattedPrice></ListPrice><Manufacturer>Mcgraw-Hill Osborne Media</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>285</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">64</Height><Length Units="hundredths-inches">910</Length><Weight Units="hundredths-pounds">114</Weight><Width Units="hundredths-inches">732</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2002-11-25</PublicationDate><Publisher>Mcgraw-Hill Osborne Media</Publisher><Studio>Mcgraw-Hill Osborne Media</Studio><Title>Introduction to Unix and Linux Lab Manual, Student Edition</Title><UPC>783254041271</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1100</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$11.00</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>662</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$6.62</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>5000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$50.00</FormattedPrice></LowestCollectiblePrice><TotalNew>15</TotalNew><TotalUsed>14</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>7x1va8975cpFGTIvi9q7Rxr%2BJx5vRT0oJccvh1SE5jPwohX6E1fzR33WsnXwYuXoTLvmjcyAP%2FpOtiWuvtSyyQ%3D%3D</OfferListingId><Price><Amount>3750</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$37.50</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>Ideal for students with little or no computer experience, this lab manual  and learning tool is filled with skill-building exercises, materials lists and set-up instructions, step-by-step lab scenarios, and clear  explanations. And, it's written by a leading UNIX and Linux curriculum  developer and instructor, making it perfect for both learning -- and  teaching -- the basics.  </Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://ec1.images-amazon.com/images/P/0072226943.01._SCMZZZZZZZ_.jpg
13	sendmail	Bryan Costales with Eric Allman	sendmail smtp	Second edition	f	\N	O'Reilly	\N	t	1565922220	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1J0H47S38Z1YBA68ZXER</RequestId><Arguments><Argument Name="ItemId" Value="1565922220"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0888760089874268</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565922220</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565922220</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565922220%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565922220%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>451467</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565922220.01._SCTHUMBZZZ_V1123552754_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922220.01._SCMZZZZZZZ_V1123552754_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">121</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922220.01._SCLZZZZZZZ_V1123552754_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">379</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565922220.01._SCTHUMBZZZ_V1123552754_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922220.01._SCMZZZZZZZ_V1123552754_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">121</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922220.01._SCLZZZZZZZ_V1123552754_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">379</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Bryan Costales</Author><Author>Eric Allman</Author><Binding>Paperback</Binding><Brand>O'Reilly &amp; Associates</Brand><EAN>0636920922223</EAN><Edition>2</Edition><ISBN>1565922220</ISBN><ItemDimensions><Height Units="hundredths-inches">160</Height><Length Units="hundredths-inches">916</Length><Weight Units="hundredths-pounds">286</Weight><Width Units="hundredths-inches">699</Width></ItemDimensions><Label>O'Reilly</Label><ListPrice><Amount>4995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$49.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>1044</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">160</Height><Length Units="hundredths-inches">916</Length><Weight Units="hundredths-pounds">286</Weight><Width Units="hundredths-inches">699</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1997-01-15</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Sendmail</Title><UPC>636920922223</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>199</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$1.99</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>9</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.09</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>4995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$49.95</FormattedPrice></LowestCollectiblePrice><TotalNew>17</TotalNew><TotalUsed>32</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>This second edition of &lt;i&gt;sendmail&lt;/i&gt; covers sendmail Version 8.8 from Berkeley and the standard versions available on most systems. It is far  and away the most comprehensive book ever written on sendmail, the program  that acts like a traffic cop in routing and delivering mail on Unix-based  networks. Although sendmail is used on almost every Unix system, it's one  of the last great uncharted territories--and most difficult utilities to  learn--in Unix system administration.&lt;p&gt;This book provides a complete sendmail tutorial, plus extensive reference  material on every aspect of the program. What's more, it's authoritative,  having been coauthored by Eric Allman, the developer of sendmail. In  addition to Version 8.8, it covers earlier versions available on many  systems, such as those found on Sun workstations. Part One is a tutorial  on understanding sendmail; Part Two covers the building, installation, and  m4 configuration of sendmail; Part Three covers practical issues in sendmail  administration; Part Four is a comprehensive reference section; and Part  Five consists of appendixes and a bibliography.&lt;p&gt;In this second edition an expanded tutorial demonstrates hub's &lt;i&gt;cf&lt;/i&gt; file and &lt;i&gt;nullclient.mc&lt;/i&gt;. Other topics include the #error delivery agent, sendmail's exit values, MIME headers, and how to set up and use the user database, &lt;i&gt;mailertable&lt;/i&gt;, and &lt;i&gt;smrsh&lt;/i&gt;. Solution-oriented examples  throughout the book help you solve your own sendmail problems. Plus, this  edition is cross-referenced with section numbers.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565922220.01._SCMZZZZZZZ_V1123552754_.jpg
16	Practical Unix and Internet Security	O\\'Reilly	Unix Linux Internet Security	2nd Edition	f	\N	O'Reilly	\N	t	1565921488	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0KRPHGCC44473YKM87EC</RequestId><Arguments><Argument Name="ItemId" Value="1565921488"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0960590839385986</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565921488</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565921488</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565921488%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565921488%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>441663</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565921488.01._SCTHUMBZZZ_V1123556345_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565921488.01._SCMZZZZZZZ_V1123556345_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">121</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565921488.01._SCLZZZZZZZ_V1123556345_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">377</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565921488.01._SCTHUMBZZZ_V1123556345_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565921488.01._SCMZZZZZZZ_V1123556345_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">121</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565921488.01._SCLZZZZZZZ_V1123556345_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">377</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Simson Garfinkel</Author><Author>Gene Spafford</Author><Binding>Paperback</Binding><Brand>O'Reilly &amp; Associates</Brand><DeweyDecimalNumber>005.8</DeweyDecimalNumber><EAN>0636920921486</EAN><Edition>2</Edition><ISBN>1565921488</ISBN><Label>O'Reilly</Label><ListPrice><Amount>4495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$44.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>1000</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">160</Height><Length Units="hundredths-inches">920</Length><Weight Units="hundredths-pounds">285</Weight><Width Units="hundredths-inches">700</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1996-04-01</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Practical Unix and Internet Security, 2nd Edition</Title><UPC>636920921486</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>325</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$3.25</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>1</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.01</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>4495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$44.95</FormattedPrice></LowestCollectiblePrice><TotalNew>17</TotalNew><TotalUsed>45</TotalUsed><TotalCollectible>2</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>&lt;I&gt;Practical Unix &amp; Internet Security&lt;/I&gt; is on its second edition, and its maturity shows. To call this highly readable book comprehensive is an understatement. The breadth is vast, from fundamentals (definitions of computer security; the history of Unix) and commonsense but little-observed security basics (making backups; physical and personnel security; buggy software) to modern software (NFS, WWW, firewalls) and the handling of security incidents. The section on users and passwords alone is 21 pages long--and worth every page. Useful appendices include a Unix security checklist, a list of emergency response organizations, and many references to electronic and paper resources.&lt;P&gt; The Internet covers too much and moves too quickly for any book to cover every security aspect of every piece of software, but this book comes close. More importantly, it gives you an exceptional grounding in the fundamental issues of security and teaches the right questions to ask--something that will stay with you long after today's software is obsolete.</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>When &lt;i&gt;Practical UNIX Security&lt;/i&gt; was first published in 1991, it became  an instant classic.  Crammed with information about host security, it  saved many a UNIX system administrator and user from disaster.  &lt;p&gt;This second edition is a complete rewrite of the original book.  It's  packed with twice the pages and offers even more practical information  for UNIX users and administrators.  It covers features of many types of  UNIX systems, including SunOS, Solaris, BSDI, AIX, HP-UX, Digital UNIX,  Linux, and others.  The first edition was practical, entertaining, and  full of useful scripts, tips, and warnings.  This edition is all those things -- and more.&lt;p&gt;If you are a UNIX system administrator or user in this security-conscious  age, you need this book.  It's a practical guide that spells out, in  readable and entertaining language, the threats, the system vulnerabilities,  and the countermeasures you can adopt to protect your UNIX system, network,  and Internet connection.  It's complete -- covering both host and network  security -- and doesn't require that you be a programmer or a UNIX guru to  use it. &lt;p&gt;&lt;i&gt;Practical UNIX &amp; Internet Security&lt;/i&gt; describes the issues, approaches,  and methods for implementing security measures.  It covers UNIX basics, the  details of security, the ways that intruders can get into your system,  and the ways you can detect them, clean up after them, and even prosecute  them if they do get in.  Filled with practical scripts, tricks, and warnings, &lt;i&gt;Practical UNIX &amp; Internet Security&lt;/i&gt; tells you everything you need to  know to make your UNIX system as secure as it possible can be.&lt;p&gt;Contents include:&lt;ul&gt;&lt;li&gt;Part I: Computer Security Basics.  Introduction and security policies.&lt;/li&gt;&lt;li&gt;Part II: User Responsibilities.  Users and their passwords, groups, the superuser, the UNIX filesystem, and cryptography.&lt;/li&gt;&lt;li&gt;Part III: System Administrator Responsibilities.  Backups, defending accounts, integrity checking, log files, programmed threats, physical security, and personnel security.&lt;/li&gt;&lt;li&gt;Part IV: Network and Internet Security: telephone security, UUCP, TCP/IP networks, TCP/IP services, WWW, RPC, NIS, NIS+, Kerberos, and NFS.&lt;/li&gt;&lt;li&gt;Part V: Advanced Topics: firewalls, wrappers, proxies, and secure programming.&lt;/li&gt;&lt;li&gt;Part VI: Handling Security Incidents: discovering a breakin, U.S. law, and trust.&lt;/li&gt;&lt;li&gt;VII: Appendixes.  UNIX system security checklist, important files, UNIX processes, paper and electronic sources, security organizations, and table of IP services.&lt;/li&gt;&lt;/ul&gt;</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565921488.01._SCMZZZZZZZ_V1123556345_.jpg
148	LDAP System Administration	rollercow	ldap ldif	Owned by rollercow, but can be taken out if you ask nicely.	f	\N	O'Reilly	\N	\N	\N	\N	\N
92	Learning the Korn Shell	Bill Rosenblatt	Korn Shell	Donated by Mr Andy Gimblett, 8/03/2005	f	\N	O'Reilly	\N	\N	1565920546	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0DPXYZM65R4DCMMZC9CY</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="1565920546"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0705959796905518</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565920546</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565920546</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565920546%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565920546%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>110931</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565920546.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565920546.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">105</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565920546.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">328</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565920546.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565920546.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">105</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565920546.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">328</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Bill Rosenblatt</Author><Binding>Paperback</Binding><Brand>O'Reilly &amp; Associates</Brand><DeweyDecimalNumber>005.43</DeweyDecimalNumber><EAN>0636920920540</EAN><Edition>1</Edition><ISBN>1565920546</ISBN><ItemDimensions><Height Units="hundredths-inches">78</Height><Length Units="hundredths-inches">897</Length><Weight Units="hundredths-pounds">113</Weight><Width Units="hundredths-inches">601</Width></ItemDimensions><Label>O'Reilly</Label><ListPrice><Amount>3495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>360</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">78</Height><Length Units="hundredths-inches">897</Length><Weight Units="hundredths-pounds">113</Weight><Width Units="hundredths-inches">601</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1993-01-15</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Learning the Korn Shell</Title><UPC>636920920540</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>575</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$5.75</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>103</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$1.03</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>685</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$6.85</FormattedPrice></LowestCollectiblePrice><TotalNew>5</TotalNew><TotalUsed>34</TotalUsed><TotalCollectible>4</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>This Nutshell Handbook(R) is a thorough introduction to the Korn shell, both as a user interface and as a programming language.&lt;p&gt;The Korn shell, like the C and Bourne shells, is a program that interprets UNIX commands. It has many features that aren't found in other shells, including command history (the ability to recall and edit previous commands). The Korn shell is also faster; several of its features allow you to write programs that execute more quickly than their Bourne or C shell equivalents.&lt;p&gt;This book provides a clear and concise explanation of the Korn shell's features. It explains &lt;I&gt;ksh&lt;/I&gt; string operations, co-processes, signals and signal handling, and one of the worst "dark corners" of shell programming: command-line interpretation. It does this by introducing simple real-life examples and then adding options and complexity in later chapters,  illustrating the way real-world script development generally proceeds. An  additional (and unique) programming aid, a Korn shell debugger (&lt;i&gt;kshdb&lt;/i&gt;), is  also included.&lt;p&gt;&lt;i&gt;Learning the Korn Shell&lt;/i&gt; is an ideal resource for many UNIX users and programmers, including software developers who want to "prototype" their designs, system administrators who want to write tools for their own use, and even novices who just want to use some of &lt;i&gt;ksh's&lt;/i&gt; more advanced interactive features.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565920546.01._SCMZZZZZZZ_.jpg
64	TCL/TK Tools	Mark Harrison	Tcl, Tk	Extentions to the Tcl language and Tk toolkit. Donated by Steven Whitehouse	f	\N	O'Reilly	\N	\N	1565922182	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0RT97AVA6BEESJEV07D9</RequestId><Arguments><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="1565922182"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0645780563354492</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565922182</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565922182</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565922182%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565922182%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>949289</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565922182.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">56</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922182.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">120</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922182.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">374</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565922182.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">56</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922182.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">120</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922182.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">374</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Mark Harrison</Author><Binding>Paperback</Binding><Brand>O'Reilly &amp; Associates</Brand><EAN>0636920922186</EAN><Edition>1</Edition><ISBN>1565922182</ISBN><ItemDimensions><Height Units="hundredths-inches">950</Height><Length Units="hundredths-inches">125</Length><Weight Units="hundredths-pounds">220</Weight><Width Units="hundredths-inches">700</Width></ItemDimensions><Label>O'Reilly</Label><ListPrice><Amount>4995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$49.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>661</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">125</Height><Length Units="hundredths-inches">950</Length><Weight Units="hundredths-pounds">220</Weight><Width Units="hundredths-inches">700</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1997-09-01</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Tcl/Tk Tools</Title><UPC>636920922186</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1870</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$18.70</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>199</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$1.99</FormattedPrice></LowestUsedPrice><TotalNew>3</TotalNew><TotalUsed>11</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>The Tcl language and Tk toolkit, even alone, offer many benefits: They're easy to learn, capable of producing good interfaces quickly, great  for prototyping applications, and they are infinitely customizable. But one of the greatest strengths of Tcl/Tk is the range of extensions written for it.  Now you can read about the most popular and robust  extensions, clearly documented in the classic O'Reilly style by  the extension authors themselves, supported with a foreword by Tcl/Tk  creator John Ousterhout.&lt;p&gt;With Tcl/Tk extensions, you can:&lt;ul&gt;&lt;li&gt;Write robust object-oriented programs ([incr Tcl] and [incr Tk])&lt;/li&gt;&lt;li&gt;Produce complex interfaces with one-line commands ([incr Widgets] and Tix)&lt;/li&gt;&lt;li&gt;Layout graphs and tables (BLT)&lt;/li&gt;&lt;li&gt;Display 3D graphics with rich textures (TSIPP)&lt;/li&gt;&lt;li&gt;Interact with Oracle and Sybase databases (Sybtcl and Oratcl)&lt;/li&gt;&lt;li&gt;Network over sockets and remote procedure calls (Tcl-DP)&lt;/li&gt;&lt;li&gt;Create collaborative multi-user environments (GroupKit)&lt;/li&gt;&lt;li&gt;Automate programs that call for human users (expect)&lt;/li&gt;&lt;li&gt;Use complex data structures and UNIX system calls (TclX)&lt;/li&gt;&lt;li&gt;Embed Tk calls in C programs (ET)&lt;/li&gt;&lt;li&gt;Display tree structures (Tree)&lt;/li&gt;&lt;/ul&gt;&lt;p&gt;This book documents all these extensions -- in an eminently readable and usable form by the people who created them -- and contains information  on configuration, debugging, and other important tasks.&lt;p&gt;This book comes with a CD-ROM that includes Tcl/Tk, the extensions, and  other tools documented in the text both in source form and as binaries  for Solaris and Linux.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565922182.01._SCMZZZZZZZ_.jpg
65	TCL/TK Tools	Mark Harrison	Tcl, Tk	Extentions to the Tcl language and Tk toolkit. Donated by Steven Whitehouse	f	\N	O'Reilly	\N	\N	1565922182	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0WNVYWKZ37J2C8TZ2HDC</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="1565922182"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0642101764678955</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565922182</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565922182</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565922182%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565922182%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>949289</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565922182.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">56</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922182.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">120</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922182.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">374</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565922182.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">56</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922182.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">120</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922182.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">374</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Mark Harrison</Author><Binding>Paperback</Binding><Brand>O'Reilly &amp; Associates</Brand><EAN>0636920922186</EAN><Edition>1</Edition><ISBN>1565922182</ISBN><ItemDimensions><Height Units="hundredths-inches">950</Height><Length Units="hundredths-inches">125</Length><Weight Units="hundredths-pounds">220</Weight><Width Units="hundredths-inches">700</Width></ItemDimensions><Label>O'Reilly</Label><ListPrice><Amount>4995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$49.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>661</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">125</Height><Length Units="hundredths-inches">950</Length><Weight Units="hundredths-pounds">220</Weight><Width Units="hundredths-inches">700</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1997-09-01</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Tcl/Tk Tools</Title><UPC>636920922186</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1870</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$18.70</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>199</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$1.99</FormattedPrice></LowestUsedPrice><TotalNew>3</TotalNew><TotalUsed>11</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>The Tcl language and Tk toolkit, even alone, offer many benefits: They're easy to learn, capable of producing good interfaces quickly, great  for prototyping applications, and they are infinitely customizable. But one of the greatest strengths of Tcl/Tk is the range of extensions written for it.  Now you can read about the most popular and robust  extensions, clearly documented in the classic O'Reilly style by  the extension authors themselves, supported with a foreword by Tcl/Tk  creator John Ousterhout.&lt;p&gt;With Tcl/Tk extensions, you can:&lt;ul&gt;&lt;li&gt;Write robust object-oriented programs ([incr Tcl] and [incr Tk])&lt;/li&gt;&lt;li&gt;Produce complex interfaces with one-line commands ([incr Widgets] and Tix)&lt;/li&gt;&lt;li&gt;Layout graphs and tables (BLT)&lt;/li&gt;&lt;li&gt;Display 3D graphics with rich textures (TSIPP)&lt;/li&gt;&lt;li&gt;Interact with Oracle and Sybase databases (Sybtcl and Oratcl)&lt;/li&gt;&lt;li&gt;Network over sockets and remote procedure calls (Tcl-DP)&lt;/li&gt;&lt;li&gt;Create collaborative multi-user environments (GroupKit)&lt;/li&gt;&lt;li&gt;Automate programs that call for human users (expect)&lt;/li&gt;&lt;li&gt;Use complex data structures and UNIX system calls (TclX)&lt;/li&gt;&lt;li&gt;Embed Tk calls in C programs (ET)&lt;/li&gt;&lt;li&gt;Display tree structures (Tree)&lt;/li&gt;&lt;/ul&gt;&lt;p&gt;This book documents all these extensions -- in an eminently readable and usable form by the people who created them -- and contains information  on configuration, debugging, and other important tasks.&lt;p&gt;This book comes with a CD-ROM that includes Tcl/Tk, the extensions, and  other tools documented in the text both in source form and as binaries  for Solaris and Linux.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565922182.01._SCMZZZZZZZ_.jpg
93	Palm Programming - The Developer's Guide	Rhodes & McKeehan	Palm C Programming	Donated by Mr Andy Gimblett, 8/03/2005	f	\N	O'Reilly	\N	\N	1565925254	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0SQ9FV0921ST2QDTZNDP</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="1565925254"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0594420433044434</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565925254</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565925254</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565925254%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565925254%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>851073</SalesRank><SmallImage><URL>http://ec1.images-amazon.com/images/P/1565925254.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">56</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/1565925254.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">120</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/1565925254.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">375</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://ec1.images-amazon.com/images/P/1565925254.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">56</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/1565925254.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">120</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/1565925254.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">375</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Neil Rhodes</Author><Author>Julie McKeehan</Author><Binding>Paperback</Binding><EAN>0636920925255</EAN><Edition>1</Edition><ISBN>1565925254</ISBN><Label>O'Reilly</Label><ListPrice><Amount>3495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>476</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">950</Height><Length Units="hundredths-inches">125</Length><Weight Units="hundredths-pounds">170</Weight><Width Units="hundredths-inches">725</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1998-12-01</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Palm Programming: The Developer's Guide (Developer's Guides (Osborne))</Title><UPC>636920925255</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>16</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.16</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>14</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.14</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>3495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.95</FormattedPrice></LowestCollectiblePrice><TotalNew>12</TotalNew><TotalUsed>43</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>&lt;I&gt;Palm Programming: The Developer's Guide&lt;/I&gt; succeeds in documenting both the elegance and the pitfalls associated with developing software for this handy gadget. The authors are experienced palmtop developers, and their wisdom is evident in the level of detail provided. A comprehensive introduction to the evolution of the device and its systems opens the book, followed by a classic "hello, world" example program.&lt;p&gt; The complexity continues to increase as the reader is introduced to forms design and handling and Palm Databases interaction (the equivalent of the Windows registry). Rounding out the applications-development tutorials is an excellent discussion of event-driven user interface (UI) programming and the widgets available in the Palm toolbox.&lt;p&gt; A number of development options and platforms are covered. If you don't want to shell out hundreds of dollars for commercial software, GNU's Not Unix (GNU) tools from the Free Software Foundation are presented as a viable option. The discussion of conduit development is limited to Visual C++, but only because of the limitations of the official Conduit Developers Kit. &lt;I&gt;--Tim Kohn&lt;/I&gt;</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>PalmPilot's popularity is growing and with over a million units sold, the Palm OS dominates the hand-held market. &lt;i&gt;Wired&lt;/i&gt; has astutely described Palm's position in a recent article: "On its way to becoming the bestselling hand-held computer of all time, the 3Com PalmPilot has spawned an intense, emotional, and fanatical developer following not seen since the glory days of the Mac." (Wired, 20 Feb. 98).&lt;p&gt;&lt;i&gt;Palm Programming&lt;/i&gt; should be eagerly accepted by programmers because  the authors worked closely with Palm to ensure that the book is tailored  exactly to the needs of the ever-growing group of Palm developers. As  nothing but some piecemeal documentation exists currently, this book  provides a much needed solution to the Palm developers. In fact, Palm  uses this book as their official developer's guide and will be  using it in the future as a key part of their training materials for  developers.&lt;p&gt;There are currently no books on Palm programming (and we know of none that are planned). The only way to learn is by using the reference material published by Palm (available freely on their Web site), the tutorial they provide, or various Palm programming FAQs compiled by third parties. &lt;p&gt;&lt;i&gt;Palm Programming&lt;/i&gt; shows intermediate to experienced C programmers  how to build a Palm application from the ground up. Using an easy-to- understand tutorial approach, this book gives readers everything necessary  to create a wide range of Palm applications and conduits, from simple  scripts through full-blown applications, and in the process provides  thorough coverage of Palm programming. It includes a CD-ROM (Macintosh and  Windows compatible) with the full source code to the examples in the book,  a trial version of Palm's Software Development Kit, and third-party developer  tools, including Metrowerks' CodeWarrior Lite programming kit.&lt;p&gt;Outline&lt;p&gt;Part 1: Overview of Palm OS and devices&lt;p&gt;Chapter 1: The Palm Solution Chapter 2: Developing for Palm OS Chapter 3: Designing a solution&lt;p&gt;Part 2: Programming for the handheld              &lt;p&gt;Chapter 4: Structure of an Application Chapter 5: Forms and Form Objects Chapter 6: Databases Chapter 7: Menus Chapter 8: Extras Chapter 9: Communications Chapter 10: Debugging              &lt;p&gt;Part 3: Programming for the desktop: conduits&lt;p&gt;Chapter 11: Getting started with conduits  Chapter 12: Uploading and Downloading Data Chapter 13: Two-way Syncing Appendix: Where to go from here</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://ec1.images-amazon.com/images/P/1565925254.01._SCMZZZZZZZ_.jpg
22	DNS and BIND - 3rd Edition	Paul Albitz & Cricket Liu	dns bind	3rd Edition	t	2006-01-25 10:44:36.857736+00	O'Reilly	elsmorian	t	1565925122	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>13FFKBA7RXE14YN26GYM</RequestId><Arguments><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="1565925122"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument></Arguments><RequestProcessingTime>0.633925914764404</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565925122</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565925122</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565925122%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565925122%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>533631</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565925122.01._SCTHUMBZZZ_V1123552757_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">56</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565925122.01._SCMZZZZZZZ_V1123552757_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">120</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565925122.01._SCLZZZZZZZ_V1123552757_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">374</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565925122.01._SCTHUMBZZZ_V1123552757_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">56</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565925122.01._SCMZZZZZZZ_V1123552757_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">120</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565925122.01._SCLZZZZZZZ_V1123552757_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">374</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Cricket Liu</Author><Author>Paul Albitz</Author><Author>Mike Loukides</Author><Binding>Paperback</Binding><Brand>O'Reilly &amp; Associates</Brand><EAN>0636920925125</EAN><Edition>3</Edition><ISBN>1565925122</ISBN><ItemDimensions><Height Units="hundredths-inches">925</Height><Length Units="hundredths-inches">100</Length><Weight Units="hundredths-pounds">180</Weight><Width Units="hundredths-inches">700</Width></ItemDimensions><Label>O'Reilly</Label><ListPrice><Amount>3995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$39.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>499</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">100</Height><Length Units="hundredths-inches">925</Length><Weight Units="hundredths-pounds">180</Weight><Width Units="hundredths-inches">700</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1998-09</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>DNS and BIND</Title><UPC>636920925125</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>242</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.42</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>64</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.64</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>1818</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$18.18</FormattedPrice></LowestCollectiblePrice><TotalNew>11</TotalNew><TotalUsed>46</TotalUsed><TotalCollectible>2</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>This is the definitive book on the Domain Name System (DNS), the powerful scheme that facilitates the translation of English-like domain names (www.amazon.com) into computer-comprehensible Internet Protocol (IP) addresses (208.216.182.15). If you run a DNS server of any kind, particularly under Unix, you need to have this book on hand.&lt;p&gt; This book's early chapters give a view of DNS from high altitude, explaining basic concepts such as domains, name servers, and name resolution. From there, the authors proceed on a more practical tack, presenting specific instructions for setting up your own domain and DNS server using BIND. The authors then tell you what to do as your domain grows and you need to add more machines, subdomains, and greater throughput capacity. They also talk a lot about nslookup and C programming with the various DNS and BIND libraries. Administrators will find the chapter on BIND debugging output particularly helpful. Here, the authors translate BIND's mysterious error messages and offer specific strategies for fixing and optimizing the program. This edition covers BIND 8.1.2, but pays lots of attention to older versions that are still in wide use (4.8.3 and 4.9). The authors are careful to note differences among the versions. &lt;I&gt;--David Wall&lt;/I&gt;</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>&lt;i&gt;DNS and BIND&lt;/i&gt; discusses one of the Internet's fundamental building blocks: the distributed host information database that's responsible for translating names into addresses, routing mail to its proper destination, and many other services. As the authors write in the preface, if you're using the Internet, you're already using DNS --  even if you don't know it.&lt;p&gt;The third edition covers BIND 4.9, on which most commercial products are currently based, and BIND 8, which implements many important new features and will be the basis for the next generation of commercial name servers. It also covers topics like DNS security (greatly improved with BIND 8.1), asynchronous notification of changes to a zone, dynamic updates, and programming with Perl's Net::DNS module.&lt;p&gt;Whether you're an administrator involved with DNS on daily basis, or a user who wants to be more informed about the Internet and how it works, you'll find that this book is essential reading.&lt;p&gt;Topics include:&lt;p&gt;&lt;ul&gt;&lt;li&gt;What DNS does, how it works, and when you need to use it&lt;/li&gt;&lt;li&gt;How to find your own place in the Internet's name space&lt;li&gt;Setting up name servers&lt;/li&gt;&lt;li&gt;Using MX records to route mail&lt;/li&gt;&lt;li&gt;Configuring hosts to use DNS name servers&lt;/li&gt;&lt;li&gt;Subdividing domains (parenting)&lt;/li&gt;&lt;li&gt;Securing your name server: restricting who can query your server, preventing unauthorized zone transfers, avoiding bogus name servers, etc.&lt;/li&gt;&lt;li&gt;Mapping one name to several servers for load sharing&lt;/li&gt;&lt;li&gt;Troubleshooting: using nslookup, reading debugging output, common problems&lt;/li&gt;&lt;li&gt;DNS programming, using the resolver library and Perl's Net::DNS  module&lt;/li&gt;&lt;/ul&gt;</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565925122.01._SCMZZZZZZZ_V1123552757_.jpg
47	Introduction to Algorithms	Thomas H Cormen et al.	algorithms	The big book of algorithms for Faron\\'s course.	f	\N	MIT Press	frosty	t	0262531968	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0VJKXXA5WVQMF20Y10NY</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0262531968"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0677950382232666</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0262531968</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0262531968</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0262531968%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0262531968%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>186764</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0262531968.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">51</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0262531968.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">119</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0262531968.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">403</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0262531968.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">51</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0262531968.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">119</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0262531968.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">403</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Thomas H. Cormen</Author><Author>Charles E. Leiserson</Author><Author>Ronald L. Rivest</Author><Author>Clifford Stein</Author><Binding>Paperback</Binding><Brand>MIT Press</Brand><DeweyDecimalNumber>004</DeweyDecimalNumber><EAN>9780262531962</EAN><Edition>2</Edition><ISBN>0262531968</ISBN><ItemDimensions><Height Units="hundredths-inches">950</Height><Length Units="hundredths-inches">0</Length><Weight Units="hundredths-pounds">470</Weight><Width Units="hundredths-inches">750</Width></ItemDimensions><Label>The MIT Press</Label><ListPrice><Amount>5800</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$58.00</FormattedPrice></ListPrice><Manufacturer>The MIT Press</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>1184</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">185</Height><Length Units="hundredths-inches">909</Length><Weight Units="hundredths-pounds">418</Weight><Width Units="hundredths-inches">799</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2001-09-01</PublicationDate><Publisher>The MIT Press</Publisher><Studio>The MIT Press</Studio><Title>Introduction to Algorithms, Second Edition</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>5894</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$58.94</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>5500</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$55.00</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>6699</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$66.99</FormattedPrice></LowestCollectiblePrice><TotalNew>11</TotalNew><TotalUsed>4</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>Aimed at any serious programmer or computer science student,  the new second edition of &lt;I&gt;Introduction to Algorithms&lt;/I&gt; builds on  the tradition of the original with a truly magisterial guide to the  world of algorithms. Clearly presented, mathematically rigorous, and  yet approachable even for the math-averse, this title sets a high  standard for a textbook and reference to the best algorithms for  solving a wide range of computing problems.&lt;p&gt;With sample problems and  mathematical proofs demonstrating the correctness of each algorithm,  this book is ideal as a textbook for classroom study, but its reach  doesn't end there. The authors do a fine job of explaining each  algorithm. (Reference sections on basic mathematical notation will help  readers bridge the gap, but it will help to have some math background  to appreciate the full achievement of this handsome hardcover volume.)  Every algorithm is presented in pseudo-code, which can be implemented  in any computer language, including C/C++ and Java. This ecumenical  approach is one of the book's strengths. When it comes to sorting and  common data structures, from basic linked lists to trees (including  binary trees, red-black, and B-trees), this title really shines, with  clear diagrams that show algorithms in operation. Even if you just  glance over the mathematical notation here, you can definitely benefit  from this text in other ways.&lt;p&gt;The book moves forward with more  advanced algorithms that implement strategies for solving more  complicated problems (including dynamic programming techniques, greedy  algorithms, and amortized analysis). Algorithms for graphing problems  (used in such real-world business problems as optimizing flight  schedules or flow through pipelines) come next. In each case, the  authors provide the best from current research in each topic, along  with sample solutions.&lt;p&gt;This text closes with a grab bag of useful  algorithms including matrix operations and linear programming,  evaluating polynomials, and the well-known Fast Fourier Transformation  (FFT) (useful in signal processing and engineering). Final sections on  "NP-complete" problems, like the well-known traveling salesman problem,  show off that while not all problems have a demonstrably final and best  answer, algorithms that generate acceptable approximate solutions can  still be used to generate useful, real-world answers.&lt;p&gt;Throughout this  text, the authors anchor their discussion of algorithms with current  examples drawn from molecular biology (like the Human Genome Project),  business, and engineering. Each section ends with short discussions of  related historical material, often discussing original research in each  area of algorithms. On the whole, they argue successfully that  algorithms are a "technology" just like hardware and software that can  be used to write better software that does more, with better  performance. Along with classic books on algorithms (like Donald  Knuth's three-volume set, &lt;I&gt;The Art of Computer  Programming&lt;/I&gt;), this title sets a new standard for compiling the  best research in algorithms. For any experienced developer, regardless  of their chosen language, this text deserves a close look for extending  the range and performance of real-world software. &lt;I&gt;--Richard  Dragan&lt;/I&gt; &lt;p&gt; &lt;B&gt;Topics covered:&lt;/B&gt; Overview of algorithms (including algorithms as  a technology); designing and analyzing algorithms; asymptotic notation;  recurrences and recursion; probabilistic analysis and randomized  algorithms; heapsort algorithms; priority queues; quicksort algorithms;  linear time sorting (including radix and bucket sort); medians and  order statistics (including minimum and maximum); introduction to data  structures (stacks, queues, linked lists, and rooted trees); hash  tables (including hash functions); binary search trees; red-black  trees; augmenting data structures for custom applications; dynamic  programming explained (including assembly-line scheduling, matrix-chain  multiplication, and optimal binary search trees); greedy algorithms  (including Huffman codes and task-scheduling problems); amortized  analysis (the accounting and potential methods); advanced data  structures (including B-trees, binomial and Fibonacci heaps,  representing disjoint sets in data structures); graph algorithms  (representing graphs, minimum spanning trees, single-source shortest  paths, all-pairs shortest paths, and maximum flow algorithms); sorting  networks; matrix operations; linear programming (standard and slack  forms); polynomials and the Fast Fourier Transformation (FFT); number  theoretic algorithms (including greatest common divisor, modular  arithmetic, the Chinese remainder theorem, RSA public-key encryption,  primality testing, integer factorization); string matching;  computational geometry (including finding the convex hull);  NP-completeness (including sample real-world NP-complete problems and  their insolvability); approximation algorithms for NP-complete problems  (including the traveling salesman problem); reference sections for  summations and other mathematical notation, sets, relations, functions,  graphs and trees, as well as counting and probability backgrounder  (plus geometric and binomial distributions).</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>&lt;b&gt;PLEASE NOTE: This is the international student paperback edition of this book. The MIT Press does not have sales rights for this paperback edition in the US and Canada. Customers in the US and Canada must order the hardcover edition. &lt;/b&gt;&lt;br /&gt; &lt;br /&gt; There are books on algorithms that are rigorous but incomplete and others that cover masses of material but lack rigor. &lt;i&gt;Introduction to Algorithms&lt;/i&gt; combines rigor and comprehensiveness.&lt;br /&gt; &lt;br /&gt; The book covers a broad range of algorithms in depth, yet makes their design and analysis accessible to all levels of readers. Each chapter is relatively self-contained and can be used as a unit of study. The algorithms are described in English and in a pseudocode designed to be readable by anyone who has done a little programming. The explanations have been kept elementary without sacrificing depth of coverage or mathematical rigor.&lt;br /&gt; &lt;br /&gt; The first edition became the standard reference for professionals and a widely used text in universities worldwide. The second edition features new chapters on the role of algorithms, probabilistic analysis and randomized algorithms, and linear programming, as well as extensive revisions to virtually every section of the book. In a subtle but important change, loop invariants are introduced early and used throughout the text to prove algorithm correctness. Without changing the mathematical and analytic focus, the authors have moved much of the mathematical foundations material from Part I to an appendix and have included additional motivational material at the beginning.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0262531968.01._SCMZZZZZZZ_.jpg
52	TCP/IP Illustrated, Volume 1	W Richard Stevens	tcpip ip networking	The Protocols	f	\N	Addison Wesley	schpengle	t	0201633469	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1TGT974AQCXCBBMVMVXS</RequestId><Arguments><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0201633469"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.094386100769043</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0201633469</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0201633469</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0201633469%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0201633469%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>10292</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0201633469.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">62</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0201633469.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">133</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0201633469.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">415</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0201633469.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">62</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0201633469.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">133</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0201633469.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">415</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>W. Richard Stevens</Author><Binding>Hardcover</Binding><Brand>Addison-Wesley Pub Co</Brand><DeweyDecimalNumber>004.62</DeweyDecimalNumber><EAN>0785342633467</EAN><Edition>US Ed</Edition><ISBN>0201633469</ISBN><ItemDimensions><Height Units="hundredths-inches">163</Height><Length Units="hundredths-inches">946</Length><Weight Units="hundredths-pounds">297</Weight><Width Units="hundredths-inches">766</Width></ItemDimensions><Label>Addison-Wesley Professional</Label><ListPrice><Amount>7499</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$74.99</FormattedPrice></ListPrice><Manufacturer>Addison-Wesley Professional</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>600</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">163</Height><Length Units="hundredths-inches">946</Length><Weight Units="hundredths-pounds">274</Weight><Width Units="hundredths-inches">766</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1993-12-31</PublicationDate><Publisher>Addison-Wesley Professional</Publisher><Studio>Addison-Wesley Professional</Studio><Title>The Protocols (TCP/IP Illustrated, Volume 1)</Title><UPC>785342633467</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>4040</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$40.40</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>2900</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$29.00</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>7499</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$74.99</FormattedPrice></LowestCollectiblePrice><TotalNew>38</TotalNew><TotalUsed>36</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>ArXRVn8wTNGK3ZMJ1fdCOAUXtctU5QJcwzqidjXWO6PnGu3JryjcrQ9nEXDgYar2wGQxO7IDkoT5ivOYhjMH8A%3D%3D</OfferListingId><Price><Amount>5675</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$56.75</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>&lt;I&gt;TCP/IP Illustrated, Volume 1: The Protocols&lt;/I&gt; is an excellent text that provides encyclopedic coverage of the TCP/IP protocol suite. What sets this book apart from others on this subject is the fact that the author supplements all of the discussion with data collected via diagnostic programs; thus, it is possible to "watch" the protocols in action in a real situation. Also, the diagnostic tools involved are publicly available; the reader has the opportunity to play along at home. This offers the reader an unparalleled opportunity to really get a feel for the behavior of the protocols in day-to-day operation. &lt;I&gt;TCP/IP Illustrated, Volume 1: The Protocols&lt;/I&gt; features clear discussions and well-designed figures.&lt;P&gt; Volume two of this series, &lt;I&gt;TCP/IP Illustrated, Volume 2: The Implementation&lt;/I&gt;, covers the implementation of TCP/IP. Volume three explores &lt;I&gt;TCP for Transactions, HTTP, NNTP, and the Unix Domain Protocols&lt;/I&gt;.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0201633469.01._SCMZZZZZZZ_.jpg
100	Mathematica	Stephen Wolfram	mathematics mathematica maths	"A System for Doning Mathematics by Computer"\r\n\r\nDonated by Dr. Grant 10/3/05	f	\N	Addison Wesley	\N	\N	0201193345	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1PG0AHB6SY8AH147SH54</RequestId><Arguments><Argument Name="ItemId" Value="0201193345"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0632212162017822</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0201193345</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0201193345</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0201193345%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0201193345%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>2532677</SalesRank><ItemAttributes><Author>Stephen Wolfram</Author><Binding>Hardcover</Binding><EAN>9780201193343</EAN><ISBN>0201193345</ISBN><ItemDimensions><Weight Units="hundredths-pounds">320</Weight></ItemDimensions><Label>Addison-Wesley Pub. Co., Advanced Book Program</Label><ListPrice><Amount>3995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$39.95</FormattedPrice></ListPrice><Manufacturer>Addison-Wesley Pub. Co., Advanced Book Program</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>749</NumberOfPages><ProductGroup>Book</ProductGroup><PublicationDate>1988</PublicationDate><Publisher>Addison-Wesley Pub. Co., Advanced Book Program</Publisher><Studio>Addison-Wesley Pub. Co., Advanced Book Program</Studio><Title>Mathematica: A system for doing mathematics by computer</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>3499</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.99</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>89</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.89</FormattedPrice></LowestUsedPrice><TotalNew>4</TotalNew><TotalUsed>20</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
91	Java Enterprise in a Nutshell	Flanagan, Farley, Crawford & Magnusson	Java	Donated by Mr Andy Gimblett, 8/03/2005	f	\N	O'Reilly	\N	\N	1565924835	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1KVTN2EB5K0AY4D8K8XY</RequestId><Arguments><Argument Name="ItemId" Value="1565924835"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.101107120513916</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565924835</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565924835</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565924835%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565924835%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>738987</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565924835.01._SCTHUMBZZZ_V1123549163_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565924835.01._SCMZZZZZZZ_V1123549163_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">104</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565924835.01._SCLZZZZZZZ_V1123549163_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">325</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565924835.01._SCTHUMBZZZ_V1123549163_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565924835.01._SCMZZZZZZZ_V1123549163_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">104</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565924835.01._SCLZZZZZZZ_V1123549163_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">325</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Kris Magnusson</Author><Author>David Flanagan</Author><Author>Jim Farley</Author><Author>William Crawford</Author><Binding>Paperback</Binding><DeweyDecimalNumber>005.13</DeweyDecimalNumber><EAN>0636920924838</EAN><Edition>1</Edition><ISBN>1565924835</ISBN><Label>O'Reilly</Label><ListPrice><Amount>2995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$29.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>660</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">112</Height><Length Units="hundredths-inches">902</Length><Weight Units="hundredths-pounds">162</Weight><Width Units="hundredths-inches">605</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1999-09-01</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Java Enterprise in a Nutshell (In a Nutshell)</Title><UPC>636920924838</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>116</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$1.16</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>1</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.01</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>2995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$29.95</FormattedPrice></LowestCollectiblePrice><TotalNew>18</TotalNew><TotalUsed>42</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>&lt;I&gt;Java Enterprise in a Nutshell&lt;/I&gt; gives advanced Java developers a one-stop resource for programming with the disparate APIs required for today's enterprise development, including JDBC, RMI, servlets, and EJBs. Beginning with JDBC database programming, the book gives a chapter-by-chapter tour of various enterprise development APIs, including program strategies for each API. For JDBC, the book includes new Java 2 JDBC enhancements like batch and recordsets. &lt;p&gt; Next comes Java's Remote Method Invocation (RMI) classes for calling remote code. Then it's on to using Java IDL and CORBA basics. A chapter on Java servlets will get you started delivering dynamically generated HTML using Java on Web servers, including useful material on cookies and session management. After coverage of the Java Naming and Directory Interface (JNDI) comes a solid exploration of EJBs with material on both session and entity beans. Specifics here include home and remote interfaces, EJB containers, stateless vs. stateful session beans, and entity beans for accessing corporate databases. &lt;p&gt; Overall, this handy and readable guide to the latest in Java APIs can be truly invaluable to the developer bringing Java to the corporate enterprise for the first time. &lt;I&gt;--Richard Dragan&lt;/I&gt;</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>&lt;i&gt;Java Enterprise in a Nutshell&lt;/i&gt; is an indispensable quick reference for Java programmers who are writing distributed enterprise applications.  The book provides fast-paced tutorials on the following Java Enterprise APIs:&lt;p&gt;&lt;ul&gt;&lt;li&gt;JDBC, a vendor-independent API for accessing relational database systems&lt;/li&gt;&lt;li&gt;RMI, a Java-only approach to distributed computing that relies on remote method invocation&lt;/li&gt;&lt;li&gt;Java IDL, a CORBA-based, language-independent approach to distributed computing&lt;/li&gt;&lt;li&gt;Java servlets, a mechanism for extending a web server that allows Java code to perform tasks traditionally handled by CGI scripts&lt;/li&gt;&lt;li&gt;JNDI, a generic Java API for working with networked naming and directory services&lt;li&gt;Enterprise JavaBeans, a component model that separates high-level business logic from low-level housekeeping chores like security and transaction management&lt;/li&gt;&lt;/ul&gt;&lt;p&gt;These APIs are the building blocks of the Java 2 Platform, Enterprise  Edition (J2EE), Sun's recently announced new platform for enterprise computing. J2EE is the standard Java 2 platform with a number of extensions for enterprise development.&lt;p&gt;&lt;i&gt;Java Enterprise in a Nutshell&lt;/i&gt; also contains O'Reilly's classic-style, quick-reference material for all of the classes in the various packages that comprise the Enterprise APIs.  This material includes the core Enterprise APIs that are part of Java 1.2, as well as numerous standard extensions.&lt;p&gt;This book is a companion to both &lt;i&gt;Java in a Nutshell,&lt;/i&gt; 3rd Edition, which covers the key non-graphical, non-enterprise APIs in Java 1.2, and &lt;i&gt;Java Foundation Classes in a Nutshell,&lt;/i&gt; which describes the graphics- and GUI-related classes of Java 1.2.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565924835.01._SCMZZZZZZZ_V1123549163_.jpg
76	Objects First With Java	David J. Barnes & Michael Kolling	Java BlueJ	Donated by Mr Chris Whyley, 28/02/05\r\nA practical introduction to using BlueJ	f	\N	Prentice Hall	pwb	\N	0130449296	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>05S2BEHN32E52AC7ASC1</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0130449296"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.06809401512146</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0130449296</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0130449296</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0130449296%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0130449296%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>377863</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0130449296.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">46</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0130449296.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">107</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0130449296.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">383</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0130449296.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">46</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0130449296.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">107</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0130449296.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">383</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>David J. Barnes</Author><Author>Michael Kolling</Author><Binding>Paperback</Binding><Brand>Prentice Hall</Brand><DeweyDecimalNumber>005.117</DeweyDecimalNumber><EAN>9780130449290</EAN><Edition>Bk&amp;CD-Rom</Edition><ISBN>0130449296</ISBN><ItemDimensions><Height Units="hundredths-inches">88</Height><Length Units="hundredths-inches">1012</Length><Weight Units="hundredths-pounds">180</Weight><Width Units="hundredths-inches">688</Width></ItemDimensions><Label>Prentice Hall</Label><ListPrice><Amount>7600</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$76.00</FormattedPrice></ListPrice><Manufacturer>Prentice Hall</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>400</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">88</Height><Length Units="hundredths-inches">1012</Length><Weight Units="hundredths-pounds">180</Weight><Width Units="hundredths-inches">688</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2002-10-23</PublicationDate><Publisher>Prentice Hall</Publisher><Studio>Prentice Hall</Studio><Title>Objects First with Java: A Practical Introduction Using BlueJ</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1491</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$14.91</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>595</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$5.95</FormattedPrice></LowestUsedPrice><TotalNew>10</TotalNew><TotalUsed>23</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>/* 0-13-044929-6, 4492J-5, Barnes, Kolling, OBJECTS FIRST WITH JAVA */  &lt;/I&gt;&lt;/B&gt; BlueJ is a Java development environment that runs on top of the Sun Microsystems Java Development Kit making use of the standard compiler and virtual machine. It allows readers to create objects of any class and interact with their methods. For the first time, the traditionally difficult concepts of objects and classes are brought alive in an easily manipulable visual form. This truly &amp;#147;objects first&amp;#148; approach within the customized BlueJ environment will revolutionize the way programming is learned. The book includes a copy of BlueJ. &lt;/I&gt;&lt;/B&gt; Takes a project driven approach to problem solving&amp;#151;the book is structured along the lines of fundamental development tasks&amp;#151;providing readers with clear coverage of the principles of object-oriented programming. &lt;/I&gt;&lt;/B&gt; Programmers and non-programmers who want to learn Java with a state of the art approach and user-friendly programming environment.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0130449296.01._SCMZZZZZZZ_.jpg
49	Advanced Programming in the UNIX&reg; Environment	W. Richard Stevens	UNIX programming system	Useful for 2nd year Operating Systems course.	f	\N	Addison-Wesley	talyn256	t	0201563177	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0TVDY8B7C013HSQ60QZ4</RequestId><Arguments><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0201563177"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument></Arguments><RequestProcessingTime>0.292446136474609</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0201563177</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0201563177</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0201563177%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0201563177%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>44760</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0201563177.01._SCTHUMBZZZ_V1120787945_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">60</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0201563177.01._SCMZZZZZZZ_V1120787945_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">128</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0201563177.01._SCLZZZZZZZ_V1120787945_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">400</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0201563177.01._SCTHUMBZZZ_V1120787945_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">60</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0201563177.01._SCMZZZZZZZ_V1120787945_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">128</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0201563177.01._SCLZZZZZZZ_V1120787945_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">400</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>W. Richard Stevens</Author><Binding>Hardcover</Binding><Brand>Addison-Wesley Pub Co</Brand><DeweyDecimalNumber>005.43</DeweyDecimalNumber><EAN>0785342563177</EAN><Edition>1ST</Edition><ISBN>0201563177</ISBN><Label>Addison-Wesley Professional</Label><ListPrice><Amount>6999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$69.99</FormattedPrice></ListPrice><Manufacturer>Addison-Wesley Professional</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>768</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">203</Height><Length Units="hundredths-inches">958</Length><Weight Units="hundredths-pounds">389</Weight><Width Units="hundredths-inches">766</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1992-06-30</PublicationDate><Publisher>Addison-Wesley Professional</Publisher><Studio>Addison-Wesley Professional</Studio><Title>Advanced Programming in the UNIX(R) Environment</Title><UPC>785342563177</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>2388</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$23.88</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>599</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$5.99</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>6699</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$66.99</FormattedPrice></LowestCollectiblePrice><TotalNew>21</TotalNew><TotalUsed>57</TotalUsed><TotalCollectible>2</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>Pv5oSmeSnhA%2Fo%2BIFtggfElAnFvnugvvhCNc1%2FrhVwXwJZe0N0OZ9TB%2FlxxWqsicukmKiLYw2xSLgHkOph6wHsw%3D%3D</OfferListingId><Price><Amount>5599</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$55.99</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0201563177.01._SCMZZZZZZZ_V1120787945_.jpg
94	Securing Java	McGraw / Felten	Java	Donated by Mr Andy Gimblett, 8/03/2005	f	\N	Wiley	\N	\N	047131952X	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>12D9WG24JADWEV69QAMX</RequestId><Arguments><Argument Name="ItemId" Value="047131952X"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0669209957122803</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>047131952X</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>047131952X</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=047131952X%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/047131952X%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>580975</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/047131952X.01._SCTHUMBZZZ_V1057191104_.gif</URL><Height Units="pixels">60</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/047131952X.01._SCMZZZZZZZ_V1057191104_.gif</URL><Height Units="pixels">140</Height><Width Units="pixels">113</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/047131952X.01._SCLZZZZZZZ_V1057191104_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">378</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/047131952X.01._SCTHUMBZZZ_V1057191104_.gif</URL><Height Units="pixels">60</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/047131952X.01._SCMZZZZZZZ_V1057191104_.gif</URL><Height Units="pixels">140</Height><Width Units="pixels">113</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/047131952X.01._SCLZZZZZZZ_V1057191104_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">378</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Gary McGraw</Author><Author>Edward W. Felten</Author><Binding>Paperback</Binding><Brand>John Wiley &amp; Sons</Brand><DeweyDecimalNumber>005.8</DeweyDecimalNumber><EAN>9780471319528</EAN><Edition>2</Edition><ISBN>047131952X</ISBN><ItemDimensions><Height Units="hundredths-inches">81</Height><Length Units="hundredths-inches">916</Length><Weight Units="hundredths-pounds">122</Weight><Width Units="hundredths-inches">745</Width></ItemDimensions><Label>Wiley</Label><ListPrice><Amount>3499</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.99</FormattedPrice></ListPrice><Manufacturer>Wiley</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>324</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">81</Height><Length Units="hundredths-inches">916</Length><Weight Units="hundredths-pounds">122</Weight><Width Units="hundredths-inches">745</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1999-01-25</PublicationDate><Publisher>Wiley</Publisher><Studio>Wiley</Studio><Title>Securing Java: Getting Down to Business with Mobile Code, 2nd Edition</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>200</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.00</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>184</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$1.84</FormattedPrice></LowestUsedPrice><TotalNew>2</TotalNew><TotalUsed>10</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>The Java environment is relatively secure, as far as network programming languages go. Java has strong security, but not perfect security. &lt;I&gt;Securing Java&lt;/I&gt; explains the known security problems with the language and points out steps that programmers can take to prevent bad guys from taking advantage of their Java-based systems.&lt;p&gt; Authors Gary McGraw and Edward W. Felten begin with the sandbox--the original Java security model. They then explain why the sandbox, while secure, was too restrictive and was combined with a code-signing model in Java 2.&lt;p&gt; After explaining how security ought to work, &lt;I&gt;Securing Java&lt;/I&gt; reveals a menagerie of applets that have circumvented Java security to achieve a variety of noisome and damaging ends. The authors reveal enough information about these applets to show where the dangers are, and they offer security tips for programmers and network administrators.&lt;p&gt; McGraw and Felten include a brief but well-informed chapter about the security issues raised by the Java Card environment and smart cards generally. A couple of question-and-answer sections toward the end of &lt;I&gt;Securing Java&lt;/I&gt; also deserve special recognition. One, on Java security as a whole, provides succinct and accurate answers to questions about how secure Java is and what you can do to minimize your Java security risk. The other Q&amp;A section compares--fairly and with plenty of information--the security features of Java and ActiveX. &lt;i&gt;--David Wall&lt;/i&gt;</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>Information Security/Java "This book is mandatory reading for every user and developer of Webware." -Peter G. Neumann, Moderator of the Risks Forum, from his review of the first edition Securing Java Java security is more important now than ever before. As Java matures and moves into the enterprise, security takes a more prominent role. But as Java evolves, its security issues and architectures get more complicated. Written by the world's leading experts on mobile code security, this updated and expanded edition of the groundbreaking guide to Java security includes lessons for Web users, developers, system administrators, and business decision-makers alike. This book navigates the uncharted waters of mobile code security and arms the reader with the knowledge required for securing Java. It provides in-depth coverage of:&lt;br&gt;   * The base Java security sandbox, made up of the Verifier, Class Loaders, and the Security Manager&lt;br&gt;   * Code signing, stack inspection, and the new Java 2 security architecture&lt;br&gt;   * The pros and cons of language-based enforcement models and trust models&lt;br&gt;   * All known Java security holes and the attack applets that exploit them&lt;br&gt;   * Techniques commonly used in malicious applets&lt;br&gt;   * Twelve rules for developing more secure Java code, with explicit examples&lt;br&gt;   * Hard questions to ask third-party Java security tools vendors&lt;br&gt;   * Analysis of competing systems for mobile code, including ActiveX and JavaScript&lt;br&gt;   * Card Java security, smart card risks, and their impact on e-commerce security&lt;br&gt;   On the companion Web site www.securingjava.com you'll find:&lt;br&gt;   * The Java Security Hotlist: Over 100 categorized and annotated Java security-related Web links&lt;br&gt;   * An e-mail list to keep subscribers abreast of breaking Java security news&lt;br&gt;   * A complete electronic edition of this book</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/047131952X.01._SCMZZZZZZZ_V1057191104_.gif
103	Java for Students 2nd ed.	Douglas Bell and Mike Parr	java programming	Java 1.1 and 1.2 compliant\r\n\r\n"An internet-based applet approach is taken, though the text also explains the creation of free-standing applications and text-based programs"\r\n\r\nDonated by Dr. Grant 10/3/05	f	\N	Prentice Hall	\N	\N	0130109223	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>12EVG07WA1SDEZ0VE4QG</RequestId><Arguments><Argument Name="ItemId" Value="0130109223"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0805678367614746</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0130109223</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0130109223</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0130109223%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0130109223%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1345038</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0130109223.01._SCTHUMBZZZ_V1056418346_.gif</URL><Height Units="pixels">60</Height><Width Units="pixels">43</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0130109223.01._SCMZZZZZZZ_V1056418346_.gif</URL><Height Units="pixels">140</Height><Width Units="pixels">101</Width></MediumImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0130109223.01._SCTHUMBZZZ_V1056418346_.gif</URL><Height Units="pixels">60</Height><Width Units="pixels">43</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0130109223.01._SCMZZZZZZZ_V1056418346_.gif</URL><Height Units="pixels">140</Height><Width Units="pixels">101</Width></MediumImage></ImageSet></ImageSets><ItemAttributes><Author>Doug Bell</Author><Author>Mike Parr</Author><Binding>Paperback</Binding><Brand>Prentice Hall</Brand><DeweyDecimalNumber>005.133</DeweyDecimalNumber><EAN>9780130109224</EAN><Edition>2nd</Edition><ISBN>0130109223</ISBN><ItemDimensions><Height Units="hundredths-inches">950</Height><Length Units="hundredths-inches">150</Length><Weight Units="hundredths-pounds">215</Weight><Width Units="hundredths-inches">700</Width></ItemDimensions><Label>Prentice Hall</Label><ListPrice><Amount>7200</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$72.00</FormattedPrice></ListPrice><Manufacturer>Prentice Hall</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>586</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">150</Height><Length Units="hundredths-inches">950</Length><Weight Units="hundredths-pounds">215</Weight><Width Units="hundredths-inches">700</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1999-01-15</PublicationDate><Publisher>Prentice Hall</Publisher><Studio>Prentice Hall</Studio><Title>Java for Students 1.2</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>298</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.98</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>1</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.01</FormattedPrice></LowestUsedPrice><TotalNew>9</TotalNew><TotalUsed>25</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0130109223.01._SCMZZZZZZZ_V1056418346_.gif
42	Common LISP	Franz Inc.	lisp reference		f	\N	Addison-Wesley	alexm	t	0201114585	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0QY9D7S4ED5SZHSDRNM1</RequestId><Arguments><Argument Name="ItemId" Value="0201114585"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.111119031906128</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0201114585</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0201114585</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0201114585%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0201114585%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>933040</SalesRank><ItemAttributes><Author>Franz Inc.</Author><Author>Staff Franz Inc</Author><Binding>Paperback</Binding><Brand>Addison-Wesley Pub Co</Brand><DeweyDecimalNumber>005.133</DeweyDecimalNumber><EAN>9780201114584</EAN><ISBN>0201114585</ISBN><ItemDimensions><Height Units="hundredths-inches">154</Height><Length Units="hundredths-inches">920</Length><Weight Units="hundredths-pounds">338</Weight><Width Units="hundredths-inches">736</Width></ItemDimensions><Label>Addison Wesley Publishing Company</Label><ListPrice><Amount>2995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$29.95</FormattedPrice></ListPrice><Manufacturer>Addison Wesley Publishing Company</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>899</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">154</Height><Length Units="hundredths-inches">920</Length><Weight Units="hundredths-pounds">338</Weight><Width Units="hundredths-inches">736</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1988-12</PublicationDate><Publisher>Addison Wesley Publishing Company</Publisher><Studio>Addison Wesley Publishing Company</Studio><Title>Common Lisp: The Reference</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>4247</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$42.47</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>1181</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$11.81</FormattedPrice></LowestUsedPrice><TotalNew>1</TotalNew><TotalUsed>9</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
137	Programming With Objects And Threads (CS_211)	Mr. C. Whyley (Compiled by)	programming objects threads java POT	Official text of the UWS Programming With Objects And Threads comp sci module (CS_211). Compiled by Chris Whyley of the UWS Comp Sci department. Contains relevant sections on building GUIs, multithreading, exception handling, OO programming and design patterns.	f	\N	Pearson	dangerousbeans	\N	1844797090	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0K7NR26W550ESEAZTAQJ</RequestId><Arguments><Argument Name="ItemId" Value="1844797090"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.074160099029541</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1844797090</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest><Errors><Error><Code>AWS.InvalidParameterValue</Code><Message>1844797090 is not a valid value for ItemId. Please change this value and retry your request.</Message></Error></Errors></Request></Items></ItemLookupResponse>	\N
25	System Requirements Engineering	Pericles Loucopoulos and Vassilios Karakostas	system requirements engineering	Published in 1995. The paper complies with ISO Standard 9706	f	\N	McGraw-Hill	\N	t	0077078438	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1K4AP8880Q62Y5BGX8XP</RequestId><Arguments><Argument Name="ItemId" Value="0077078438"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0717949867248535</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0077078438</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0077078438</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0077078438%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0077078438%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>3240994</SalesRank><ItemAttributes><Author>Pericles Loucopoulos</Author><Author>Vassilios Karakostas</Author><Binding>Paperback</Binding><DeweyDecimalNumber>005.12</DeweyDecimalNumber><EAN>9780077078430</EAN><ISBN>0077078438</ISBN><Label>McGraw-Hill Companies</Label><ListPrice><Amount>4000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$40.00</FormattedPrice></ListPrice><Manufacturer>McGraw-Hill Companies</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>160</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">975</Height><Length Units="hundredths-inches">50</Length><Weight Units="hundredths-pounds">80</Weight><Width Units="hundredths-inches">775</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1995-06</PublicationDate><Publisher>McGraw-Hill Companies</Publisher><Studio>McGraw-Hill Companies</Studio><Title>System Requirements Engineering (McGraw-Hill International Software Quality Assurance Series)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>4000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$40.00</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>7490</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$74.90</FormattedPrice></LowestUsedPrice><TotalNew>2</TotalNew><TotalUsed>1</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>%2Bt9rKNbDkEPQ4yCiRFIyH5M9pnccK1mHDMeouPMxIsvbuGMNSDt4j%2FpMo809WhYcpLgWJPce2I1GHsHyB%2BmYqA%3D%3D</OfferListingId><Price><Amount>4000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$40.00</FormattedPrice></Price><Availability>Usually ships in 2 to 4 weeks</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers></Item></Items></ItemLookupResponse>	\N
26	Software System Development	Carol Britton and Jill Doake	software system development	Published in 1993	f	\N	McGraw-Hill	\N	t	0077077121	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1PBG9X23N7VXVAADCKMF</RequestId><Arguments><Argument Name="ItemId" Value="0077077121"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0578229427337646</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0077077121</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0077077121</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0077077121%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0077077121%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1036547</SalesRank><ItemAttributes><Author>Carol Britton</Author><Author>Jill Doake</Author><Binding>Paperback</Binding><Brand>McGraw-Hill Osborne Media</Brand><DeweyDecimalNumber>005.1</DeweyDecimalNumber><EAN>9780077077129</EAN><ISBN>0077077121</ISBN><Label>Mcgraw-Hill (Tx)</Label><ListPrice><Amount>3000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$30.00</FormattedPrice></ListPrice><Manufacturer>Mcgraw-Hill (Tx)</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>240</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">50</Height><Length Units="hundredths-inches">899</Length><Weight Units="hundredths-pounds">81</Weight><Width Units="hundredths-inches">604</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1993-03</PublicationDate><Publisher>Mcgraw-Hill (Tx)</Publisher><Studio>Mcgraw-Hill (Tx)</Studio><Title>Software System Development: A Gentle Introduction (The Mcgraw-Hill International Series in Software Engineering)</Title></ItemAttributes><OfferSummary><LowestUsedPrice><Amount>844</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$8.44</FormattedPrice></LowestUsedPrice><TotalNew>0</TotalNew><TotalUsed>4</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>This book follows the development of a system from the initial idea through to the completed software product. Keen to highlight the practicalities of developing systems, there is a continuous case study running throughout the book which demonstrates many of the problems the developer faces in real life situations.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	\N
23	Information Systems Development	Avison and Fitzgerald	information systems methodologies techniques tools	Second Edition	f	\N	McGraw-Hill	\N	t	0077092333	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1FT6JHX56EWX2HRGN9EC</RequestId><Arguments><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0077092333"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument></Arguments><RequestProcessingTime>0.120025873184204</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0077092333</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0077092333</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0077092333%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0077092333%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>386601</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0077092333.01._SCTHUMBZZZ_V1083859530_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">39</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0077092333.01._SCMZZZZZZZ_V1083859530_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">91</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0077092333.01._SCLZZZZZZZ_V1083859530_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">309</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0077092333.01._SCTHUMBZZZ_V1083859530_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">39</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0077092333.01._SCMZZZZZZZ_V1083859530_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">91</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0077092333.01._SCLZZZZZZZ_V1083859530_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">309</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>D. E. Avison</Author><Author>Guy Fitzgerald</Author><Binding>Paperback</Binding><DeweyDecimalNumber>005.12</DeweyDecimalNumber><EAN>9780077092337</EAN><Edition>2nd</Edition><ISBN>0077092333</ISBN><Label>McGraw-Hill Companies</Label><ListPrice><Amount>5700</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$57.00</FormattedPrice></ListPrice><Manufacturer>McGraw-Hill Companies</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>528</NumberOfPages><PackageDimensions><Weight Units="hundredths-pounds">167</Weight></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1998-02-04</PublicationDate><Publisher>McGraw-Hill Companies</Publisher><Studio>McGraw-Hill Companies</Studio><Title>Information Systems Development: Methodologies, Techniques, and Tools (Information Systems Series)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>3995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$39.95</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>3500</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$35.00</FormattedPrice></LowestUsedPrice><TotalNew>2</TotalNew><TotalUsed>4</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0077092333.01._SCMZZZZZZZ_V1083859530_.jpg
45	3D Graphics Programming - Games and Beyond	Sergei Savchenko	theory graphics windows linux 3D	Published in 2000. Donated by Douglas Gore.	f	\N	Sams	\N	t	0672319292	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0JVQ3D1MHYNX8KXN3R45</RequestId><Arguments><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0672319292"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0727691650390625</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0672319292</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0672319292</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0672319292%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0672319292%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>452540</SalesRank><SmallImage><URL>http://ec1.images-amazon.com/images/P/0672319292.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">47</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/0672319292.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">111</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/0672319292.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">376</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://ec1.images-amazon.com/images/P/0672319292.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">47</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/0672319292.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">111</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/0672319292.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">376</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Sergei Savchenko</Author><Binding>Paperback</Binding><DeweyDecimalNumber>006.693</DeweyDecimalNumber><EAN>0752063319291</EAN><Edition>Bk&amp;CD-Rom</Edition><ISBN>0672319292</ISBN><Label>Sams</Label><ListPrice><Amount>4999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$49.99</FormattedPrice></ListPrice><Manufacturer>Sams</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>353</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">84</Height><Length Units="hundredths-inches">910</Length><Weight Units="hundredths-pounds">140</Weight><Width Units="hundredths-inches">734</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2000-07</PublicationDate><Publisher>Sams</Publisher><Studio>Sams</Studio><Title>3D Graphics Programming: Games and Beyond (with CD-ROM)</Title><UPC>752063319291</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>757</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$7.57</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>415</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$4.15</FormattedPrice></LowestUsedPrice><TotalNew>11</TotalNew><TotalUsed>14</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>&lt;P&gt;&lt;I&gt;3D Graphics Programming: Games &amp; Beyond&lt;/I&gt; is a comprehensive guide to polygonal 3D graphics with an emphasis on techniques used in computer games. It contains descriptions of the most useful algorithms and combines them with practical programming examples to give programmers more control over their programs. The book's structured approach enables programmers to create their own libraries if necessary. It offers a firm theoretical base that is presented in an intuitive manner. Describing both theoretical and practical issues, the book examines thoroughly the underlying mathematical principles of 3D graphics.  It gives code examples and illustrations of vital concepts using an included library, which is well commented, easy to examine, change or use.&lt;/P&gt;</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://ec1.images-amazon.com/images/P/0672319292.01._SCMZZZZZZZ_.jpg
37	Information Systems in Business: An Introduction	James O. Hicks, JR.	information systems	Second edition	f	\N	West	\N	t	0314667725	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1HRRX65AB92XHQQEP270</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0314667725"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0538179874420166</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0314667725</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0314667725</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0314667725%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0314667725%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><ItemAttributes><Author>James O. Hicks</Author><Binding>Hardcover</Binding><Brand>West Information Pub Group</Brand><DeweyDecimalNumber>658.4038</DeweyDecimalNumber><EAN>9780314667724</EAN><Edition>2nd</Edition><ISBN>0314667725</ISBN><ItemDimensions><Height Units="hundredths-inches">1050</Height><Length Units="hundredths-inches">100</Length><Weight Units="hundredths-pounds">300</Weight><Width Units="hundredths-inches">900</Width></ItemDimensions><Label>West Publishing Company</Label><ListPrice><Amount>6695</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$66.95</FormattedPrice></ListPrice><Manufacturer>West Publishing Company</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>512</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">100</Height><Length Units="hundredths-inches">1050</Length><Weight Units="hundredths-pounds">300</Weight><Width Units="hundredths-inches">900</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1990-01</PublicationDate><Publisher>West Publishing Company</Publisher><Studio>West Publishing Company</Studio><Title>Information Systems in Business: An Introduction</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>2888</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$28.88</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>67</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.67</FormattedPrice></LowestUsedPrice><TotalNew>1</TotalNew><TotalUsed>14</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
87	Artificial Intelligence 2nd Edition	Michael Negnevitsky	Artificial intelligence ai	Donated by Dr Ulrich Berger, 4/03/05	f	\N	Addison Wesley	\N	\N	0321204662	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1BSYXRJ7HSV5BAMN4HFG</RequestId><Arguments><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0321204662"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0711588859558105</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0321204662</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0321204662</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0321204662%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0321204662%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>379320</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0321204662.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">39</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0321204662.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">92</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0321204662.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">329</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0321204662.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">39</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0321204662.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">92</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0321204662.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">329</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Michael Negnevitsky</Author><Binding>Hardcover</Binding><Brand>Pearson Addison Wesley</Brand><DeweyDecimalNumber>006.33</DeweyDecimalNumber><EAN>9780321204660</EAN><Edition>2</Edition><ISBN>0321204662</ISBN><ItemDimensions><Height Units="hundredths-inches">108</Height><Length Units="hundredths-inches">954</Length><Weight Units="hundredths-pounds">172</Weight><Width Units="hundredths-inches">614</Width></ItemDimensions><Label>Addison Wesley</Label><ListPrice><Amount>9520</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$95.20</FormattedPrice></ListPrice><Manufacturer>Addison Wesley</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>440</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">108</Height><Length Units="hundredths-inches">954</Length><Weight Units="hundredths-pounds">172</Weight><Width Units="hundredths-inches">614</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2004-11-02</PublicationDate><Publisher>Addison Wesley</Publisher><Studio>Addison Wesley</Studio><Title>Artificial Intelligence: A Guide to Intelligent Systems (2nd Edition)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>3204</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$32.04</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>3212</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$32.12</FormattedPrice></LowestUsedPrice><TotalNew>34</TotalNew><TotalUsed>20</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>T31onLaz0J26OlhOj0lPn2OLtRoEYXtB1AvdsrrgjHDaMalGIpQRtpwU0OfV2mBcz7dbQMqTZRItPxkBUIAtYQ%3D%3D</OfferListingId><Price><Amount>7854</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$78.54</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0321204662.01._SCMZZZZZZZ_.jpg
140	Web Design In A Nutshell	Jennifer Niederst	Web design nutshell xhtml html www authoring	From Library Journal\r\nNiederst discusses everything a web designer needs, from basic principles and HTML to designing for multiple browsers, cascading style sheets, and XML. For a working web designer this book will be an invaluable quick reference, and it is written well enough that someone just starting out on the web could also use it. Highly recommended for all libraries.\r\nCopyright 1999 Reed Business Information, Inc.	f	\N	O'Reilly	\N	\N	1565925157	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>06Y0D89ZT9ATHP38R3F3</RequestId><Arguments><Argument Name="ItemId" Value="1565925157"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0850939750671387</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565925157</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565925157</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565925157%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565925157%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>464270</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565925157.01._SCTHUMBZZZ_V1123610461_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565925157.01._SCMZZZZZZZ_V1123610461_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">104</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565925157.01._SCLZZZZZZZ_V1123610461_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">325</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565925157.01._SCTHUMBZZZ_V1123610461_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565925157.01._SCMZZZZZZZ_V1123610461_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">104</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565925157.01._SCLZZZZZZZ_V1123610461_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">325</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Jennifer Niederst</Author><Binding>Paperback</Binding><Brand>O'Reilly Media</Brand><DeweyDecimalNumber>005.72</DeweyDecimalNumber><EAN>0636920925156</EAN><Edition>1ST</Edition><ISBN>1565925157</ISBN><ItemDimensions><Height Units="hundredths-inches">925</Height><Length Units="hundredths-inches">125</Length><Weight Units="hundredths-pounds">170</Weight><Width Units="hundredths-inches">600</Width></ItemDimensions><Label>O'Reilly</Label><ListPrice><Amount>2995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$29.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>580</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">125</Height><Length Units="hundredths-inches">925</Length><Weight Units="hundredths-pounds">170</Weight><Width Units="hundredths-inches">600</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1998-12</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Web Design in a Nutshell : A Desktop Quick Reference</Title><UPC>636920925156</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>198</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$1.98</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>1</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.01</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>2995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$29.95</FormattedPrice></LowestCollectiblePrice><TotalNew>18</TotalNew><TotalUsed>55</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>Are you a print designer working on the Web? An HTML coder learning about server-side hosting for the first time? &lt;I&gt;Web Design in a Nutshell&lt;/I&gt; has slim but whole chapters for those topics-- and everything else you can imagine.&lt;p&gt; Written in the popular "Nutshell" format, this guide is full of helpful tables and lists, making it a perfect desktop reference. The book breaks down the huge topic of Web site development into understandable, readable segments: the Web environment (browsers, displays, design principles), an in-depth guide to HTML tags, graphics manipulation and display, multimedia possibilities, and technologies for larger site management (such as Cascading Style Sheets [CSS] and XML).&lt;p&gt; While this book is certainly comprehensive, the abundance of information could be overwhelming to someone just starting out with HTML. In addition, the heart of this book is filled with technical specificity on Web page creation (for example, a section under "Graphics" is titled "GIF87a versus GIF89a"). Readers looking for more conceptual explanations of Web design and layout would be better served with other titles. But for day-to-day development and maintenance, &lt;I&gt;Web Design in a Nutshell&lt;/I&gt; is a truly well-constructed toolkit.</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>&lt;i&gt;Web Design in a Nutshell&lt;/i&gt; contains the nitty-gritty on everything you need to know to design Web pages. It's the good stuff, without the fluff, written and organized so that answers can be found quickly. Written by veteran Web designer Jennifer Niederst, this book provides quick access to the wide range of front-end technologies and techniques from which Web designers and authors must draw. &lt;p&gt;It is an excellent reference for HTML 4.0 tags (including tables, frames, and Cascading Style Sheets) with special attention given to browser support and platform idiosyncrasies. The HTML section is more than a reference work, though. It details strange behavior in tables, for instance, and gives ideas and workarounds for using tables and frames on your site. &lt;i&gt;Web Design in a Nutshell&lt;/i&gt; also covers multimedia and interactivity, audio and video, and emerging technologies like Dynamic  HTML, XML, embedded fonts, and internationalization.&lt;p&gt;The book includes:&lt;ul&gt;&lt;li&gt;Discussions of the Web environment, monitors, and browsers&lt;/li&gt;&lt;li&gt;A complete reference to HTML and Server Side Includes, including browser support for every tag and attribute&lt;/li&gt;&lt;li&gt;Chapters on creating GIF, JPEG and PNG graphics, including designing with the Web Palette&lt;/li&gt;&lt;li&gt;Information on multimedia and interactivity, including audio, video, Flash, Shockwave, and JavaScript &lt;/li&gt;&lt;li&gt;Detailed tutorial and reference on Cascading Style Sheets, including an appendix of browser compatibility information&lt;/li&gt;&lt;li&gt;Appendices detailing HTML tags, attributes, deprecated tags, proprietary tags, and CSS compatibility&lt;/li&gt;&lt;/ul&gt;</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565925157.01._SCMZZZZZZZ_V1123610461_.jpg
142	Windows XP Pro The Missing Manual	Pogue, Zacker and Zacker	windows xp pro	Windows XP Pro for newbies. "The book that should have been in the box" covers up to SP1	f	\N	Pogue Press / O'Reilly	\N	\N	059600348X	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>11HP0TH18GRJ1B9GDMYT</RequestId><Arguments><Argument Name="ItemId" Value="059600348X"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0889489650726318</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>059600348X</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>059600348X</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=059600348X%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/059600348X%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>119320</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/059600348X.01._SCTHUMBZZZ_V1123617544_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/059600348X.01._SCMZZZZZZZ_V1123617544_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">122</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/059600348X.01._SCLZZZZZZZ_V1123617544_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">380</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/059600348X.01._SCTHUMBZZZ_V1123617544_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/059600348X.01._SCMZZZZZZZ_V1123617544_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">122</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/059600348X.01._SCLZZZZZZZ_V1123617544_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">380</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>David Pogue</Author><Author>Craig Zacker</Author><Author>L. J. Zacker</Author><Binding>Paperback</Binding><DeweyDecimalNumber>005.4469</DeweyDecimalNumber><EAN>9780596003487</EAN><Edition>1</Edition><ISBN>059600348X</ISBN><Label>O'Reilly</Label><ListPrice><Amount>3986</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$39.86</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>672</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">158</Height><Length Units="hundredths-inches">918</Length><Weight Units="hundredths-pounds">228</Weight><Width Units="hundredths-inches">708</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2003-01</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Windows XP Pro: The Missing Manual</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>297</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.97</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>77</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.77</FormattedPrice></LowestUsedPrice><TotalNew>14</TotalNew><TotalUsed>18</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>Windows XP is the latest, most reliable, and best-looking version of the world's most widely used operating system, combining the extremely stable engine of Windows NT and 2000 with the user-friendliness of the Windows 98 and Me consumer models. In its first year, XP became the fastest-selling Windows OS ever. But one major failing remains unaddressed: XP Pro comes without a single page of printed instructions.&lt;p&gt;This superbly written guide fills the gap. Coauthored by David Pogue, &lt;i&gt;New York Times&lt;/i&gt; technology columnist and Missing Manuals creator, &lt;i&gt;Windows XP Pro: The Missing Manual&lt;/i&gt; uses wit, technical insight, and scrupulous objectivity to light the way for first-time and intermediate PC fans. The book reveals which features work well and which don't, such as the Remote Desktop software that enables people to connect to the office from home, the encryption file system that protects sensitive information, and the Windows Messenger that enables real-time text, voice and video communication. Contents include:&lt;ul&gt;&lt;b&gt;Getting started.&lt;/b&gt; The book's early chapters cover using menus, finding lost files, reducing window clutter, and taming the new, multi-column Start menu.&lt;b&gt;Mastering the network.&lt;/b&gt; Special chapters help you navigate the corporate network, dial in from the road, and even set up your own small-office (peer-to-peer) network, step by step.&lt;b&gt;Understanding security.&lt;/b&gt; User accounts, file encryption, and the NTFS file system keep your private files private, while still offering network access to coworkers you specify.&lt;b&gt;Flying the Net.&lt;/b&gt; This book demystifies Outlook Express 6 for email, Internet Explorer 6 for Web browsing, and the new Windows Messenger for voice, chat, and video conferencing.&lt;/ul&gt;&lt;i&gt;Windows XP Pro: The Missing Manual&lt;/i&gt; isn't for system administrators or OS theory geeks; it's for the novice or budding power user who wants to master the machine and get down to work. Yet, anyone who uses XP Pro (including hardcore techies) will find this new system much easier -- and more fun -- to digest with this new Missing Manual. This is the crystal-clear, jargon-free book that should have been in the box.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/059600348X.01._SCMZZZZZZZ_V1123617544_.jpg
143	Matrices And Matlab A Tutorial	Marvin Marcus	Matlab matrices tutorial maths	From the back cover:\r\nThis book is designed for a serious one-semester or two-quarter course in elementary matrix theory. It is suitable for undergraduate or graduate students who have successfully completed a standard one-year calculus sequence and are reasonably adept at high school algebra.	f	\N	Prentice Hall	\N	\N	0135629012	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1XC4T8XTJVP82QAVT8PB</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0135629012"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0660979747772217</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0135629012</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0135629012</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0135629012%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0135629012%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1906574</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0135629012.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">42</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0135629012.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">98</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0135629012.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">331</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0135629012.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">42</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0135629012.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">98</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0135629012.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">331</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Marvin Marcus</Author><Binding>Hardcover</Binding><DeweyDecimalNumber>512.94340285</DeweyDecimalNumber><EAN>9780135629017</EAN><Edition>1st</Edition><Format>Facsimile</Format><ISBN>0135629012</ISBN><Label>Prentice Hall</Label><ListPrice><Amount>8860</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$88.60</FormattedPrice></ListPrice><Manufacturer>Prentice Hall</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>736</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">133</Height><Length Units="hundredths-inches">933</Length><Weight Units="hundredths-pounds">234</Weight><Width Units="hundredths-inches">702</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1998-04-07</PublicationDate><Publisher>Prentice Hall</Publisher><Studio>Prentice Hall</Studio><Title>Matrices and MATLAB: A Tutorial</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>2980</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$29.80</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>1547</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$15.47</FormattedPrice></LowestUsedPrice><TotalNew>3</TotalNew><TotalUsed>11</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>%2FY85vBf9WHKA4rve2JQtDbGqTABqk0CurSbAHRRCfu%2B8f3rO6T7Ko3maUUdpU9occHnNFPEJjxlyztr1dEt4Gg%3D%3D</OfferListingId><Price><Amount>8860</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$88.60</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0135629012.01._SCMZZZZZZZ_.jpg
88	Introduction to the Design and Analysis of Algorithms	Anany Levitin	algorithms	Donated by Dr Monika Seisenberger, 4/03/05	f	\N	Addison Wesley	\N	\N	0201743957	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1SG24M9S5Q3YPKXB4RCD</RequestId><Arguments><Argument Name="ItemId" Value="0201743957"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.206979990005493</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0201743957</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0201743957</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0201743957%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0201743957%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>87397</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0201743957.01._SCTHUMBZZZ_V1056425656_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">45</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0201743957.01._SCMZZZZZZZ_V1056425656_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">105</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0201743957.01._SCLZZZZZZZ_V1056425656_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">356</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0201743957.01._SCTHUMBZZZ_V1056425656_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">45</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0201743957.01._SCMZZZZZZZ_V1056425656_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">105</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0201743957.01._SCLZZZZZZZ_V1056425656_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">356</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Anany V. Levitin</Author><Binding>Paperback</Binding><Brand>Pearson Addison Wesley</Brand><DeweyDecimalNumber>005.1</DeweyDecimalNumber><EAN>9780201743951</EAN><Edition>1ST</Edition><ISBN>0201743957</ISBN><ItemDimensions><Height Units="hundredths-inches">115</Height><Length Units="hundredths-inches">948</Length><Weight Units="hundredths-pounds">217</Weight><Width Units="hundredths-inches">754</Width></ItemDimensions><Label>Addison Wesley</Label><ListPrice><Amount>9720</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$97.20</FormattedPrice></ListPrice><Manufacturer>Addison Wesley</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>528</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">115</Height><Length Units="hundredths-inches">948</Length><Weight Units="hundredths-pounds">217</Weight><Width Units="hundredths-inches">754</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2002-10-30</PublicationDate><Publisher>Addison Wesley</Publisher><Studio>Addison Wesley</Studio><Title>Introduction to the Design and Analysis of Algorithms</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>4199</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$41.99</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>3000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$30.00</FormattedPrice></LowestUsedPrice><TotalNew>12</TotalNew><TotalUsed>11</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>Hp0tLDFQNyrwPmyBJ4g39l5iBsfNnaWRzJwxJ59UlZxtO1KNPEPukfd6%2BGGLaNGalXmARTG51fwCQyCK6cp3gg%3D%3D</OfferListingId><Price><Amount>8262</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$82.62</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>&lt;P&gt;&lt;B&gt;&lt;/B&gt; Based on a new classification of algorithm design techniques and a clear delineation of analysis methods, &lt;I&gt;Introduction to the Design and Analysis of Algorithms&lt;/I&gt; presents the subject in a truly innovative manner. &lt;B&gt;&lt;/B&gt;Written in a reader-friendly style, the book encourages broad problem-solving skills while thoroughly covering the material required for introductory algorithms. The author emphasizes conceptual understanding before the introduction of the formal treatment of each technique. Popular puzzles are used to motivate readers' interest and strengthen their skills in algorithmic problem solving. Other enhancement features include chapter summaries, hints to the exercises, and a solution manual. &lt;B&gt;&lt;/B&gt; For those interested in learning more about algorithms.  &lt;/P&gt;</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0201743957.01._SCMZZZZZZZ_V1056425656_.jpg
83	Knowledge Representation - An approach to AI	Bench-Capon	AI artificial intelligence	Donated by Mr Chris Whyley, 28/02/05	f	\N	Academic Press	\N	\N	0120864401	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1JP90TX92C29ZABCQ35Q</RequestId><Arguments><Argument Name="ItemId" Value="0120864401"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0659749507904053</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0120864401</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0120864401</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0120864401%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0120864401%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>3089180</SalesRank><ItemAttributes><Author>T. J. M. Bench-Capon</Author><Binding>Hardcover</Binding><EAN>9780120864409</EAN><Edition>Reprinted Ed</Edition><ISBN>0120864401</ISBN><Label>Academic Pr</Label><ListPrice><Amount>5000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$50.00</FormattedPrice></ListPrice><Manufacturer>Academic Pr</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>264</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">950</Height><Length Units="hundredths-inches">75</Length><Weight Units="hundredths-pounds">105</Weight><Width Units="hundredths-inches">625</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1990-12</PublicationDate><Publisher>Academic Pr</Publisher><Studio>Academic Pr</Studio><Title>Knowledge Representation: An Approach to Artificial Intelligence (Apic Studies in Data Processing)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1200</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$12.00</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>960</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$9.60</FormattedPrice></LowestUsedPrice><TotalNew>1</TotalNew><TotalUsed>6</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
4	Data Communications, Computer Networks and Open Systems	Fred Halsall	Networks	3rd Edition. Donated by Steve Whitehouse\r\n	f	\N	Addison-Wesley	dhilton	t	0201565064	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0E9SB0B0V75Q3TK9NA7Q</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0201565064"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.293238162994385</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0201565064</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0201565064</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0201565064%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0201565064%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1559523</SalesRank><ItemAttributes><Author>Fred Halsall</Author><Binding>Hardcover</Binding><Brand>Pearson Addison Wesley</Brand><EAN>9780201565065</EAN><Edition>3RD</Edition><ISBN>0201565064</ISBN><ItemDimensions><Height Units="hundredths-inches">975</Height><Length Units="hundredths-inches">150</Length><Weight Units="hundredths-pounds">330</Weight><Width Units="hundredths-inches">775</Width></ItemDimensions><Label>Addison-Wesley</Label><ListPrice><Amount>6025</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$60.25</FormattedPrice></ListPrice><Manufacturer>Addison-Wesley</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>772</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">150</Height><Length Units="hundredths-inches">975</Length><Weight Units="hundredths-pounds">330</Weight><Width Units="hundredths-inches">775</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1992-02</PublicationDate><Publisher>Addison-Wesley</Publisher><Studio>Addison-Wesley</Studio><Title>Data Communications, Computer Networks, and Open Systems (Electronic Systems Engineering Series)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1178</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$11.78</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>65</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.65</FormattedPrice></LowestUsedPrice><TotalNew>3</TotalNew><TotalUsed>28</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
98	Artificial Intelligence 3rd Edition	George F Luger & William A Stubblefield	AI Artificial Intelligence	"Structures and Strategies for Complex Problem Solving"\r\n\r\nDonated by Dr. Grand 10/3/05	f	\N	Addison Wesley	\N	\N	0805311963	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0SY70V8R4GDD21J0YR74</RequestId><Arguments><Argument Name="ItemId" Value="0805311963"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0646789073944092</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0805311963</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0805311963</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0805311963%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0805311963%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>282619</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0805311963.01._SCTHUMBZZZ_V1056493069_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">48</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0805311963.01._SCMZZZZZZZ_V1056493069_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">113</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0805311963.01._SCLZZZZZZZ_V1056493069_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">384</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0805311963.01._SCTHUMBZZZ_V1056493069_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">48</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0805311963.01._SCMZZZZZZZ_V1056493069_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">113</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0805311963.01._SCLZZZZZZZ_V1056493069_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">384</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>George F. Luger</Author><Author>William A. Stubblefield</Author><Binding>Hardcover</Binding><DeweyDecimalNumber>006.3</DeweyDecimalNumber><EAN>9780805311969</EAN><Edition>3rd</Edition><ISBN>0805311963</ISBN><Label>Addison Wesley Publishing Company</Label><ListPrice><Amount>9000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$90.00</FormattedPrice></ListPrice><Manufacturer>Addison Wesley Publishing Company</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>868</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">168</Height><Length Units="hundredths-inches">959</Length><Weight Units="hundredths-pounds">323</Weight><Width Units="hundredths-inches">765</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1997-09</PublicationDate><Publisher>Addison Wesley Publishing Company</Publisher><Studio>Addison Wesley Publishing Company</Studio><Title>Artificial Intelligence: Structures and Strategies for Complex Problem Solving</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1485</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$14.85</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>804</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$8.04</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>9000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$90.00</FormattedPrice></LowestCollectiblePrice><TotalNew>5</TotalNew><TotalUsed>16</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>Combines the theoretical foundations of intelligent problem-solving with he data structures and algorithms needed for its implementation. The book presents logic, rule, object and agent-based architectures, along with example programs written in LISP and PROLOG.  The practical applications of AI have been kept within the context of its broader goal: understanding the patterns of intelligence as it operates in this world of uncertainty, complexity and change.  &lt;P&gt;The introductory and concluding chapters take a new look at the potentials and challenges facing artificial intelligence and cognitive science.  An extended treatment of knowledge-based problem-solving is given including  model-based and case-based reasoning.   Includes new material on: Fundamentals of search, inference and knowledge representation AI algorithms and data structures in LISP and PROLOG Production systems, blackboards, and meta-interpreters including planers, rule-based reasoners, and inheritance systems. Machine-learning including ID3 with bagging and boosting, explanation based&lt;P&gt;learning, PAC learning, and other forms of induction Neural networks, including perceptrons, back propogation, Kohonen networks, Hopfield networks, Grossberg learning, and counterpropagation.  Emergent and social methods of learning and adaptation, including genetic algorithms, genetic programming and artificial life. Object and agent-based problem solving and other forms of advanced knowledge representation</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0805311963.01._SCMZZZZZZZ_V1056493069_.jpg
44	X Toolkit Intrinsics Reference Manual	David Flanagan	reference x toolkit	Volume Five. Third edition.	f	\N	O'Reilly	\N	t	1565920074	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0X6PTJK4BCBK0DE6PK70</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="1565920074"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0900299549102783</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565920074</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565920074</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565920074%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565920074%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>449414</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565920074.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">56</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565920074.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">120</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565920074.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">374</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565920074.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">56</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565920074.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">120</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565920074.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">374</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Binding>Paperback</Binding><Creator Role="Editor">David Flanagan</Creator><DeweyDecimalNumber>005.43</DeweyDecimalNumber><EAN>9781565920071</EAN><Edition>3</Edition><ISBN>1565920074</ISBN><Label>O'Reilly Media</Label><ListPrice><Amount>4495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$44.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly Media</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>909</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">185</Height><Length Units="hundredths-inches">913</Length><Weight Units="hundredths-pounds">309</Weight><Width Units="hundredths-inches">698</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1992-04-03</PublicationDate><Publisher>O'Reilly Media</Publisher><Studio>O'Reilly Media</Studio><Title>X Toolkit Intrinsics Ref Man R5 (Definitive Guides to the X Window System)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>899</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$8.99</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>318</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$3.18</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>4495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$44.95</FormattedPrice></LowestCollectiblePrice><TotalNew>25</TotalNew><TotalUsed>25</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>XItgmUXPQa0az6yxN%2FwJAZwJHVabAD4zJ%2BrspX1dr0AI9RBVRKem7ELqOtsV6lUCIO5rAlSixE%2FRaAazrC%2FlhQ%3D%3D</OfferListingId><Price><Amount>4046</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$40.46</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>The &lt;i&gt;X Toolkit Intrinsics Reference Manual&lt;/i&gt; is a complete programmer's reference for the X Toolkit. It provides reference pages for each of the Xt functions as well as the widget classes defined by Xt and the Athena widgets.    This volume is based on Xt documentation from the X Consortium and has been re-edited, reorganized, and expanded. Contents include:  &lt;ul&gt;&lt;li&gt;Reference pages for each of the Xt Intrinsics and macros, organized alphabetically for ease of use.&lt;/li&gt;  &lt;li&gt;Reference pages for the interface definitions of functions registered using other Xt functions.&lt;/li&gt;  &lt;li&gt;Reference pages for the Core, Composite, and Constraint widget methods.&lt;/li&gt;  &lt;li&gt;Reference pages for the Object, RectObj, Core, Composite, Constraint, and Shell widget classes defined by Xt.&lt;/li&gt;  &lt;li&gt;Reference pages for Athena widget classes.&lt;/li&gt;  &lt;li&gt;Reference pages for Xt-related Xmu functions.&lt;/li&gt;  &lt;li&gt;Permuted index.&lt;/li&gt;  &lt;li&gt;Many appendices and quick reference aids.&lt;/li&gt;&lt;/ul&gt;    The third edition of Volume 5 has been completely revised. In addition to covering Release 4 and Release 5 of X, all the man pages have been completely rewritten for clarity and ease of use, and new examples and descriptions have been added throughout the book.    This manual is a companion to Volume 4M, &lt;i&gt;X Toolkit Intrinsics  Programming Manual&lt;/i&gt;.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565920074.01._SCMZZZZZZZ_.jpg
7	HTML: The Definitive Guide	Chuck Musciano & Bill Kennedy	HTML	2nd Edition, published 1997.	f	\N	O'Reilly	abdulkahar	t	1565922352	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>04CD03MJX9JVKY8C1PQC</RequestId><Arguments><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="1565922352"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0583269596099854</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565922352</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565922352</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565922352%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565922352%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1066019</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565922352.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922352.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">122</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922352.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">382</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565922352.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922352.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">122</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922352.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">382</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Chuck Musciano</Author><Author>Bill Kennedy</Author><Binding>Paperback</Binding><DeweyDecimalNumber>005.72</DeweyDecimalNumber><EAN>9781565922358</EAN><Edition>2</Edition><ISBN>1565922352</ISBN><Label>O'Reilly</Label><ListPrice><Amount>3295</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$32.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>552</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">950</Height><Length Units="hundredths-inches">125</Length><Weight Units="hundredths-pounds">180</Weight><Width Units="hundredths-inches">700</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1997-05</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>HTML: The Definitive Guide (Nutshell Handbook)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>515</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$5.15</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>50</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.50</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>1977</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$19.77</FormattedPrice></LowestCollectiblePrice><TotalNew>1</TotalNew><TotalUsed>25</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>For those with some HTML knowledge, &lt;I&gt;HTML: The Definitive Guide&lt;/I&gt; is a practical text that covers HTML 3.2 syntax, semantics, and elements of style and explains each tag in detail. Using this guide, you can learn how HTML elements interact with each other, how browsers have limitations and differences, and how to create documents that look good on a variety of browsers. &lt;I&gt;HTML: The Definitive Guide&lt;/I&gt; also details cascading style sheets, tables, frames, forms, inserting images, sound files, video, applets, JavaScript programs, and layers.&lt;p&gt; This guide will teach you the most effective use of HTML to accomplish a variety of tasks, from simple to complex. You'll become fluent in the language and learn to distinguish between good and bad HTML usage.</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>Netscape Navigator 4.0! Internet Explorer 4.0! HTML 3.2! JavaScript! Style sheets! Layers! HTML is changing so fast it's almost impossible to keep up with developments. How do you know what's real, and how do you use it? This book brings it all together for you. &lt;i&gt;HTML: The Definitive Guide&lt;/i&gt; is the most comprehensive book available on HTML today. It covers the latest standard, HTML 3.2, and all of the features supported by every popular Web browser, including the latest editions of Netscape and Internet Explorer.&lt;p&gt;Learning HTML is like learning any new language, computer or human. Most students first immerse themselves in examples. Studying others is a natural way to learn, making learning easy and fun. Imitation can take you only so far, though. It's as easy to learn bad habits through imitation as it is to acquire good ones. The better way to become HTML-fluent is through a comprehensive reference that covers the language syntax, semantics, and variations in detail and helps you distinguish between good and bad usage.&lt;p&gt;&lt;i&gt;HTML: The Definitive Guide&lt;/i&gt; helps you both ways: the authors cover every  element of HTML in detail, explaining how each element works and  how it interacts with other elements. Many hints about HTML style  help you accomplish a variety of tasks, from simple online  documentation to complex marketing and sales presentations. With  hundreds of examples, the book gives you models for writing your  own effective Web pages and mastering advanced features, like style  sheets and frames.&lt;p&gt;&lt;i&gt;HTML: The Definitive Guide&lt;/i&gt; shows you how to:&lt;ul&gt;&lt;li&gt;Use style sheets and layers to control a document's appearance&lt;/li&gt;&lt;li&gt;Create tables, from simple to complex&lt;/li&gt;&lt;li&gt;Use Netscape's frames to coordinate sets of documents&lt;/li&gt;&lt;li&gt;Design and build interactive forms&lt;/li&gt;&lt;li&gt;Insert images, sound files, video, applets, and JavaScript programs&lt;/li&gt;&lt;li&gt;Create dynamic documents with server-push and client-pull&lt;/li&gt;&lt;/ul&gt;&lt;p&gt;A handy quick reference card listing HTML tags is included.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565922352.01._SCMZZZZZZZ_.jpg
73	HTML: The Definitive Guide	Chuck Musciano & Bill Kennedy	html	2nd Edition, published 1997. Donated by Steven Whitehouse	f	\N	O'Reilly	\N	\N	1565922352	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1ETHZY2HZ4N6HERFC76E</RequestId><Arguments><Argument Name="ItemId" Value="1565922352"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.064622163772583</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565922352</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565922352</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565922352%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565922352%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1066019</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565922352.01._SCTHUMBZZZ_V1123541953_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922352.01._SCMZZZZZZZ_V1123541953_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">122</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922352.01._SCLZZZZZZZ_V1123541953_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">382</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565922352.01._SCTHUMBZZZ_V1123541953_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922352.01._SCMZZZZZZZ_V1123541953_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">122</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922352.01._SCLZZZZZZZ_V1123541953_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">382</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Chuck Musciano</Author><Author>Bill Kennedy</Author><Binding>Paperback</Binding><DeweyDecimalNumber>005.72</DeweyDecimalNumber><EAN>9781565922358</EAN><Edition>2</Edition><ISBN>1565922352</ISBN><Label>O'Reilly</Label><ListPrice><Amount>3295</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$32.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>552</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">950</Height><Length Units="hundredths-inches">125</Length><Weight Units="hundredths-pounds">180</Weight><Width Units="hundredths-inches">700</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1997-05</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>HTML: The Definitive Guide (Nutshell Handbook)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>515</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$5.15</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>50</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.50</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>1977</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$19.77</FormattedPrice></LowestCollectiblePrice><TotalNew>1</TotalNew><TotalUsed>25</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>For those with some HTML knowledge, &lt;I&gt;HTML: The Definitive Guide&lt;/I&gt; is a practical text that covers HTML 3.2 syntax, semantics, and elements of style and explains each tag in detail. Using this guide, you can learn how HTML elements interact with each other, how browsers have limitations and differences, and how to create documents that look good on a variety of browsers. &lt;I&gt;HTML: The Definitive Guide&lt;/I&gt; also details cascading style sheets, tables, frames, forms, inserting images, sound files, video, applets, JavaScript programs, and layers.&lt;p&gt; This guide will teach you the most effective use of HTML to accomplish a variety of tasks, from simple to complex. You'll become fluent in the language and learn to distinguish between good and bad HTML usage.</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>Netscape Navigator 4.0! Internet Explorer 4.0! HTML 3.2! JavaScript! Style sheets! Layers! HTML is changing so fast it's almost impossible to keep up with developments. How do you know what's real, and how do you use it? This book brings it all together for you. &lt;i&gt;HTML: The Definitive Guide&lt;/i&gt; is the most comprehensive book available on HTML today. It covers the latest standard, HTML 3.2, and all of the features supported by every popular Web browser, including the latest editions of Netscape and Internet Explorer.&lt;p&gt;Learning HTML is like learning any new language, computer or human. Most students first immerse themselves in examples. Studying others is a natural way to learn, making learning easy and fun. Imitation can take you only so far, though. It's as easy to learn bad habits through imitation as it is to acquire good ones. The better way to become HTML-fluent is through a comprehensive reference that covers the language syntax, semantics, and variations in detail and helps you distinguish between good and bad usage.&lt;p&gt;&lt;i&gt;HTML: The Definitive Guide&lt;/i&gt; helps you both ways: the authors cover every  element of HTML in detail, explaining how each element works and  how it interacts with other elements. Many hints about HTML style  help you accomplish a variety of tasks, from simple online  documentation to complex marketing and sales presentations. With  hundreds of examples, the book gives you models for writing your  own effective Web pages and mastering advanced features, like style  sheets and frames.&lt;p&gt;&lt;i&gt;HTML: The Definitive Guide&lt;/i&gt; shows you how to:&lt;ul&gt;&lt;li&gt;Use style sheets and layers to control a document's appearance&lt;/li&gt;&lt;li&gt;Create tables, from simple to complex&lt;/li&gt;&lt;li&gt;Use Netscape's frames to coordinate sets of documents&lt;/li&gt;&lt;li&gt;Design and build interactive forms&lt;/li&gt;&lt;li&gt;Insert images, sound files, video, applets, and JavaScript programs&lt;/li&gt;&lt;li&gt;Create dynamic documents with server-push and client-pull&lt;/li&gt;&lt;/ul&gt;&lt;p&gt;A handy quick reference card listing HTML tags is included.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565922352.01._SCMZZZZZZZ_V1123541953_.jpg
86	Fundamentals of Database Systems 2nd Edition	Elmasri / Navathe	Database DB	Donated by Dr Roger Stein, 28/02/05	f	\N	Adison / Wesley	\N	\N	0805301453	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0K47N28FWHJ8AZG3X6PK</RequestId><Arguments><Argument Name="ItemId" Value="0805301453"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.104012012481689</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0805301453</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0805301453</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0805301453%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0805301453%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1254286</SalesRank><ItemAttributes><Author>Ramez Elmasri</Author><Author>Shamkant B. Navathe</Author><Binding>Paperback</Binding><EAN>9780805301458</EAN><ISBN>0805301453</ISBN><Label>Benjamin-Cummings Publishing Co.,Subs. of Addison Wesley Longman,US</Label><ListPrice><Amount>5495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$54.95</FormattedPrice></ListPrice><Manufacturer>Benjamin-Cummings Publishing Co.,Subs. of Addison Wesley Longman,US</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>800</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">940</Height><Length Units="hundredths-inches">150</Length><Weight Units="hundredths-pounds">110</Weight><Width Units="hundredths-inches">800</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1989-06</PublicationDate><Publisher>Benjamin-Cummings Publishing Co.,Subs. of Addison Wesley Longman,US</Publisher><Studio>Benjamin-Cummings Publishing Co.,Subs. of Addison Wesley Longman,US</Studio><Title>Fundamentals of Database Systems</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>255</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.55</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>49</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.49</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>5495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$54.95</FormattedPrice></LowestCollectiblePrice><TotalNew>2</TotalNew><TotalUsed>19</TotalUsed><TotalCollectible>2</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>Responding to the requests of database professors nationwide,the leading textbook for the introductory database management course is being fully revised in time for the startof Fall 1999 classes. Fundamentals of Database Systems, Third Edition is updated to reflect the latest developments indatabase research and practice. It combines clear explanations of theory and real systems, broad coverage of modeling and design of databases, and excellent examples with up-to-date introductions to modern database technology.  &lt;P&gt;Features of the Third Edition  &lt;P&gt;Presents clear and complete discussion of the relational approach including modeling, design, and query languages  &lt;P&gt;Reorganized material on data modeling to clearly separate entity relationship modeling, extended entity relationship modeling, and object-oriented modeling  &lt;P&gt;NEW! Gives examples of real database systems - Oracle and Microsoft Access - in Ch. 10  &lt;P&gt;NEW and EXPANDED! Provides coverage of the object-oriented and object relational approach to data management including ODMG and SQL3  &lt;P&gt;NEW! Includes discussion of decision support applications of data warehousing and data mining, as well as emerging technologies of web databases, multimedia, and mobile databases  &lt;P&gt;NEW! Covers advanced modeling in the areas of active, temporal, and spatial databases  &lt;P&gt;NEW! Discusses current database application areas of GIS, genome, and digital libraries</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	\N
82	Software Engineering: A programming approach	Doub Bell / Ian Morray / John Pugh	Software Engineering	Donated by Dr Roger Stein, 28/02/05	f	\N	Prentice / Hall international	\N	\N	0138218366	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0X8X2J42VAEXEK17JS72</RequestId><Arguments><Argument Name="ItemId" Value="0138218366"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0630447864532471</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0138218366</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0138218366</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0138218366%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0138218366%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><ItemAttributes><Author>Doug Bell</Author><Binding>Paperback</Binding><EAN>9780138218362</EAN><ISBN>0138218366</ISBN><Label>Prentice-Hall International</Label><Manufacturer>Prentice-Hall International</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>250</NumberOfPages><ProductGroup>Book</ProductGroup><PublicationDate>1987</PublicationDate><Publisher>Prentice-Hall International</Publisher><Studio>Prentice-Hall International</Studio><Title>Software engineering: A programming approach</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>440</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$4.40</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>438</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$4.38</FormattedPrice></LowestUsedPrice><TotalNew>1</TotalNew><TotalUsed>6</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
55	Programming Perl	Larry Wall, Tom Christiansen & Randal L. Schwartz	Perl	2nd Edition (covers Perl 5). Donated by Steven Whitehouse	f	\N	O'Reilly	pwb	t	1565921496	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0Y61D5M3BCZBT0SKZW51</RequestId><Arguments><Argument Name="ItemId" Value="1565921496"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0749971866607666</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565921496</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565921496</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565921496%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565921496%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>429838</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565921496.01._SCTHUMBZZZ_V1123541953_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565921496.01._SCMZZZZZZZ_V1123541953_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">122</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565921496.01._SCLZZZZZZZ_V1123541953_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">380</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565921496.01._SCTHUMBZZZ_V1123541953_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565921496.01._SCMZZZZZZZ_V1123541953_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">122</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565921496.01._SCLZZZZZZZ_V1123541953_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">380</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Larry Wall</Author><Author>Tom Christiansen</Author><Author>Randal L. Schwartz</Author><Binding>Paperback</Binding><Brand>O'Reilly Media</Brand><DeweyDecimalNumber>005.133</DeweyDecimalNumber><EAN>0636920921493</EAN><Edition>2</Edition><ISBN>1565921496</ISBN><Label>O'Reilly</Label><ListPrice><Amount>4495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$44.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>670</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">274</Height><Length Units="hundredths-inches">920</Length><Weight Units="hundredths-pounds">230</Weight><Width Units="hundredths-inches">708</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1996-10</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Programming Perl (2nd Edition)</Title><UPC>636920921493</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>800</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$8.00</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>51</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.51</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>4495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$44.95</FormattedPrice></LowestCollectiblePrice><TotalNew>6</TotalNew><TotalUsed>51</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>The second edition of the Camel Book is more than 600 pages long and full of excellent instruction and sound advice. Topics include all the good stuff from the first edition plus Perl 5 features such as nested data structures (ever made a hash of arrays of hashes?), modules, and objects. From &lt;NOBR&gt;&lt;CODE&gt;"Howdy World"&lt;/CODE&gt;&lt;/NOBR&gt; to making your own modules, this book has it all.</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>&lt;i&gt;Programming Perl, 2nd Edition&lt;/i&gt; is the authoritative guide to Perl  version 5, the scripting utility that has established itself as the  programming tool of choice for the World Wide Web, UNIX system  administration, and a vast range of other applications.  Version 5 of  Perl includes object-oriented programming facilities.  The book is  coauthored by Larry Wall, the creator of Perl.&lt;p&gt;Perl is a language for easily manipulating text, files, and processes. It provides a more concise and readable way to do many jobs that were  formerly accomplished (with difficulty) by programming with C or one of the shells.  Perl is likely to be available wherever you choose to work. And if it isn't, you can get it and install it easily and free of charge.&lt;p&gt;This heavily revised second edition of &lt;i&gt;Programming Perl&lt;/i&gt; contains a  full explanation of the features in Perl version 5.003.  Contents include:&lt;p&gt;&lt;ul&gt;&lt;li&gt;An introduction to Perl&lt;/li&gt;&lt;li&gt;Explanations of the language and its syntax&lt;/li&gt;&lt;li&gt;Perl functions&lt;/li&gt;&lt;li&gt;Perl library modules&lt;/li&gt;&lt;li&gt;The use of references in Perl&lt;/li&gt;&lt;li&gt;How to use Perl's object-oriented features&lt;/li&gt;&lt;li&gt;Invocation options for Perl itself, and also for the utilities that come with Perl&lt;/li&gt;&lt;li&gt;Other oddments:  debugging, common mistakes, efficiency, programming style, distribution and installation of Perl, Perl poetry, and so on.&lt;/li&gt;&lt;/ul&gt;</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565921496.01._SCMZZZZZZZ_V1123541953_.jpg
51	Perl Cookbook	Tom Christiansen & Nathan Torkington	perl programming	Solutions and Examples for Perl Programmers	f	\N	O'Reilly	phaser2001	t	1565922433	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0DVS4RENNZZYEAH4HX4Q</RequestId><Arguments><Argument Name="ItemId" Value="1565922433"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0886878967285156</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565922433</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565922433</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565922433%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565922433%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>135647</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565922433.01._SCTHUMBZZZ_V1123613956_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922433.01._SCMZZZZZZZ_V1123613956_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">121</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922433.01._SCLZZZZZZZ_V1123613956_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">378</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565922433.01._SCTHUMBZZZ_V1123613956_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922433.01._SCMZZZZZZZ_V1123613956_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">121</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922433.01._SCLZZZZZZZ_V1123613956_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">378</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Tom Christiansen</Author><Author>Nathan Torkington</Author><Binding>Paperback</Binding><DeweyDecimalNumber>005.133</DeweyDecimalNumber><EAN>9781565922433</EAN><Edition>1</Edition><ISBN>1565922433</ISBN><ItemDimensions><Height Units="hundredths-inches">155</Height><Length Units="hundredths-inches">922</Length><Weight Units="hundredths-pounds">200</Weight><Width Units="hundredths-inches">708</Width></ItemDimensions><Label>O'Reilly</Label><ListPrice><Amount>3995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$39.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>794</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">155</Height><Length Units="hundredths-inches">922</Length><Weight Units="hundredths-pounds">200</Weight><Width Units="hundredths-inches">708</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1998-08-01</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Perl Cookbook</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1300</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$13.00</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>500</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$5.00</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>3995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$39.95</FormattedPrice></LowestCollectiblePrice><TotalNew>6</TotalNew><TotalUsed>20</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>When the second edition of &lt;I&gt;Programming Perl&lt;/i&gt; was released, the authors omitted two chapters: "Common Tasks with Perl" and "Real Perl Programs." Publisher O'Reilly &amp; Associates soon realized that there would be too many pages in &lt;I&gt;Programming Perl&lt;/I&gt; if it put updated recipes in the new edition. Instead, O'Reilly chose to release the many Perl code examples as a separate entity: &lt;I&gt;The Perl Cookbook&lt;/I&gt;.&lt;p&gt; The recipes are well documented and the examples aren't too arcane; even beginners will be able to pick up the lessons taught here. The authors write in relatively easy-to-understand language (for a technical guide). Through this book and its arsenal of recipes, you will learn many new things about Perl to help you through your toughest projects. The next time you're working on a project at 2 a.m., you'll thank yourself for the guidance and direction &lt;I&gt;The Perl Cookbook&lt;/I&gt; provides. &lt;I&gt;--Doug Beaver&lt;/I&gt;</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>The &lt;i&gt;Perl Cookbook&lt;/i&gt; is a comprehensive collection of problems, solutions, and practical examples for anyone programming in Perl. Topics range from beginner questions to techniques that even the most experienced of Perl programmers will learn from. More than just a collection of tips and tricks, the &lt;i&gt;Perl Cookbook&lt;/i&gt; is the long-awaited companion volume to Programming Perl, filled with previously unpublished Perl arcana.&lt;p&gt;The &lt;i&gt;Perl Cookbook&lt;/i&gt; contains thousands upon thousands of examples ranging from brief one-liners to complete applications. Covered topic areas spread across nearly four hundred separate "recipes," including:&lt;p&gt;&lt;ul&gt;&lt;li type="disc"&gt;Manipulation of strings, numbers, dates, arrays, and hashes&lt;/li&gt;&lt;li type="disc"&gt;Reading, writing, and updating text and binary files&lt;/li&gt;&lt;li type="disc"&gt;Pattern matching and text substitutions&lt;/li&gt;&lt;li type="disc"&gt;Subroutines, libraries, and modules&lt;/li&gt;&lt;li type="disc"&gt;References, data structures, objects, and classes&lt;/li&gt;&lt;li type="disc"&gt;Signals and exceptions&lt;/li&gt;&lt;li type="disc"&gt;Accessing text, hashes, and SQL databases&lt;/li&gt;&lt;li type="disc"&gt;Screen addressing, menus, and graphical applications&lt;/li&gt;&lt;li type="disc"&gt;Managing other processes&lt;/li&gt;&lt;li type="disc"&gt;Writing secure scripts&lt;/li&gt;&lt;li type="disc"&gt;Client-server programming&lt;/li&gt;&lt;li type="disc"&gt;Internet applications programming with mail, news, ftp, and telnet&lt;/li&gt;&lt;/ul&gt;&lt;p&gt;These recipes were rigorously reviewed by scores of the best minds inside and outside Perl, foremost of which was Larry Wall, the creator of Perl himself.&lt;p&gt;The &lt;i&gt;Perl Cookbook&lt;/i&gt; is written by Tom Christiansen, Perl evangelist  and coauthor of the bestselling &lt;i&gt;Programming Perl&lt;/i&gt; and &lt;i&gt;Learning Perl&lt;/i&gt;;  and Nathan Torkington, Perl trainer and co-maintainer of the Perl  Frequently Asked Questions list.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565922433.01._SCMZZZZZZZ_V1123613956_.jpg
30	Software Engineering	Ian Sommerville	software engineering	Third edition	f	\N	Addison-Wesley	\N	t	0201175681	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>00B0WYD99FCZSMNXH65W</RequestId><Arguments><Argument Name="ItemId" Value="0201175681"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0672471523284912</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0201175681</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0201175681</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0201175681%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0201175681%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>2314756</SalesRank><ItemAttributes><Author>Ian Sommerville</Author><Binding>Hardcover</Binding><Brand>Addison-Wesley Pub Co</Brand><EAN>9780201175684</EAN><Edition>3rd Ed</Edition><ISBN>0201175681</ISBN><ItemDimensions><Height Units="hundredths-inches">806</Height><Length Units="hundredths-inches">55</Length><Weight Units="hundredths-pounds">41</Weight><Width Units="hundredths-inches">538</Width></ItemDimensions><Label>Addison-Wesley</Label><ListPrice><Amount>2785</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$27.85</FormattedPrice></ListPrice><Manufacturer>Addison-Wesley</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>653</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">55</Height><Length Units="hundredths-inches">806</Length><Weight Units="hundredths-pounds">41</Weight><Width Units="hundredths-inches">538</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1989</PublicationDate><Publisher>Addison-Wesley</Publisher><Studio>Addison-Wesley</Studio><Title>Software engineering (International computer science series)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>8000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$80.00</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>150</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$1.50</FormattedPrice></LowestUsedPrice><TotalNew>2</TotalNew><TotalUsed>19</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>The new edition of this best-selling book provides a comprehensive discussion of software  engineering techniques and shows how they can be applied in practical software projects. This book features new coverage of the software process and software process technology, system integration, requirements management, and risk analysis, as well as new chapters on pattern-based reuse, distributed system engineering, and legacy systems. Sommerville has incorporated a more object-oriented approach in this edition&amp;#151;using UML and Java&amp;#151;and has removed much of the material on CASE, formal methods, and Ada, making the book more in tune with current technology and practice. A new discussion of professional ethics in the introduction helps to make readers aware of the responsibilities that come with engineering software.  The sixth edition uses Java for all programming examples, and bases all design examples on UML notation. It includes new chapters on pattern-based reuse, distributed system engineering, and legacy systems, as well as new coverage of the software process and software process technology, system integration, requirements management, and risk analysis.  This book is designed for readers needing a general introduction to software engineering (development, management, and evolution), especially with regard to system requirements engineering and critical systems.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	\N
109	Objects First With Java	Barnes & Kolling	Java BlueJ Programming	A practical introduction to using BlueJ\r\nDonated by Dr Grant 26/4/05	f	\N	Prentice Hall	chckens	\N	0130449296	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>05RXDT888X7NHRZAC36E</RequestId><Arguments><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0130449296"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0984301567077637</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0130449296</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0130449296</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0130449296%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0130449296%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>377863</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0130449296.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">46</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0130449296.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">107</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0130449296.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">383</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0130449296.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">46</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0130449296.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">107</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0130449296.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">383</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>David J. Barnes</Author><Author>Michael Kolling</Author><Binding>Paperback</Binding><Brand>Prentice Hall</Brand><DeweyDecimalNumber>005.117</DeweyDecimalNumber><EAN>9780130449290</EAN><Edition>Bk&amp;CD-Rom</Edition><ISBN>0130449296</ISBN><ItemDimensions><Height Units="hundredths-inches">88</Height><Length Units="hundredths-inches">1012</Length><Weight Units="hundredths-pounds">180</Weight><Width Units="hundredths-inches">688</Width></ItemDimensions><Label>Prentice Hall</Label><ListPrice><Amount>7600</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$76.00</FormattedPrice></ListPrice><Manufacturer>Prentice Hall</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>400</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">88</Height><Length Units="hundredths-inches">1012</Length><Weight Units="hundredths-pounds">180</Weight><Width Units="hundredths-inches">688</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2002-10-23</PublicationDate><Publisher>Prentice Hall</Publisher><Studio>Prentice Hall</Studio><Title>Objects First with Java: A Practical Introduction Using BlueJ</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1491</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$14.91</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>595</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$5.95</FormattedPrice></LowestUsedPrice><TotalNew>10</TotalNew><TotalUsed>23</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>/* 0-13-044929-6, 4492J-5, Barnes, Kolling, OBJECTS FIRST WITH JAVA */  &lt;/I&gt;&lt;/B&gt; BlueJ is a Java development environment that runs on top of the Sun Microsystems Java Development Kit making use of the standard compiler and virtual machine. It allows readers to create objects of any class and interact with their methods. For the first time, the traditionally difficult concepts of objects and classes are brought alive in an easily manipulable visual form. This truly &amp;#147;objects first&amp;#148; approach within the customized BlueJ environment will revolutionize the way programming is learned. The book includes a copy of BlueJ. &lt;/I&gt;&lt;/B&gt; Takes a project driven approach to problem solving&amp;#151;the book is structured along the lines of fundamental development tasks&amp;#151;providing readers with clear coverage of the principles of object-oriented programming. &lt;/I&gt;&lt;/B&gt; Programmers and non-programmers who want to learn Java with a state of the art approach and user-friendly programming environment.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0130449296.01._SCMZZZZZZZ_.jpg
139	Programming With Objects And Threads (CS_211)	Mr. C. Whyley (Compiled by)	programming objects threads java POT	Official text of the UWS Programming With Objects And Threads comp sci module (CS_211). Compiled by Chris Whyley of the UWS Comp Sci department. Contains relevant sections on building GUIs, multithreading, exception handling, OO programming and design patterns.	f	\N	Pearson	susman	\N	1844797090	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>07BVSAT6B1DPT6MN5XPF</RequestId><Arguments><Argument Name="ItemId" Value="1844797090"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0643222332000732</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1844797090</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest><Errors><Error><Code>AWS.InvalidParameterValue</Code><Message>1844797090 is not a valid value for ItemId. Please change this value and retry your request.</Message></Error></Errors></Request></Items></ItemLookupResponse>	\N
138	Programming With Objects And Threads (CS_211)	Mr. C. Whyley (Compiled by)	programming objects threads java POT	Official text of the UWS Programming With Objects And Threads comp sci module (CS_211). Compiled by Chris Whyley of the UWS Comp Sci department. Contains relevant sections on building GUIs, multithreading, exception handling, OO programming and design patterns.	f	\N	Pearson	marknew	\N	1844797090	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1SPBK4N3YGEFY1NNX866</RequestId><Arguments><Argument Name="ItemId" Value="1844797090"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0560479164123535</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1844797090</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest><Errors><Error><Code>AWS.InvalidParameterValue</Code><Message>1844797090 is not a valid value for ItemId. Please change this value and retry your request.</Message></Error></Errors></Request></Items></ItemLookupResponse>	\N
35	Xlib Reference Manual	Adrian Nye	xlib reference	Volume Two	f	\N	O'Reilly	\N	t	0937175129	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>19BWTYSTSG42GWVFCWMK</RequestId><Arguments><Argument Name="ItemId" Value="0937175129"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0674159526824951</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0937175129</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0937175129</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0937175129%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0937175129%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>2937781</SalesRank><ItemAttributes><Author>Adrian Nye</Author><Binding>Paperback</Binding><Brand>O'Reilly Media</Brand><EAN>9780937175125</EAN><ISBN>0937175129</ISBN><ItemDimensions><Height Units="hundredths-inches">970</Height><Length Units="hundredths-inches">170</Length><Weight Units="hundredths-pounds">302</Weight><Width Units="hundredths-inches">740</Width></ItemDimensions><Label>O'Reilly</Label><ListPrice><Amount>3495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><PackageDimensions><Height Units="hundredths-inches">170</Height><Length Units="hundredths-inches">970</Length><Weight Units="hundredths-pounds">302</Weight><Width Units="hundredths-inches">740</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1988</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Xlib reference manual (The Definitive guides to the X Window System)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>125</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$1.25</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>19</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.19</FormattedPrice></LowestUsedPrice><TotalNew>4</TotalNew><TotalUsed>12</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>Volume 2, &lt;i&gt;Xlib Reference Manual&lt;/i&gt;, is a complete programmer's reference for Xlib. Covers X11 Release 4 and Release 5.    Contents Include:  &lt;ul&gt;&lt;li&gt;Reference pages for Xlib functions&lt;/li&gt;  &lt;li&gt;Reference pages for event types&lt;/li&gt;  &lt;li&gt;Permuted index to Xlib functions&lt;/li&gt;  &lt;li&gt;Description of macros and reference pages for their function versions&lt;/li&gt;  &lt;li&gt;Listing of the server-side color database&lt;/li&gt;  &lt;li&gt;Alphabetical index and description of structures&lt;/li&gt;  &lt;li&gt;Alphabetical index and description of defined symbols&lt;/li&gt;  &lt;li&gt;KeySyms and their meaning&lt;/li&gt;  &lt;li&gt;Illustration of the standard cursor font&lt;/li&gt;  &lt;li&gt;Function group index to the right routine for a particular task&lt;/li&gt;  &lt;li&gt;Reference pages for Xlib-related Xmu functions (miscellaneous utilities)&lt;/li&gt;  &lt;li&gt;Four single-page reference aids for the GC and window attributes&lt;/li&gt;&lt;/ul&gt;    Features in the third edition include:  &lt;ul&gt;&lt;li&gt;Over 100 new man pages covering Xcms, internationalization, and the function versions of macros.&lt;/li&gt;  &lt;li&gt;Updating to the R5 spec.&lt;/li&gt;  &lt;li&gt;New "Returns" sections on all the functions which return values, making this information easier to find.&lt;/li&gt;&lt;/ul&gt;</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	\N
41	Xlib Programming Manual	Adrian Nye	xlib programming unix	Volume One	f	\N	O'Reilly	\N	t	0937175269	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>15CBPN38PMA3XYP3PM52</RequestId><Arguments><Argument Name="ItemId" Value="0937175269"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0854339599609375</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0937175269</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0937175269</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0937175269%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0937175269%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>222527</SalesRank><ItemAttributes><Author>Adrian Nye</Author><Binding>Paperback</Binding><Brand>O'Reilly Media</Brand><EAN>9780937175262</EAN><Edition>3</Edition><ISBN>0937175269</ISBN><ItemDimensions><Weight Units="hundredths-pounds">110</Weight></ItemDimensions><Label>O'Reilly Media</Label><ListPrice><Amount>6000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$60.00</FormattedPrice></ListPrice><Manufacturer>O'Reilly Media</Manufacturer><NumberOfItems>1</NumberOfItems><ProductGroup>Book</ProductGroup><PublicationDate>1989-12-01</PublicationDate><Publisher>O'Reilly Media</Publisher><Studio>O'Reilly Media</Studio><Title>Xlib Programming Manual &amp; Xlib Reference Manual, Vols. I &amp; II (Definitive Guides to the X Window System)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>250</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.50</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>24</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.24</FormattedPrice></LowestUsedPrice><TotalNew>3</TotalNew><TotalUsed>12</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>vdOQuqfV%2BgnvNj1pnBES0rAb0UFahko5l1BuPAYYcNXPDOLR0JaaHuZj4fSrQh5YyFMQnSXp8tvsuHktTpYfww%3D%3D</OfferListingId><Price><Amount>6000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$60.00</FormattedPrice></Price><Availability>Usually ships in 2 to 3 weeks</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>Covering X11 Release 5, the &lt;i&gt;Xlib Programming Manual&lt;/i&gt; is a complete guide to programming the X library (Xlib), the lowest level of programming interface to X. It includes introductions to internationalization, device-independent color, font service, and scalable fonts.    Includes chapters on:    &lt;ul&gt;&lt;li&gt;X Window System concepts&lt;/li&gt;  &lt;li&gt;A simple client application&lt;/li&gt;  &lt;li&gt;Window attributes&lt;/li&gt;  &lt;li&gt;The graphics context&lt;/li&gt;  &lt;li&gt;Graphics in practice&lt;/li&gt;  &lt;li&gt;Color&lt;/li&gt;  &lt;li&gt;Events&lt;/li&gt;  &lt;li&gt;Interclient communication&lt;/li&gt;  &lt;li&gt;Internationalization&lt;/li&gt;  &lt;li&gt;The Resource Manager&lt;/li&gt;  &lt;li&gt;A complete client application  &lt;li&gt;Window management&lt;/li&gt;&lt;/ul&gt;    This manual is a companion to Volume 2, &lt;i&gt;Xlib Reference Manual&lt;/i&gt;.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	\N
75	Master Class Assembly Language	Lots. WROX	ASM Assembly Programming	Donated by Mr Chris Whyley, 28/02/05	f	\N	WORX	\N	\N	1874416346	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0F9QWZJPAZFSAAQ7V6C6</RequestId><Arguments><Argument Name="ItemId" Value="1874416346"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0640652179718018</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1874416346</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1874416346</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1874416346%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1874416346%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>659750</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1874416346.01._SCTHUMBZZZ_V1056533447_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">46</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1874416346.01._SCMZZZZZZZ_V1056533447_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">107</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1874416346.01._SCLZZZZZZZ_V1056533447_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">364</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1874416346.01._SCTHUMBZZZ_V1056533447_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">46</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1874416346.01._SCMZZZZZZZ_V1056533447_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">107</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1874416346.01._SCLZZZZZZZ_V1056533447_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">364</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Igor Chebotko</Author><Author>Peter Kalatchin</Author><Author>Yuri Kiselev</Author><Author>Efim Podvoisky</Author><Author>Kiril Malakhov</Author><Author>Yuri Petrenko</Author><Author>Mike Schmit</Author><Author>Sergei Shkredov</Author><Author>Gennady Soudlenkov</Author><Author>Daniel Wronski</Author><Binding>Paperback</Binding><Brand>Wrox Press Inc</Brand><DeweyDecimalNumber>005.265</DeweyDecimalNumber><EAN>9781874416340</EAN><Edition>Bk&amp;Disk</Edition><ISBN>1874416346</ISBN><ItemDimensions><Height Units="hundredths-inches">925</Height><Length Units="hundredths-inches">200</Length><Weight Units="hundredths-pounds">380</Weight><Width Units="hundredths-inches">775</Width></ItemDimensions><Label>Apress</Label><ListPrice><Amount>4995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$49.95</FormattedPrice></ListPrice><Manufacturer>Apress</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>1024</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">200</Height><Length Units="hundredths-inches">925</Length><Weight Units="hundredths-pounds">380</Weight><Width Units="hundredths-inches">775</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1994-10</PublicationDate><Publisher>Apress</Publisher><Studio>Apress</Studio><Title>Assembly Language Master Class (Wrox Press Master Class)</Title></ItemAttributes><OfferSummary><LowestUsedPrice><Amount>375</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$3.75</FormattedPrice></LowestUsedPrice><TotalNew>0</TotalNew><TotalUsed>9</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1874416346.01._SCMZZZZZZZ_V1056533447_.jpg
99	8086/8088 Primer 2nd ed.	Stephen P. Morse	8086 8088 microprocessor cpu	"An Introduction to Their Architecture, System Design, and Programming"\r\n\r\nDonated by Dr. Grant 10/3/05	f	\N	Hayden	\N	\N	0810462559	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1ZPZF5TD92JZEJ7YNWNC</RequestId><Arguments><Argument Name="ItemId" Value="0810462559"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0632920265197754</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0810462559</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0810462559</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0810462559%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0810462559%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1731084</SalesRank><ItemAttributes><Author>Stephen P. Morse</Author><Binding>Paperback</Binding><EAN>9780810462557</EAN><Edition>2nd ed</Edition><ISBN>0810462559</ISBN><Label>Hayden Books</Label><ListPrice><Amount>1995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$19.95</FormattedPrice></ListPrice><Manufacturer>Hayden Books</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>276</NumberOfPages><ProductGroup>Book</ProductGroup><PublicationDate>1982-01</PublicationDate><Publisher>Hayden Books</Publisher><Studio>Hayden Books</Studio><Title>The 8086/8088 Primer: An Introduction to Their Architecture, System Design, and Programming</Title></ItemAttributes><OfferSummary><LowestUsedPrice><Amount>67</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.67</FormattedPrice></LowestUsedPrice><TotalNew>0</TotalNew><TotalUsed>15</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
66	Perl in a Nutshell	Ellen Siever et al	Perl	A comprehensive reference guide to the Perl programming language. Donated by Steven Whitehouse	f	\N	O'Reilly	\N	\N	1565922867	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1VW4NE9PG0M2FEM1X8MJ</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="1565922867"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0715689659118652</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565922867</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565922867</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565922867%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565922867%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>690551</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565922867.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922867.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">105</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922867.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">329</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565922867.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922867.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">105</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922867.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">329</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Ellen Siever</Author><Author>Nathan Patwardhan</Author><Binding>Paperback</Binding><Brand>O'Reilly Media</Brand><EAN>0636920922865</EAN><Edition>1ST</Edition><ISBN>1565922867</ISBN><ItemDimensions><Height Units="hundredths-inches">133</Height><Length Units="hundredths-inches">899</Length><Weight Units="hundredths-pounds">176</Weight><Width Units="hundredths-inches">602</Width></ItemDimensions><Label>O'Reilly</Label><ListPrice><Amount>3495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>674</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">133</Height><Length Units="hundredths-inches">899</Length><Weight Units="hundredths-pounds">176</Weight><Width Units="hundredths-inches">602</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1998-12-01</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Perl in a Nutshell (In a Nutshell (O'Reilly))</Title><UPC>636920922865</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>799</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$7.99</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>48</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.48</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>3495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.95</FormattedPrice></LowestCollectiblePrice><TotalNew>4</TotalNew><TotalUsed>41</TotalUsed><TotalCollectible>2</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>&lt;I&gt;Perl in a Nutshell&lt;/I&gt; strives to be a perfect set of socket tools for the active Perl programmer. By and large, it succeeds, providing endless and well-thought-out lists and tables on the language's modules, flags, and extensions. The authors briefly address basic learner's questions--such as the difference between a hash and an array--but these concepts are not the purpose of the book. (Those new to Perl would be better off with others in the O'Reilly Perl series, such as &lt;I&gt;Learning Perl&lt;/I&gt;, while programmers making the switch to Perl can pick up the nuances of the language with &lt;I&gt;Programming Perl&lt;/I&gt;.) This book is pure Perl reference, briefly covering Perl/Tk (for GUI Perl programs on Unix and Windows 95/NT) and Perl for Win 32.&lt;p&gt; The authors do start at the very beginning, and even in a self-described "desktop quick reference" find the time to comment on less urgent--but still interesting--Perl-related matters (like how to find online help amidst the "Perl culture"). The format of the book makes sections on topics such as Perl debugging easily understandable, illustrating how to make an interactive and timesaving environment.&lt;p&gt; Of particular convenience is the outstanding section on the standard Perl modules. A four-page "quick look" allows you to easily scan through short definitions of all the modules and find the entry you're looking for. An index with full definitions for each module follows, showing you how to use each module and providing a more in-depth explanation (and often, examples). &lt;I&gt;Perl in a Nutshell&lt;/I&gt; concludes--as you might expect--with an excellent and well-cross-referenced index. &lt;I&gt;--Jennifer Buckendorff&lt;/I&gt;</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>&lt;i&gt;Perl in a Nutshell&lt;/i&gt; is a comprehensive reference guide to the Perl programming language.  This book covers all the core features of the language.  It ranges widely through the Perl programmer's universe, gathering together in convenient form a wealth of information about Perl itself and its application to CGI scripts, network programming, database interaction, and graphical user interfaces.  It also gives detailed coverage about using Perl within a Win32 environment.&lt;p&gt;This book assembles more information about the language in one place than any other reference work.  Here are just some of the topics covered in the book:&lt;p&gt;&lt;ul&gt;&lt;li&gt;Basic language reference&lt;/li&gt;&lt;li&gt;Introduction to using Perl modules&lt;/li&gt;&lt;li&gt;Perl and CGI: CGI basics, CGI.pm, mod_perl&lt;/li&gt;&lt;li&gt;DBI, the database-independent API for Perl&lt;/li&gt;&lt;li&gt;Sockets programming in Perl&lt;/li&gt;&lt;li&gt;LWP, the library for World Wide Web programming in Perl&lt;/li&gt;&lt;li&gt;The Net::* modules&lt;/li&gt;&lt;/ul&gt;&lt;p&gt;As part of the successful "in a Nutshell" series of books from O'Reilly &amp; Associates, &lt;i&gt;Perl in a Nutshell&lt;/i&gt; is for readers who want a single  reference for all their needs.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565922867.01._SCMZZZZZZZ_.jpg
74	Essence Of Compilers, The	Robin Hunter	Compilers	Donated by Mr Chris Whyley, 28/02/05\r\nCovers Lex and YACC, exercises with solutions\r\n\r\n	f	\N	Pearson Education	pwb	\N	0137278357	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0KM727EMJY9W42QHF673</RequestId><Arguments><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0137278357"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0666561126708984</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0137278357</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest><Errors><Error><Code>AWS.InvalidParameterValue</Code><Message>0137278357 is not a valid value for ItemId. Please change this value and retry your request.</Message></Error></Errors></Request></Items></ItemLookupResponse>	\N
62	Perl in a Nutshell	Ellen Siever et al	Perl	A comprehensive reference guide to the Perl programming language. Donated by Steven Whitehouse	f	\N	O'Reilly	\N	\N	1565922867	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>10WWWZ1MDMNB564QJ1ER</RequestId><Arguments><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="1565922867"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0762009620666504</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565922867</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565922867</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565922867%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565922867%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>690551</SalesRank><SmallImage><URL>http://ec1.images-amazon.com/images/P/1565922867.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/1565922867.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">105</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/1565922867.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">329</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://ec1.images-amazon.com/images/P/1565922867.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/1565922867.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">105</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/1565922867.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">329</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Ellen Siever</Author><Author>Ellen Siever</Author><Author>Nathan Patwardhan</Author><Binding>Paperback</Binding><EAN>0636920922865</EAN><Edition>1st</Edition><ISBN>1565922867</ISBN><Label>O'Reilly</Label><ListPrice><Amount>3495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>674</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">133</Height><Length Units="hundredths-inches">899</Length><Weight Units="hundredths-pounds">176</Weight><Width Units="hundredths-inches">602</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1998-12-01</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Perl in a Nutshell (In a Nutshell (O'Reilly))</Title><UPC>636920922865</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>799</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$7.99</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>48</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.48</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>3495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.95</FormattedPrice></LowestCollectiblePrice><TotalNew>4</TotalNew><TotalUsed>41</TotalUsed><TotalCollectible>2</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>&lt;I&gt;Perl in a Nutshell&lt;/I&gt; strives to be a perfect set of socket tools for the active Perl programmer. By and large, it succeeds, providing endless and well-thought-out lists and tables on the language's modules, flags, and extensions. The authors briefly address basic learner's questions--such as the difference between a hash and an array--but these concepts are not the purpose of the book. (Those new to Perl would be better off with others in the O'Reilly Perl series, such as &lt;I&gt;Learning Perl&lt;/I&gt;, while programmers making the switch to Perl can pick up the nuances of the language with &lt;I&gt;Programming Perl&lt;/I&gt;.) This book is pure Perl reference, briefly covering Perl/Tk (for GUI Perl programs on Unix and Windows 95/NT) and Perl for Win 32.&lt;p&gt; The authors do start at the very beginning, and even in a self-described "desktop quick reference" find the time to comment on less urgent--but still interesting--Perl-related matters (like how to find online help amidst the "Perl culture"). The format of the book makes sections on topics such as Perl debugging easily understandable, illustrating how to make an interactive and timesaving environment.&lt;p&gt; Of particular convenience is the outstanding section on the standard Perl modules. A four-page "quick look" allows you to easily scan through short definitions of all the modules and find the entry you're looking for. An index with full definitions for each module follows, showing you how to use each module and providing a more in-depth explanation (and often, examples). &lt;I&gt;Perl in a Nutshell&lt;/I&gt; concludes--as you might expect--with an excellent and well-cross-referenced index. &lt;I&gt;--Jennifer Buckendorff&lt;/I&gt;</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>&lt;i&gt;Perl in a Nutshell&lt;/i&gt; is a comprehensive reference guide to the Perl programming language.  This book covers all the core features of the language.  It ranges widely through the Perl programmer's universe, gathering together in convenient form a wealth of information about Perl itself and its application to CGI scripts, network programming, database interaction, and graphical user interfaces.  It also gives detailed coverage about using Perl within a Win32 environment.&lt;p&gt;This book assembles more information about the language in one place than any other reference work.  Here are just some of the topics covered in the book:&lt;p&gt;&lt;ul&gt;&lt;li&gt;Basic language reference&lt;/li&gt;&lt;li&gt;Introduction to using Perl modules&lt;/li&gt;&lt;li&gt;Perl and CGI: CGI basics, CGI.pm, mod_perl&lt;/li&gt;&lt;li&gt;DBI, the database-independent API for Perl&lt;/li&gt;&lt;li&gt;Sockets programming in Perl&lt;/li&gt;&lt;li&gt;LWP, the library for World Wide Web programming in Perl&lt;/li&gt;&lt;li&gt;The Net::* modules&lt;/li&gt;&lt;/ul&gt;&lt;p&gt;As part of the successful "in a Nutshell" series of books from O'Reilly &amp; Associates, &lt;i&gt;Perl in a Nutshell&lt;/i&gt; is for readers who want a single  reference for all their needs.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://ec1.images-amazon.com/images/P/1565922867.01._SCMZZZZZZZ_.jpg
108	Java How To Program	Deitel & Deitel	Java Programming	Third edition. Covers Java 2, introducing Swing\r\nDonated by Dr Grant 26/4/05	f	\N	Prentice Hall	pwb	\N	0130125075	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>16FE3Y3N60SJJJFCWQPG</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0130125075"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0580270290374756</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0130125075</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0130125075</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0130125075%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0130125075%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>244724</SalesRank><SmallImage><URL>http://ec1.images-amazon.com/images/P/0130125075.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">45</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/0130125075.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">106</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/0130125075.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">360</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://ec1.images-amazon.com/images/P/0130125075.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">45</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/0130125075.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">106</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/0130125075.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">360</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Harvey M. Deitel</Author><Author>Paul J. Deitel</Author><Binding>Paperback</Binding><Brand>Prentice Hall</Brand><DeweyDecimalNumber>005.133</DeweyDecimalNumber><EAN>9780130125071</EAN><Edition>3rd Bk&amp;Cdr</Edition><ISBN>0130125075</ISBN><Label>Prentice Hall</Label><ListPrice><Amount>7400</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$74.00</FormattedPrice></ListPrice><Manufacturer>Prentice Hall</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>1355</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">174</Height><Length Units="hundredths-inches">909</Length><Weight Units="hundredths-pounds">434</Weight><Width Units="hundredths-inches">708</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1999-12-15</PublicationDate><Publisher>Prentice Hall</Publisher><Studio>Prentice Hall</Studio><Title>Java How to Program (3rd Edition)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1298</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$12.98</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>1</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.01</FormattedPrice></LowestUsedPrice><TotalNew>12</TotalNew><TotalUsed>99</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>Dedicated to the principle that more is more, the massive &lt;I&gt;Java: How to Program&lt;/I&gt;, Third Edition, may just be the most comprehensive available textbook for Java. Suitable for both students and home study, this book offers an extremely thorough introduction to Java programming, including all major APIs.&lt;p&gt; The sheer size (and level of detail) presented here is undoubtedly its most impressive feature. Weighing in at over 1,300 pages, it features an almost endless trove of information with over 500 programming tips, over 1,000 summary points, over 900 programming exercises, and a whopping 5,000-plus entries in its index. This is clearly a textbook and reference for students who want to master the entire Java language. The authors present many challenging exercises and examples too, including numerous interesting graphics problems, a simulation for a simple CPU, a compiler (for the same), and an elevator simulation case study. (In all, there is certainly sufficient material in this book for two semesters of college work.)&lt;p&gt; Besides a full tour of all the fundamentals of Java, from basic statements to object-oriented design techniques, the authors also delve into more advanced APIs for servlets, JDBC, RMI, and JavaBeans. (Their guide to Swing components is also a standout here.) &lt;p&gt; While the richness of &lt;I&gt;Java: How-To Program&lt;/I&gt; might intimidate some readers, for those who want to experience all the possibilities of Java, this book is a fine choice for a first textbook on introductory programming in Java. Its authoritative and far-ranging presentation can serve as a reliable and effective guide to the truly exciting world of Java development. &lt;I&gt;--Richard Dragan&lt;/I&gt;&lt;p&gt; &lt;B&gt;Topics covered&lt;/B&gt;: Basic Java, applets and applications, control structures, methods, arrays, object-oriented programming techniques, strings, graphics and Java2D, Swing user interfaces, exceptions, multithreading, multimedia, file I/O, JDBC and databases, servlets, RMI, networking, sockets, custom data structures and collections, and JavaBeans.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://ec1.images-amazon.com/images/P/0130125075.01._SCMZZZZZZZ_.jpg
28	Software Engineering - Principles and Practice	Hans van Vilet	software engineering	Published in 1993	f	\N	Wiley	\N	t	0471936111	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>05KAE1NG8257VER8ASZP</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0471936111"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0648448467254639</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0471936111</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0471936111</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0471936111%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0471936111%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>2020353</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0471936111.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">47</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0471936111.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">109</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0471936111.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">370</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0471936111.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">47</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0471936111.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">109</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0471936111.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">370</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Hans Van Vliet</Author><Binding>Hardcover</Binding><Brand>John Wiley &amp; Sons</Brand><DeweyDecimalNumber>005.1</DeweyDecimalNumber><EAN>9780471936114</EAN><Edition>1</Edition><ISBN>0471936111</ISBN><ItemDimensions><Height Units="hundredths-inches">975</Height><Length Units="hundredths-inches">150</Length><Weight Units="hundredths-pounds">265</Weight><Width Units="hundredths-inches">800</Width></ItemDimensions><ListPrice><Amount>6999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$69.99</FormattedPrice></ListPrice><NumberOfItems>1</NumberOfItems><NumberOfPages>578</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">156</Height><Length Units="hundredths-inches">957</Length><Weight Units="hundredths-pounds">293</Weight><Width Units="hundredths-inches">772</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1993-04-26</PublicationDate><Title>Software Engineering</Title></ItemAttributes><OfferSummary><LowestUsedPrice><Amount>582</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$5.82</FormattedPrice></LowestUsedPrice><TotalNew>0</TotalNew><TotalUsed>6</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>The publisher, John Wiley &amp; Sons</Source><Content>Instructor's Guide available.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0471936111.01._SCMZZZZZZZ_.jpg
78	A Glossary of Computing Terms (10th)	British Computing Society	Glossary Terms	Donated by Mr Chris Whyley, 28/02/05	f	\N	Addison-Wesley	\N	\N	0201776294	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1C1F6FG3HGE7SVAPMXEH</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0201776294"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.064723014831543</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0201776294</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0201776294</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0201776294%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0201776294%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1369429</SalesRank><SmallImage><URL>http://ec1.images-amazon.com/images/P/0201776294.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">43</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/0201776294.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">99</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/0201776294.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">353</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://ec1.images-amazon.com/images/P/0201776294.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">43</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/0201776294.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">99</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/0201776294.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">353</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>British Computer Society</Author><Binding>Paperback</Binding><DeweyDecimalNumber>004.014</DeweyDecimalNumber><EAN>9780201776294</EAN><Edition>10</Edition><ISBN>0201776294</ISBN><Label>Addison Wesley</Label><ListPrice><Amount>4060</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$40.60</FormattedPrice></ListPrice><Manufacturer>Addison Wesley</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>392</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">925</Height><Length Units="hundredths-inches">100</Length><Weight Units="hundredths-pounds">130</Weight><Width Units="hundredths-inches">625</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2002-02-04</PublicationDate><Publisher>Addison Wesley</Publisher><Studio>Addison Wesley</Studio><Title>A Glossary of Computing Terms (10th Edition)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>3353</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$33.53</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>3198</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$31.98</FormattedPrice></LowestUsedPrice><TotalNew>6</TotalNew><TotalUsed>6</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>Ql%2F0sgm1wTXlUIIwdMakLtH9FYOb1s5VAgGoI5HCbssAC72c2rlojgafIXf4y0hOGFuE66%2BQIBd4k5lFsfNOmQ%3D%3D</OfferListingId><Price><Amount>4060</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$40.60</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>To accommodate over 1800 terms, the eighth edition has been restructured, and organized into three parts:  how computer systems are used, what computer systems are made of, and how computer systems work.  Each of these sections contains subcategories under which the terms can be found. This guide defines the  fundamentals but often lacks entries for advanced high-tech terminology. The guide's organizational  structure makes it difficult to locate specific words. Still, this book is a worthwhile option for anyone who  wants to read up on the basic terminology of a particular field of computing in a systematic way. It contains  over 40 essays that give background information on the terms and illustrate them in context.</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>The world of computers is fast-moving and filled with jargon, so keeping  up to date with the terminology involved can be a daunting task. The tenth edition of this well-established authoritative glossary assumes no  previous computing knowledge and uses simple language and numerous  illustrations to guide the reader. The glossary explains over 3000  computing terms. Its unique structure links related terms together in such a way that the definitions are always placed in context to help  understanding. The text is structured around four themes: - How computer  systems are used - What they are made of - How they are developed and -  How they work It includes over 40 detailed introductions to sections,  illustrating how terms may be used in a written context and providing  background information for each section.  </Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://ec1.images-amazon.com/images/P/0201776294.01._SCMZZZZZZZ_.jpg
80	Compilers Principles, Techniques and Tools	Aho, Sethi and Ullman	Compilers	Donated by Mr Chris Whyley, 28/02/05\r\nThe Dragon Book	f	\N	Addison-Wesley	davea	\N	0201101947	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>105364NH9BD5C7JS18F2</RequestId><Arguments><Argument Name="ItemId" Value="0201101947"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.126328945159912</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0201101947</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest><Errors><Error><Code>AWS.InvalidParameterValue</Code><Message>0201101947 is not a valid value for ItemId. Please change this value and retry your request.</Message></Error></Errors></Request></Items></ItemLookupResponse>	\N
84	Prolog and Expert Systems	Kenneth A. Bowen	Prolog expert systems	Donated by Dr Roger Stein, 28/02/05	f	\N	Mc Graw Hill	\N	\N	0070067317	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1SEZZB5PA4FGAC3YY74X</RequestId><Arguments><Argument Name="ItemId" Value="0070067317"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.121896028518677</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0070067317</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0070067317</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0070067317%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0070067317%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1509721</SalesRank><ItemAttributes><Author>Kenneth A. Bowen</Author><Binding>Paperback</Binding><DeweyDecimalNumber>006.33</DeweyDecimalNumber><EAN>9780070067318</EAN><ISBN>0070067317</ISBN><Label>Mcgraw-Hill College</Label><ListPrice><Amount>6745</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$67.45</FormattedPrice></ListPrice><Manufacturer>Mcgraw-Hill College</Manufacturer><NumberOfPages>448</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">925</Height><Length Units="hundredths-inches">75</Length><Weight Units="hundredths-pounds">110</Weight><Width Units="hundredths-inches">650</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1991-02-01</PublicationDate><Publisher>Mcgraw-Hill College</Publisher><Studio>Mcgraw-Hill College</Studio><Title>Prolog &amp; Expert Systems Programming</Title></ItemAttributes><OfferSummary><LowestUsedPrice><Amount>824</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$8.24</FormattedPrice></LowestUsedPrice><TotalNew>0</TotalNew><TotalUsed>9</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>This text combines an introduction to Prolog with an introduction to its use in building expert systems. It is suitable as a text for courses in expert systems, Prolog, or as a supplement in introductory artificial intelligence courses.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	\N
34	Prolog Programming	Nigel Ford	prolog programming	Published in 1989	f	\N	Wiley	welshbyte	t	0471921416	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>083VNM6810STNYFDRFF1</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0471921416"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0707340240478516</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0471921416</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0471921416</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0471921416%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0471921416%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>2806887</SalesRank><ItemAttributes><Author>Nigel Ford</Author><Binding>Paperback</Binding><Brand>John Wiley &amp; Sons</Brand><EAN>9780471921417</EAN><ISBN>0471921416</ISBN><ItemDimensions><Weight Units="hundredths-pounds">110</Weight></ItemDimensions><Label>John Wiley and Sons Ltd</Label><ListPrice><Amount>2700</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$27.00</FormattedPrice></ListPrice><Manufacturer>John Wiley and Sons Ltd</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>288</NumberOfPages><ProductGroup>Book</ProductGroup><PublicationDate>1989-08-16</PublicationDate><Publisher>John Wiley and Sons Ltd</Publisher><Studio>John Wiley and Sons Ltd</Studio><Title>PROLOG Programming</Title></ItemAttributes><OfferSummary><LowestUsedPrice><Amount>5640</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$56.40</FormattedPrice></LowestUsedPrice><TotalNew>0</TotalNew><TotalUsed>1</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
77	UNIX for the Impatient	Abrahams and Larson	UNIX	Donated by Mr Chris Whyley, 28/02/05	f	\N	Addison-Wesley	\N	\N	0201823764	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>00958KV33Q4FKKF8NH40</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0201823764"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0701291561126709</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0201823764</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0201823764</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0201823764%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0201823764%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>290446</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0201823764.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0201823764.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">114</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0201823764.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">388</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0201823764.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0201823764.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">114</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0201823764.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">388</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Paul W. Abrahams</Author><Author>Bruce R. Larson</Author><Binding>Paperback</Binding><Brand>Addison-Wesley Pub Co</Brand><DeweyDecimalNumber>005.43</DeweyDecimalNumber><EAN>0785342823769</EAN><Edition>2nd</Edition><ISBN>0201823764</ISBN><Label>Addison-Wesley Professional</Label><ListPrice><Amount>3495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.95</FormattedPrice></ListPrice><Manufacturer>Addison-Wesley Professional</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>864</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">138</Height><Length Units="hundredths-inches">914</Length><Weight Units="hundredths-pounds">292</Weight><Width Units="hundredths-inches">733</Width></PackageDimensions><ProductGroup>Book</ProductGroup><Publisher>Addison-Wesley Professional</Publisher><Studio>Addison-Wesley Professional</Studio><Title>UNIX for the Impatient (2nd Edition)</Title><UPC>785342823769</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>2000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$20.00</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>193</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$1.93</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>1475</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$14.75</FormattedPrice></LowestCollectiblePrice><TotalNew>12</TotalNew><TotalUsed>24</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>aEDn5TkiefYHjNYTRmQhcm1hxmrDKibCFw1bihAAI4%2FRF0s5gMFUeteaOX89nypA7zqHDp2f8GAMmv1yfn8rzA%3D%3D</OfferListingId><Price><Amount>3495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.95</FormattedPrice></Price><Availability>Usually ships in 1 to 2 weeks</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0201823764.01._SCMZZZZZZZ_.jpg
8	Running Linux	Matt Welsh and Lar Kaufman	Linux Unix Admin	2nd Edition	f	\N	O'Reilly	davea	t	1565921518	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1AGQ6964MC5Q9D5FCWMZ</RequestId><Arguments><Argument Name="ItemId" Value="1565921518"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0794880390167236</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565921518</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565921518</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565921518%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565921518%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1038055</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565921518.01._SCTHUMBZZZ_V1123552754_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565921518.01._SCMZZZZZZZ_V1123552754_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">121</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565921518.01._SCLZZZZZZZ_V1123552754_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">378</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565921518.01._SCTHUMBZZZ_V1123552754_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565921518.01._SCMZZZZZZZ_V1123552754_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">121</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565921518.01._SCLZZZZZZZ_V1123552754_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">378</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Matt Welsh</Author><Author>Lar Kaufman</Author><Binding>Paperback</Binding><DeweyDecimalNumber>005.4469</DeweyDecimalNumber><EAN>9781565921511</EAN><Edition>2</Edition><ISBN>1565921518</ISBN><Label>O'Reilly</Label><ListPrice><Amount>2995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$29.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>650</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">950</Height><Length Units="hundredths-inches">150</Length><Weight Units="hundredths-pounds">225</Weight><Width Units="hundredths-inches">725</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1996-08</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Running Linux</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>206</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.06</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>1</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.01</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>2995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$29.95</FormattedPrice></LowestCollectiblePrice><TotalNew>6</TotalNew><TotalUsed>43</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>Earlier editions of O'Reilly's &lt;I&gt;Running Linux&lt;/I&gt; served as central guides on installing, configuring, and using the OS. The third edition of this guide covers the kernel through version 2.2.1 and will prove especially useful to those with high technical aptitudes and a well-tested willingness to experiment with their computing environments. &lt;p&gt; The explanation of how to rebuild the kernel--a particularly daunting task for many--deserves special praise, as do the sections on configuring network links and servers. Users will find that the informative, prose-heavy style packs maximum information into this book's pages. For example, the purpose of a Linux element is described and then the reader is shown various ways of using it, complete with explicit statements of what you type and what you get in response. Back this book up with a good command reference (Linux in a Nutshell is solid), and you'll be well on your way to Linux mastery. &lt;I&gt;--David Wall&lt;/I&gt;&lt;p&gt; &lt;B&gt;Topics covered&lt;/B&gt;: KDE and Gnome windowing systems; Samba, file, and system management; shells; windowing systems and networking; installation on Alpha, PowerPC, Motorola 680x0, and Sparc boxes.</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>Linux is the most exciting development today in the UNIX world -- and some would say in the world of the PC-compatible.  A complete, UNIX-compatible operating system developed by volunteers on the Internet, Linux is distributed freely in electronic form and for low cost from many vendors.  Its software packages include the X Window System (X11R6); TCP/IP networking (including SLIP, PPP, and NFS support); popular software tools such as Emacs and TeX; a complete software development environment including C, C++, Perl, Tcl/Tk, and more; libraries, debuggers, multimedia support, scientific and database applications, and much more.  Developed first on the PC, it  has been ported to many other architectures, and a POSIX-compliant  version has even been developed.&lt;p&gt;&lt;i&gt;Running Linux&lt;/i&gt; explains everything you need to understand, install, and start using the Linux operating system.  This includes a comprehensive  installation tutorial, complete information on system maintenance, tools  for document development and programming, and guidelines for network and  Web site administration.&lt;p&gt;New topics in the second edition include:&lt;p&gt;&lt;ul&gt;&lt;li&gt;Printer configuration, management, and use&lt;/li&gt;&lt;li&gt;Configuration of network clients for NFS and NIS&lt;/li&gt;&lt;li&gt;Expanded information on configuring a wide range of hardware devices&lt;/li&gt;&lt;li&gt;Updated configuration information for the kernel and XFree86&lt;/li&gt;&lt;/ul&gt;</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565921518.01._SCMZZZZZZZ_V1123552754_.jpg
85	Fundamentals of Database Systems	Elmasri / Navathe	Databases DB	Donated by Dr Roger Stein, 28/02/05	f	\N	Benjamin / Cummings	\N	\N	0805317538	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>18YR0PZ7CNJD4NTJPTMT</RequestId><Arguments><Argument Name="ItemId" Value="0805317538"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0797741413116455</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0805317538</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0805317538</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0805317538%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0805317538%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>2402424</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0805317538.01._SCTHUMBZZZ_V1056493070_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">48</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0805317538.01._SCMZZZZZZZ_V1056493070_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">112</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0805317538.01._SCLZZZZZZZ_V1056493070_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">380</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0805317538.01._SCTHUMBZZZ_V1056493070_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">48</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0805317538.01._SCMZZZZZZZ_V1056493070_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">112</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0805317538.01._SCLZZZZZZZ_V1056493070_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">380</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Ramez Elmasri</Author><Author>Shamkant Navathe</Author><Binding>Paperback</Binding><EAN>9780805317534</EAN><ISBN>0805317538</ISBN><Label>Pearson Higher Education</Label><Manufacturer>Pearson Higher Education</Manufacturer><ProductGroup>Book</ProductGroup><PublicationDate>1994-01-07</PublicationDate><Publisher>Pearson Higher Education</Publisher><Studio>Pearson Higher Education</Studio><Title>Fundamentals of Data Systems</Title></ItemAttributes><OfferSummary><LowestUsedPrice><Amount>1495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$14.95</FormattedPrice></LowestUsedPrice><TotalNew>0</TotalNew><TotalUsed>3</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0805317538.01._SCMZZZZZZZ_V1056493070_.jpg
81	Automated Reasoning	Wos Overbeek Lusk and Boyle	Reasoning	Donated by Dr Roger Stein, 28/02/05	f	\N	Prentice Hall	\N	\N	0130544469	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>048DE4FQXYJV1TEWW9DP</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0130544469"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0604031085968018</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0130544469</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0130544469</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0130544469%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0130544469%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>2113569</SalesRank><ItemAttributes><Author>Larry Wos</Author><Author>Ross Overbeek</Author><Author>Ewing Lusk</Author><Author>Jim Boyle</Author><Binding>Paperback</Binding><Brand>Prentice Hall</Brand><EAN>9780130544469</EAN><ISBN>0130544469</ISBN><Label>Prentice Hall</Label><ListPrice><Amount>2100</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$21.00</FormattedPrice></ListPrice><Manufacturer>Prentice Hall</Manufacturer><NumberOfPages>482</NumberOfPages><ProductGroup>Book</ProductGroup><PublicationDate>1984-02</PublicationDate><Publisher>Prentice Hall</Publisher><Studio>Prentice Hall</Studio><Title>Automated Reasoning: Introduction and Applications</Title></ItemAttributes><OfferSummary><LowestUsedPrice><Amount>67</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.67</FormattedPrice></LowestUsedPrice><TotalNew>0</TotalNew><TotalUsed>13</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
18	Software Engineering	Gregory W. Jones	software engineering	Published in 1990	f	\N	Wiley	\N	t	047152249X	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0D1SE7SSGHM89Q3148YJ</RequestId><Arguments><Argument Name="ItemId" Value="047152249X"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0990850925445557</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>047152249X</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>047152249X</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=047152249X%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/047152249X%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><ItemAttributes><Author>Greg Jones</Author><Binding>Paperback</Binding><EAN>9780471522492</EAN><ISBN>047152249X</ISBN><Label>John Wiley and Sons Ltd</Label><Manufacturer>John Wiley and Sons Ltd</Manufacturer><ProductGroup>Book</ProductGroup><PublicationDate>1990-04-29</PublicationDate><Publisher>John Wiley and Sons Ltd</Publisher><Studio>John Wiley and Sons Ltd</Studio><Title>An Introduction to Software Engineering</Title></ItemAttributes><OfferSummary><TotalNew>0</TotalNew><TotalUsed>0</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
33	Object Solutions	Grady Booch	object oriented	Published in 1996	f	\N	Addison-Wesley	\N	t	0805305947	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>00V2XH89DPJM47C5JQY1</RequestId><Arguments><Argument Name="ItemId" Value="0805305947"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0705020427703857</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0805305947</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0805305947</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0805305947%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0805305947%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>232084</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0805305947.01._SCTHUMBZZZ_V1056493068_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">46</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0805305947.01._SCMZZZZZZZ_V1056493068_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">106</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0805305947.01._SCLZZZZZZZ_V1056493068_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">361</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0805305947.01._SCTHUMBZZZ_V1056493068_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">46</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0805305947.01._SCMZZZZZZZ_V1056493068_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">106</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0805305947.01._SCLZZZZZZZ_V1056493068_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">361</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Grady Booch</Author><Binding>Paperback</Binding><Brand>Addison-Wesley Professional</Brand><DeweyDecimalNumber>005.11</DeweyDecimalNumber><EAN>0785342305944</EAN><Edition>1ST</Edition><ISBN>0805305947</ISBN><ItemDimensions><Height Units="hundredths-inches">64</Height><Length Units="hundredths-inches">932</Length><Weight Units="hundredths-pounds">112</Weight><Width Units="hundredths-inches">750</Width></ItemDimensions><Label>Pearson Education</Label><ListPrice><Amount>3999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$39.99</FormattedPrice></ListPrice><Manufacturer>Pearson Education</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>336</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">64</Height><Length Units="hundredths-inches">932</Length><Weight Units="hundredths-pounds">112</Weight><Width Units="hundredths-inches">750</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1995-10-12</PublicationDate><Publisher>Pearson Education</Publisher><Studio>Pearson Education</Studio><Title>Object Solutions: Managing the Object-Oriented Project (OBT)</Title><UPC>785342305944</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1799</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$17.99</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>323</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$3.23</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>3999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$39.99</FormattedPrice></LowestCollectiblePrice><TotalNew>6</TotalNew><TotalUsed>37</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>MSgLfh1BQliD5qYXNOZf4VhnZIo8qNOhVWWxdf4AUSM8xEKu1IwuS5K2ChnW9sX1NY4nfpHg9FpQah6d9DSLFA%3D%3D</OfferListingId><Price><Amount>3439</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.39</FormattedPrice></Price><Availability>Usually ships in 24 hours</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0805305947.01._SCMZZZZZZZ_V1056493068_.jpg
32	Information Systems for Managers	George W. Reynolds	information systems	Second edition	f	\N	West	\N	t	0314915451	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0VDX7JG702HDPAANDKDW</RequestId><Arguments><Argument Name="ItemId" Value="0314915451"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0784029960632324</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0314915451</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0314915451</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0314915451%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0314915451%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>3520384</SalesRank><ItemAttributes><Author>George Walter Reynolds</Author><Binding>Hardcover</Binding><DeweyDecimalNumber>658.4038</DeweyDecimalNumber><EAN>9780314915450</EAN><Edition>2nd</Edition><ISBN>0314915451</ISBN><Label>West Publishing Company</Label><ListPrice><Amount>5800</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$58.00</FormattedPrice></ListPrice><Manufacturer>West Publishing Company</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>539</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">1050</Height><Length Units="hundredths-inches">100</Length><Weight Units="hundredths-pounds">250</Weight><Width Units="hundredths-inches">800</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1991-12</PublicationDate><Publisher>West Publishing Company</Publisher><Studio>West Publishing Company</Studio><Title>Information Systems for Managers</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>5244</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$52.44</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>326</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$3.26</FormattedPrice></LowestUsedPrice><TotalNew>1</TotalNew><TotalUsed>4</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
21	Linux - installation, configuration and use	Michael Kofler	linux installation configuration use admin		f	\N	Addison-Wesley	davea	t	0201178095	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0STVTCEAFX7KPYRCDNE0</RequestId><Arguments><Argument Name="ItemId" Value="0201178095"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0796449184417725</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0201178095</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0201178095</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0201178095%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0201178095%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1487561</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0201178095.01._SCTHUMBZZZ_V1056425333_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">44</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0201178095.01._SCMZZZZZZZ_V1056425333_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">103</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0201178095.01._SCLZZZZZZZ_V1056425333_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">348</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0201178095.01._SCTHUMBZZZ_V1056425333_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">44</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0201178095.01._SCMZZZZZZZ_V1056425333_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">103</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0201178095.01._SCLZZZZZZZ_V1056425333_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">348</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Michael Kofler</Author><Binding>Paperback</Binding><DeweyDecimalNumber>005.4469</DeweyDecimalNumber><EAN>9780201178098</EAN><Edition>Bk&amp;CD Rom</Edition><ISBN>0201178095</ISBN><Label>Longman Pub Group</Label><ListPrice><Amount>3495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.95</FormattedPrice></ListPrice><Manufacturer>Longman Pub Group</Manufacturer><NumberOfPages>677</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">925</Height><Length Units="hundredths-inches">125</Length><Weight Units="hundredths-pounds">240</Weight><Width Units="hundredths-inches">675</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1998-02</PublicationDate><Publisher>Longman Pub Group</Publisher><Studio>Longman Pub Group</Studio><Title>LINUX: Installation, Configuration, Use</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>1494</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$14.94</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>239</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.39</FormattedPrice></LowestUsedPrice><TotalNew>3</TotalNew><TotalUsed>4</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>Like many of its competitors, Kofler's book opens with instructions for installing Red Hat Linux 4.1 (included on the companion CD-ROM and unfortunately obsolete) and solving the problems that often accompany the procedure. Kofler then gets you started in the language with a quick tour of key Linux routines. From there, he discusses X Windows and the bash shell. Internet services get their due, but programming gets little space beyond a cursory nod at tcl/tk.&lt;p&gt; This book differentiates itself with its great coverage of LaTeX--a feature not found in other texts. Kofler explores font issues and problems associated with rendering advanced math symbols. &lt;p&gt;If you know &lt;I&gt;Linux for Dummies&lt;/I&gt; is sort of what you want, but you fear that it'll be too basic, &lt;I&gt;Linux&lt;/I&gt; is appropriate for you. Kofler's book patiently covers all the material in the Dummies book and more, without the gewgaws that some find annoying in the Dummies books.</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>If you are looking for one book to teach you all the basics of Linux, from installation and usage to simple programming, then this is the book for you. &lt;i&gt;Linux: Installation, Configuration and Use&lt;/i&gt; will get you up and running with Linux quickly and effectively, cutting out time-consuming installation problems and searches for on-line documentation. Whether you are a Systems Administrator or a Linux novice, this book will provide you with a cohesive, authoritative introduction to Linux handling. &lt;P&gt; Divided into four separate parts, progressing from introduction to installation and implementation, this practical, hands-on guide will help you: understand your Linux system and configure it to your own requirements; connect to the Internet in order to read and write email and news, transfer data using ftp or surf the World Wide Web; learn to program under Linux using bash (the standard shell) and Tcl/Tk; become proficient in Emacs and LaTeX; and gain an understanding of the various Linux distributions, including RedHat 4.1, Slackware 3.1, Caldera and SuSE 4.4 through a comprehensive set of appendices. &lt;P&gt; A series of icons alert you to potential problem areas, indicating possible error sources and highlighting time-saving tips and short-cuts.  A further icon will notify you of on-line support and point you in the right direction whatever your particular problem. &lt;P&gt; The accompanying CD-ROM contains a complete Linux system - Redhat 4.1. This book will teach you all you need to know in order to install, configure and use it. Also provided are the entire kernel sources for version 2.0.29 and 2.1.28 as well as an extensive collection of on-line documentation, part of which can be read prior to installation via a Windows web browser.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0201178095.01._SCMZZZZZZZ_V1056425333_.jpg
43	Mastering Linux	Arman Danesh	linux	Published in 1999	f	\N	Sybex	aggie	t	0782123414	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1HT94KTQFT46Z5T5XJZA</RequestId><Arguments><Argument Name="ItemId" Value="0782123414"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0832672119140625</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0782123414</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0782123414</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0782123414%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0782123414%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1108258</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0782123414.01._SCTHUMBZZZ_V1056486935_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">50</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0782123414.01._SCMZZZZZZZ_V1056486935_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">116</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0782123414.01._SCLZZZZZZZ_V1056486935_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">395</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0782123414.01._SCTHUMBZZZ_V1056486935_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">50</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0782123414.01._SCMZZZZZZZ_V1056486935_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">116</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0782123414.01._SCLZZZZZZZ_V1056486935_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">395</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Arman Danesh</Author><Binding>Mass Market Paperback</Binding><EAN>0025211223413</EAN><Edition>Bk&amp;CD Rom</Edition><ISBN>0782123414</ISBN><Label>Sybex</Label><ListPrice><Amount>3999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$39.99</FormattedPrice></ListPrice><Manufacturer>Sybex</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>928</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">253</Height><Length Units="hundredths-inches">901</Length><Weight Units="hundredths-pounds">351</Weight><Width Units="hundredths-inches">752</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1999-01</PublicationDate><Publisher>Sybex</Publisher><Studio>Sybex</Studio><Title>Mastering Linux (Mastering)</Title><UPC>025211223413</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>55</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.55</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>1</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.01</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>3999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$39.99</FormattedPrice></LowestCollectiblePrice><TotalNew>13</TotalNew><TotalUsed>23</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>cqRmziJK%2BNvzcnjjC9TCckJuDZSFMrfXpvaxSpHrRSOxs%2FIHoO70ralE1kg369gwTunhjVxYIt8N0OHBNVB4oQ%3D%3D</OfferListingId><Price><Amount>3999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$39.99</FormattedPrice></Price><Availability>Usually ships in 2 to 3 weeks</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>&lt;I&gt;Mastering Linux&lt;/I&gt;'s informed, well-written prose and deliberate pacing gets you up to speed on Red Hat Linux 5.1. The book begins with installation of the Linux kernel and then quickly gets into the installation and use of XFree86. In talking about applications, the author is always very careful to explain exactly how to run and configure each--valuable advice for those not used to the Unix way of doing things. Other chapters explain file management and hardware configuration, and some especially excellent chapters address Linux networking. (The author covers TCP/IP networks, as well as networks based on Microsoft and Novell standards.) A set of hardware compatibility lists and a command reference are also included.&lt;p&gt; A word of criticism: this book tries a bit too hard to make Linux into a turnkey solution. It isn't like that yet, and any Linux author writing for Unix novices needs to recognize that fact. Danesh should impart more information about working at the Linux command line before jumping into XFree86. But aside from that, this book is a great introduction to Red Hat Linux 5.1. The operating system appears on the accompanying CD-ROM (which, in turn, includes disk images you can use to make boot floppies for a fresh installation). &lt;I&gt;--David Wall&lt;/I&gt;</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>Mastering Linux is the "Un-Unix" book on Linux. For all the Windows or Linux users who are not Unix hackers, this is the book for you. The focus is on making Linux work and arcane Unix commands are demystified. Readers will quickly and painlessly learn how to install Linux, get the X-Windows environment up and running, and begin moving files and working with applications. It also includes extensive coverage of file management, internet connectivity, networking, and web server installation. There is a unique section designed for the SOHO or small business which demonstrates how to use Linux as an inexpensive but powerful file and print server for an office network. The book covers Red Hat Linux throughout, but also includes installation appendices and tips throughout the book for additional distributions such as Caldera, Slackware, and Debian.  </Content></EditorialReview><EditorialReview><Source>Download Description</Source><Content>This book covers the latest version of the world's most popular Linux distribution, Red Hat Linux. Extensive coverage of the latest GUI's KDE and GNOME and the stable Torvald's 2.2.2 OS kernel. This book contains 1000 pages of beginning-to-advanced information! Comprehensive coverage includes new installation procedures, descriptions of the latest utlilities, and advanced discussions of new commands and applications, including conf and mole. It also helps non-UNIX users learn UNIX (and Linux). This book also includes an entire chapter devoted to demystifying Unix as well as explanations of key Unix concepts throughout the book. </Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0782123414.01._SCMZZZZZZZ_V1056486935_.jpg
24	Interactive System Design	William M. Newman & Michael G. Lamming	interactive system design	First edition (published 1995)	f	\N	Addison-Wesley	\N	t	0201631628	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0KZABVPS8N8WGV3NDDCZ</RequestId><Arguments><Argument Name="ItemId" Value="0201631628"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0616860389709473</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0201631628</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0201631628</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0201631628%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0201631628%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>663069</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0201631628.01._SCTHUMBZZZ_V1121158758_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">58</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0201631628.01._SCMZZZZZZZ_V1121158758_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">124</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0201631628.01._SCLZZZZZZZ_V1121158758_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">386</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0201631628.01._SCTHUMBZZZ_V1121158758_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">58</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0201631628.01._SCMZZZZZZZ_V1121158758_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">124</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0201631628.01._SCLZZZZZZZ_V1121158758_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">386</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>M. Lamming</Author><Author>W. Newman</Author><Binding>Hardcover</Binding><Brand>Addison-Wesley Pub Co</Brand><DeweyDecimalNumber>004.21019</DeweyDecimalNumber><EAN>9780201631623</EAN><Edition>1ST</Edition><ISBN>0201631628</ISBN><Label>Addison Wesley</Label><ListPrice><Amount>4594</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$45.94</FormattedPrice></ListPrice><Manufacturer>Addison Wesley</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>504</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">121</Height><Length Units="hundredths-inches">953</Length><Weight Units="hundredths-pounds">230</Weight><Width Units="hundredths-inches">705</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1995-05-10</PublicationDate><Publisher>Addison Wesley</Publisher><Studio>Addison Wesley</Studio><Title>Interactive System Design</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>5999</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$59.99</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>2799</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$27.99</FormattedPrice></LowestUsedPrice><TotalNew>1</TotalNew><TotalUsed>4</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0201631628.01._SCMZZZZZZZ_V1121158758_.jpg
89	Survey of Operating Systems	Janes Holcombe / Charles Holcombe	Operating systems	Donated by Mr Andy Gimblett, 8/03/2005	f	\N	McGraw Hill	\N	\N	0072225114	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>07T0GM7J21H95CZJD9E5</RequestId><Arguments><Argument Name="ItemId" Value="0072225114"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0682699680328369</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0072225114</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0072225114</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0072225114%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0072225114%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>47232</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0072225114.01._SCTHUMBZZZ_V1056416080_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">47</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0072225114.01._SCMZZZZZZZ_V1056416080_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">110</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0072225114.01._SCLZZZZZZZ_V1056416080_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">372</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0072225114.01._SCTHUMBZZZ_V1056416080_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">47</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0072225114.01._SCMZZZZZZZ_V1056416080_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">110</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0072225114.01._SCLZZZZZZZ_V1056416080_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">372</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Charles Holcombe</Author><Author>Jane Holcombe</Author><Binding>Paperback</Binding><Brand>McGraw-Hill Osborne Media</Brand><DeweyDecimalNumber>005</DeweyDecimalNumber><EAN>0783254040298</EAN><Edition>1</Edition><ISBN>0072225114</ISBN><ItemDimensions><Height Units="hundredths-inches">63</Height><Length Units="hundredths-inches">1036</Length><Weight Units="hundredths-pounds">208</Weight><Width Units="hundredths-inches">878</Width></ItemDimensions><Label>Mcgraw-Hill Osborne Media</Label><ListPrice><Amount>6250</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$62.50</FormattedPrice></ListPrice><Manufacturer>Mcgraw-Hill Osborne Media</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>480</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">63</Height><Length Units="hundredths-inches">1036</Length><Weight Units="hundredths-pounds">208</Weight><Width Units="hundredths-inches">878</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2002-11-25</PublicationDate><Publisher>Mcgraw-Hill Osborne Media</Publisher><Studio>Mcgraw-Hill Osborne Media</Studio><Title>Survey of Operating Systems</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>888</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$8.88</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>97</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.97</FormattedPrice></LowestUsedPrice><TotalNew>23</TotalNew><TotalUsed>32</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>A8MKv0fsHHLgQXgvcLSJxh8uKJigJ7u%2BwMujja%2F%2BrFTgRoPORrmzAadr9OJzhAUqi2BLiHJYXylyrzTK9fXbrQ%3D%3D</OfferListingId><Price><Amount>6250</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$62.50</FormattedPrice></Price><Availability>Usually ships in 6 to 10 days</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>This new series by PC guru Mike Meyers is designed to give students of varying experience a practical working knowledge of baseline IT skills and technologies. This four-color illustrated volume covers each of the major operating systems, including DOS, Windows 9x/NT/2000/XP, Mac OS9/OSX, and UNIX/Linux. A chapter on networking and network operating systems is also included.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0072225114.01._SCMZZZZZZZ_V1056416080_.jpg
104	Fundamentals of Data Structures	E Horowitz & S Sahni	data structures	"covers most of the topics in degree and polytechnic courses"\r\n\r\nDonated by Dr. Grant 10/3/05	f	\N	Pitman	\N	\N	027301062X	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>13XG005NP0C5NW43VJE4</RequestId><Arguments><Argument Name="ItemId" Value="027301062X"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0763590335845947</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>027301062X</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest><Errors><Error><Code>AWS.InvalidParameterValue</Code><Message>027301062X is not a valid value for ItemId. Please change this value and retry your request.</Message></Error></Errors></Request></Items></ItemLookupResponse>	\N
67	Linux from Scratch	Gerard Beekmans	Linux distribution	How to create your very own distribution of Linux. Donated by Steven Whitehouse	f	\N	Clearly Open	\N	\N	096595756X	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1HGRRFRW9HNVJ64BPGMX</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="096595756X"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0446038246154785</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>096595756X</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest><Errors><Error><Code>AWS.InvalidParameterValue</Code><Message>096595756X is not a valid value for ItemId. Please change this value and retry your request.</Message></Error></Errors></Request></Items></ItemLookupResponse>	\N
61	Linux from Scratch	Gerard Beekmans	Linux distribution	How to create your very own distribution of Linux. Donated by Steven Whitehouse	f	\N	Clearly Open	\N	\N	096595756X	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1HJ1X72564432XZRNFC8</RequestId><Arguments><Argument Name="ItemId" Value="096595756X"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0462968349456787</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>096595756X</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest><Errors><Error><Code>AWS.InvalidParameterValue</Code><Message>096595756X is not a valid value for ItemId. Please change this value and retry your request.</Message></Error></Errors></Request></Items></ItemLookupResponse>	\N
101	Fundamentals of Interactive Computer Graphics	J. D.Foley & A. Van Dam	graphics	"This book presents graphics concepts and recent advances in graphics hardware and software"\r\n\r\nNB: "recent advances" means things that were recent in 1982.\r\n\r\nDonated by Dr. Grant 10/3/05	f	\N	Addison Wesley	\N	\N	0201144689	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>07WAFSF0K9NKEQ4ZVEC8</RequestId><Arguments><Argument Name="ItemId" Value="0201144689"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0827000141143799</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0201144689</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0201144689</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0201144689%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0201144689%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>733551</SalesRank><ItemAttributes><Author>James D. Foley</Author><Binding>Hardcover</Binding><Brand>Pearson Addison Wesley</Brand><DeweyDecimalNumber>001.6443</DeweyDecimalNumber><EAN>9780201144680</EAN><ISBN>0201144689</ISBN><ItemDimensions><Height Units="hundredths-inches">898</Height><Length Units="hundredths-inches">81</Length><Weight Units="hundredths-pounds">121</Weight><Width Units="hundredths-inches">602</Width></ItemDimensions><Label>Addison-Wesley</Label><ListPrice><Amount>4440</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$44.40</FormattedPrice></ListPrice><Manufacturer>Addison-Wesley</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>664</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">81</Height><Length Units="hundredths-inches">898</Length><Weight Units="hundredths-pounds">121</Weight><Width Units="hundredths-inches">602</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1982-05</PublicationDate><Publisher>Addison-Wesley</Publisher><Studio>Addison-Wesley</Studio><Title>Fundamentals of Interactive Computer Graphics (Systems Programming Series)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>945</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$9.45</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>34</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.34</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>4500</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$45.00</FormattedPrice></LowestCollectiblePrice><TotalNew>9</TotalNew><TotalUsed>106</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
102	Software Design and Development	Philip Gilbert	software development design	"This book presents methods for developing small- to medium-scale software systems"\r\n\r\nDonated by Dr. Grant 10/3/05	f	\N	SRA	\N	\N	0574214305	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1TT1TYQDF6D0VM6QHRXN</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0574214305"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0628890991210938</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0574214305</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0574214305</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0574214305%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0574214305%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>4229805</SalesRank><ItemAttributes><Author>Philip Gilbert</Author><Binding>Paperback</Binding><Brand>SRA</Brand><EAN>9780574214300</EAN><ISBN>0574214305</ISBN><Label>Science Research Associates</Label><ListPrice><Amount>2495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$24.95</FormattedPrice></ListPrice><Manufacturer>Science Research Associates</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>681</NumberOfPages><ProductGroup>Book</ProductGroup><PublicationDate>1983</PublicationDate><Publisher>Science Research Associates</Publisher><Studio>Science Research Associates</Studio><Title>Software design and development (SRA computer science series)</Title></ItemAttributes><OfferSummary><LowestUsedPrice><Amount>90</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.90</FormattedPrice></LowestUsedPrice><TotalNew>0</TotalNew><TotalUsed>8</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	\N
29	Care for Your Kitten	RSPCA	kitten cat care	Second edition printed in 1997	f	\N	Collins	davea	t	0004125436	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0C8QF4YD9003EZQZ57WR</RequestId><Arguments><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0004125436"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0735650062561035</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0004125436</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0004125436</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0004125436%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0004125436%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>4230042</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0004125436.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">45</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0004125436.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">104</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0004125436.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">353</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0004125436.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">45</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0004125436.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">104</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0004125436.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">353</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Binding>Paperback</Binding><EAN>9780004125435</EAN><ISBN>0004125436</ISBN><Label>HarperCollins Publishers</Label><Manufacturer>HarperCollins Publishers</Manufacturer><ProductGroup>Book</ProductGroup><PublicationDate>1994-05-05</PublicationDate><Publisher>HarperCollins Publishers</Publisher><Studio>HarperCollins Publishers</Studio><Title>Care for Your Kitten (Official RSPCA Pet Guides)</Title></ItemAttributes><OfferSummary><LowestUsedPrice><Amount>548</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$5.48</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>1680</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$16.80</FormattedPrice></LowestCollectiblePrice><TotalNew>0</TotalNew><TotalUsed>7</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0004125436.01._SCMZZZZZZZ_.jpg
6	Unix in a Nutshell	Daniel Gilly	Unix Linux	2nd Edition (with corrections)	f	\N	O'Reilly	schpengle	t	1565920015	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0NP0S4R1HE7S51M9A8P0</RequestId><Arguments><Argument Name="ItemId" Value="1565920015"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.110519170761108</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565920015</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565920015</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565920015%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565920015%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>373544</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565920015.01._SCTHUMBZZZ_V1123556347_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">50</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565920015.01._SCMZZZZZZZ_V1123556347_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">106</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565920015.01._SCLZZZZZZZ_V1123556347_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">330</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565920015.01._SCTHUMBZZZ_V1123556347_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">50</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565920015.01._SCMZZZZZZZ_V1123556347_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">106</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565920015.01._SCLZZZZZZZ_V1123556347_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">330</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Daniel Gilly</Author><Author>The staff of O'Reilly Media</Author><Binding>Paperback</Binding><Brand>O'Reilly Media</Brand><DeweyDecimalNumber>005.43</DeweyDecimalNumber><EAN>9781565920019</EAN><Edition>2</Edition><ISBN>1565920015</ISBN><ItemDimensions><Height Units="hundredths-inches">900</Height><Length Units="hundredths-inches">125</Length><Weight Units="hundredths-pounds">130</Weight><Width Units="hundredths-inches">600</Width></ItemDimensions><Label>O'Reilly</Label><ListPrice><Amount>2495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$24.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>444</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">125</Height><Length Units="hundredths-inches">900</Length><Weight Units="hundredths-pounds">130</Weight><Width Units="hundredths-inches">600</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1995</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Unix in a Nutshell: System V &amp; Solaris 2.0</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>175</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$1.75</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>1</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.01</FormattedPrice></LowestUsedPrice><TotalNew>15</TotalNew><TotalUsed>80</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>Simply the best System V and Solaris reference on the market today, &lt;I&gt;Unix in a Nutshell&lt;/I&gt; won't steer you wrong. The book's concise style delivers the essential information on Unix, shell, and utility commands. Its command documentation is clear and complete and its examples are relevant and easy to follow.&lt;p&gt; Gilly starts with a complete, alphabetized listing of core Unix commands. Each entry includes a syntax summary, a clear statement of what the command does, and a full list of options, each with commentary on its function. The author then covers shell documentation, supplying details on the Bourne, Korn, and C shells and documenting each shell's commands in the standard format. Gilly also includes a section on regular expressions as they apply to grep, egrep, text editors, and various scripting languages.&lt;p&gt; Next, the book offers complete documentation of Emacs, ex, and vi, the powerful editors whose command structure proves perennially difficult to learn. The commands, once again, appear alphabetically with statements of their respective purposes. Other popular utilities--sed, awk, nroff, troff, tbl, and several macro languages--follow. Code managers SCCS and RCS, rarely documented in Unix books, bring up the rear.&lt;p&gt; Users need to know what they're looking up or they won't find this book useful. Otherwise, &lt;I&gt;Unix in a Nutshell&lt;/I&gt;'s documentation is the best. &lt;I&gt;--David Wall&lt;/I&gt;</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>You may have seen UNIX quick-reference guides, but you've never seen anything like &lt;i&gt;UNIX in a Nutshell&lt;/i&gt;. Not a scaled-down quick reference of common commands, &lt;i&gt;UNIX in a Nutshell&lt;/i&gt; is a complete reference containing all commands and options, along with generous descriptions and examples that put the commands in context. For all but the thorniest UNIX problems, this one reference should be all the documentation you need.&lt;p&gt;The second edition of &lt;i&gt;UNIX in a Nutshell&lt;/i&gt; starts with thorough coverage of System V Release 3. To that, we've added the many new commands that were added to Release 4 and additional commands that were added to Solaris 2.0.&lt;p&gt;Contents include:&lt;p&gt;&lt;ul&gt;&lt;li&gt;All user and programmer commands.&lt;/li&gt;&lt;li&gt;New Korn shell documentation.&lt;/li&gt;&lt;li&gt;Expanded text editing section, including GNU Emacs and &lt;i&gt;nawk&lt;/i&gt;.&lt;/li&gt;&lt;li&gt;Shell syntax (&lt;i&gt;sh&lt;/i&gt; and &lt;i&gt;csh&lt;/i&gt;).&lt;/li&gt;&lt;li&gt;Pattern-matching syntax.&lt;/li&gt;&lt;li&gt;&lt;i&gt;vi&lt;/i&gt; and &lt;i&gt;ex&lt;/i&gt; commands.&lt;/li&gt;&lt;li&gt;&lt;i&gt;sed&lt;/i&gt; and &lt;i&gt;awk&lt;/i&gt; commands.&lt;/li&gt;&lt;li&gt;&lt;i&gt;troff&lt;/i&gt; and related commands and macros.&lt;/li&gt;&lt;li&gt;&lt;i&gt;sdb&lt;/i&gt; and &lt;i&gt;dbx&lt;/i&gt; commands.&lt;/li&gt;&lt;/ul&gt;&lt;p&gt;If you currently use either SVR3 or SVR4 or are planning to in the future, or if you're a Sun user facing the transition to Solaris, you'll want this book. &lt;I&gt;UNIX in a Nutshell&lt;/I&gt; is the most comprehensive quickref on the market, a must for any UNIX user.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565920015.01._SCMZZZZZZZ_V1123556347_.jpg
105	Prolog Programming for Artifical Intelligence 2nd ed.	Ivan Bratko	prolog programming ai artificial intelligence	Page 54: "the monkey is on the floor before and  after the move"\r\n\r\nDonated by Dr. Grant 10/3/05	f	\N	Addison Wesley	welshbyte	\N	0201416069	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>11WWG3EDFJCY557DP15T</RequestId><Arguments><Argument Name="ItemId" Value="0201416069"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0793731212615967</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0201416069</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0201416069</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0201416069%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0201416069%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>366135</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0201416069.01._SCTHUMBZZZ_V1083735237_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">43</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0201416069.01._SCMZZZZZZZ_V1083735237_.gif</URL><Height Units="pixels">140</Height><Width Units="pixels">101</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0201416069.01._SCLZZZZZZZ_V1083735237_.gif</URL><Height Units="pixels">475</Height><Width Units="pixels">344</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0201416069.01._SCTHUMBZZZ_V1083735237_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">43</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0201416069.01._SCMZZZZZZZ_V1083735237_.gif</URL><Height Units="pixels">140</Height><Width Units="pixels">101</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0201416069.01._SCLZZZZZZZ_V1083735237_.gif</URL><Height Units="pixels">475</Height><Width Units="pixels">344</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Ivan Bratko</Author><Binding>Paperback</Binding><Brand>Addison-Wesley Pub Co</Brand><EAN>9780201416060</EAN><Edition>2nd</Edition><ISBN>0201416069</ISBN><ItemDimensions><Height Units="hundredths-inches">900</Height><Length Units="hundredths-inches">125</Length><Weight Units="hundredths-pounds">220</Weight><Width Units="hundredths-inches">700</Width></ItemDimensions><Label>Addison-Wesley Pub (Sd)</Label><ListPrice><Amount>4219</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$42.19</FormattedPrice></ListPrice><Manufacturer>Addison-Wesley Pub (Sd)</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>609</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">125</Height><Length Units="hundredths-inches">900</Length><Weight Units="hundredths-pounds">220</Weight><Width Units="hundredths-inches">700</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1990-08</PublicationDate><Publisher>Addison-Wesley Pub (Sd)</Publisher><Studio>Addison-Wesley Pub (Sd)</Studio><Title>Prolog Programming for Artificial Intelligence</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>2850</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$28.50</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>544</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$5.44</FormattedPrice></LowestUsedPrice><TotalNew>3</TotalNew><TotalUsed>18</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>B&gt;&lt;/I&gt;&lt;/B&gt; This best-selling guide to Prolog has been fully revised and extended to provide an even greater range of applications, enhancing its value as a stand-alone guide to Prolog, artificial intelligence, or AI programming.  Ivan Bratko discusses natural language processing with grammar rules, planning, and machine learning. The coverage of meta-programming includes meta-interpreters and object-oriented programming in Prolog. The new edition includes coverage of: constraint logic programming; qualitative reasoning; inductive logic programming; recently developed algorithms; belief networks for handling uncertainty; and a major update on machine learning.  This book is aimed at programmers who need to learn AI programming.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0201416069.01._SCMZZZZZZZ_V1083735237_.gif
106	Algorithms (international edition)	Richard Johnsonbaugh and Marcus Schaefer	algorithms	"Algorithms is written for an introductory upper-level undergraduate or graduate coures in algorithms"\r\n\r\nDonated by Dr. Grant 10/3/05	f	\N	Pearson Prentice Hall	\N	\N	0131228536	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0G1RCEK3424EQDHR0RP1</RequestId><Arguments><Argument Name="ItemId" Value="0131228536"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0975260734558105</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0131228536</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest><Errors><Error><Code>AWS.InvalidParameterValue</Code><Message>0131228536 is not a valid value for ItemId. Please change this value and retry your request.</Message></Error></Errors></Request></Items></ItemLookupResponse>	\N
12	Web Site Programming with Java 1.0	David Harms, Barton C. Fiske, Jeffrey C. Rice	WWW Java Programming		f	\N	McGraw Hill	schpengle	t	0079129862	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>0H406JKX3XEWQ4R2QSQS</RequestId><Arguments><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="0079129862"></Argument><Argument Name="IdType" Value="ASIN"></Argument></Arguments><RequestProcessingTime>0.0923490524291992</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0079129862</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0079129862</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0079129862%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0079129862%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>2496366</SalesRank><SmallImage><URL>http://ec1.images-amazon.com/images/P/0079129862.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">47</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/0079129862.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">111</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/0079129862.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">378</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://ec1.images-amazon.com/images/P/0079129862.01._SCTHUMBZZZ_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">47</Width></SmallImage><MediumImage><URL>http://ec1.images-amazon.com/images/P/0079129862.01._SCMZZZZZZZ_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">111</Width></MediumImage><LargeImage><URL>http://ec1.images-amazon.com/images/P/0079129862.01._SCLZZZZZZZ_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">378</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>David Harms</Author><Author>Barton C. Fiske</Author><Author>Jeffrey C. Rice</Author><Binding>Paperback</Binding><Brand>Computing McGraw-Hill</Brand><DeweyDecimalNumber>005.2</DeweyDecimalNumber><EAN>9780079129864</EAN><Edition>Bk&amp;CD Rom</Edition><ISBN>0079129862</ISBN><ItemDimensions><Height Units="hundredths-inches">925</Height><Length Units="hundredths-inches">125</Length><Weight Units="hundredths-pounds">230</Weight><Width Units="hundredths-inches">750</Width></ItemDimensions><Label>McGraw-Hill Companies</Label><ListPrice><Amount>3995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$39.95</FormattedPrice></ListPrice><Manufacturer>McGraw-Hill Companies</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>578</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">125</Height><Length Units="hundredths-inches">925</Length><Weight Units="hundredths-pounds">230</Weight><Width Units="hundredths-inches">750</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1996-02</PublicationDate><Publisher>McGraw-Hill Companies</Publisher><Studio>McGraw-Hill Companies</Studio><Title>Web Site Programming With Java</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>58</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.58</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>56</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.56</FormattedPrice></LowestUsedPrice><TotalNew>3</TotalNew><TotalUsed>13</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers></Item></Items></ItemLookupResponse>	http://ec1.images-amazon.com/images/P/0079129862.01._SCMZZZZZZZ_.jpg
96	Introducing UNIX and Linux	Joy, Jarvis & Luck	UNIX Linux Tutorial	On loan from Mr Andy Gimblett, 8/03/2005\r\nReference copy only - not to leave the room.	f	\N	Palgrave MacMillan	\N	\N	0333987632	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1DYAJW9HWE0DB95HE5YG</RequestId><Arguments><Argument Name="ItemId" Value="0333987632"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.0987160205841064</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0333987632</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0333987632</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0333987632%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0333987632%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>4265663</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0333987632.01._SCTHUMBZZZ_V39899448_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">58</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0333987632.01._SCMZZZZZZZ_V39899448_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">123</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0333987632.01._SCLZZZZZZZ_V39899448_.jpg</URL><Height Units="pixels">180</Height><Width Units="pixels">138</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0333987632.01._SCTHUMBZZZ_V39899448_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">58</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0333987632.01._SCMZZZZZZZ_V39899448_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">123</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0333987632.01._SCLZZZZZZZ_V39899448_.jpg</URL><Height Units="pixels">180</Height><Width Units="pixels">138</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Mike Joy</Author><Author>Stephen Jarvis</Author><Author>Michael Luck</Author><Binding>Paperback</Binding><EAN>9780333987636</EAN><ISBN>0333987632</ISBN><ItemDimensions><Weight Units="hundredths-pounds">138</Weight></ItemDimensions><Label>Palgrave Macmillan</Label><ListPrice><Amount>4688</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$46.88</FormattedPrice></ListPrice><Manufacturer>Palgrave Macmillan</Manufacturer><NumberOfPages>320</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">71</Height><Length Units="hundredths-inches">961</Length><Weight Units="hundredths-pounds">137</Weight><Width Units="hundredths-inches">740</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2002-07-23</PublicationDate><Publisher>Palgrave Macmillan</Publisher><Studio>Palgrave Macmillan</Studio><Title>Introducing UNIX and Linux (Grassroots S.)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>4516</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$45.16</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>2494</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$24.94</FormattedPrice></LowestUsedPrice><TotalNew>10</TotalNew><TotalUsed>6</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>bpvqTTcxheriKltVFmgMFWmIGexdkqkvhlnpF2OvW4hpv%2FvG%2F%2Fmr1PqB3rOs4Goe102LaNamQxIB6WsaNZ1aRA%3D%3D</OfferListingId><Price><Amount>4755</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$47.55</FormattedPrice></Price><Availability>Usually ships in 2 to 4 weeks</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0333987632.01._SCMZZZZZZZ_V39899448_.jpg
71	Stopping Spam	Alan Schwartz & Simson Garfinkel	spam	A guide to spam and how to stop it. Donated by Steven Whitehouse	f	\N	O'Reilly	\N	\N	156592388X	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1H8FTMYRJMQWCZQ8BB6T</RequestId><Arguments><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ItemId" Value="156592388X"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument></Arguments><RequestProcessingTime>0.727927923202515</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>156592388X</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>156592388X</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=156592388X%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/156592388X%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>924689</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/156592388X.01._SCTHUMBZZZ_V1123559945_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">56</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/156592388X.01._SCMZZZZZZZ_V1123559945_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">120</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/156592388X.01._SCLZZZZZZZ_V1123559945_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">374</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/156592388X.01._SCTHUMBZZZ_V1123559945_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">56</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/156592388X.01._SCMZZZZZZZ_V1123559945_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">120</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/156592388X.01._SCLZZZZZZZ_V1123559945_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">374</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Alan Schwartz</Author><Author>Simson Garfinkel</Author><Binding>Paperback</Binding><Brand>O'Reilly Media</Brand><DeweyDecimalNumber>384.34</DeweyDecimalNumber><EAN>0636920923886</EAN><Edition>1</Edition><ISBN>156592388X</ISBN><ItemDimensions><Height Units="hundredths-inches">925</Height><Length Units="hundredths-inches">75</Length><Weight Units="hundredths-pounds">95</Weight><Width Units="hundredths-inches">700</Width></ItemDimensions><Label>O'Reilly</Label><ListPrice><Amount>1995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$19.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfPages>197</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">75</Height><Length Units="hundredths-inches">925</Length><Weight Units="hundredths-pounds">95</Weight><Width Units="hundredths-inches">700</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1998-10-01</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Stopping Spam</Title><UPC>636920923886</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>150</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$1.50</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>50</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.50</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>1995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$19.95</FormattedPrice></LowestCollectiblePrice><TotalNew>9</TotalNew><TotalUsed>22</TotalUsed><TotalCollectible>2</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>If unwanted advertising is filling your e-mail and clogging up your favorite newsgroups, or if you're a system administrator plagued by spammers, you'll love this book. Schwartz and Garfinkel examine the growth of spam and give readers the tools to help end the problem.&lt;p&gt; The authors first explain why spam is more than just a mere annoyance and offer solutions that anyone with a basic knowledge of how the Internet and e-mail work can understand. Readers without such knowledge needn't worry--the chapter on Internet basics can get them up to speed.&lt;p&gt; Schwartz and Garfinkel demonstrate technical, political, and social approaches to keeping spam out of your mailbox and off your system. They discuss the many ways spammers falsify their mail, using fraudulent techniques to disguise where they come from. The authors show you how to avoid being fooled and what you can do to help catch abusers and make them responsible for their misbehavior. &lt;I&gt;--Elizabeth Lewis&lt;/I&gt;</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>This is a book about spam -- unwanted email messages and  inappropriate news articles -- and what you can do  to prevent it, stop it, and even outlaw it. It's a book  for people who have seen their mailboxes fill up with  useless messages and unsolicited advertisements, and who are tired of footing the bill for them in their Internet service charges. It's a book for people who are upset that they  can't find the on-topic postings in their once-helpful  newsgroups, and fear that the community of newsgroup  readers will dissolve in disgust.&lt;p&gt;&lt;i&gt;Stopping Spam&lt;/i&gt; looks at the problem of spam and explains ways  you can eliminate unwanted messages and news postings. It provides information of use to individual users (who don't want to be bothered by spam) and to system administrators (also news administrators, mail administrators, and network  administrators, who are responsible for minimizing spam  problems within their organizations or service providers). It covers:&lt;p&gt;&lt;ul&gt;&lt;li&gt;Introduction to spam: what is it, why is it a problem, who are the spammers and why do they do it, what are the types of spam (spam that sells things, spam that contains political messages, spam that hurts people's reputations), what is its history, what is its impact on the Internet now and in the future?&lt;/li&gt;&lt;p&gt;&lt;li&gt;Internet messaging: a brief look at the technical underpinnings of Internet messaging to explain how email and spam work.&lt;li&gt;&lt;p&gt;&lt;li&gt;User's guides to email and news spam: how to protect your  email address, filter email and news articles, and respond  to spam.&lt;li&gt;&lt;p&gt;&lt;li&gt;Administrator's guide: how to trace spam, make policy choices for your site, block both incoming and outgoing spam, and select the right  technical tools.&lt;li&gt;&lt;p&gt;&lt;li&gt;Community responses: how to join forces to defeat spam. There are many possible responses to spam: simply delete it, complain to spammers and/or  their service providers, share information, trap spammers, litigate, campaign for legislative  solutions, use the media.&lt;li&gt;&lt;p&gt;&lt;li&gt;Other resources: offline and online documents,  tools, mailing lists, and more.&lt;li&gt;&lt;/ul&gt;</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/156592388X.01._SCMZZZZZZZ_V1123559945_.jpg
70	Stopping Spam	Alan Schwartz & Simson Garfinkel	spam	A guide to spam and how to stop it. Donated by Steven Whitehouse	f	\N	O'Reilly	\N	\N	156592388X	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1G30H67G527JQGADZ56D</RequestId><Arguments><Argument Name="ItemId" Value="156592388X"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.108054876327515</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>156592388X</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>156592388X</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=156592388X%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/156592388X%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>924689</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/156592388X.01._SCTHUMBZZZ_V1123559945_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">56</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/156592388X.01._SCMZZZZZZZ_V1123559945_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">120</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/156592388X.01._SCLZZZZZZZ_V1123559945_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">374</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/156592388X.01._SCTHUMBZZZ_V1123559945_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">56</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/156592388X.01._SCMZZZZZZZ_V1123559945_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">120</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/156592388X.01._SCLZZZZZZZ_V1123559945_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">374</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Alan Schwartz</Author><Author>Simson Garfinkel</Author><Binding>Paperback</Binding><Brand>O'Reilly Media</Brand><DeweyDecimalNumber>384.34</DeweyDecimalNumber><EAN>0636920923886</EAN><Edition>1</Edition><ISBN>156592388X</ISBN><ItemDimensions><Height Units="hundredths-inches">925</Height><Length Units="hundredths-inches">75</Length><Weight Units="hundredths-pounds">95</Weight><Width Units="hundredths-inches">700</Width></ItemDimensions><Label>O'Reilly</Label><ListPrice><Amount>1995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$19.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfPages>197</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">75</Height><Length Units="hundredths-inches">925</Length><Weight Units="hundredths-pounds">95</Weight><Width Units="hundredths-inches">700</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1998-10-01</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Stopping Spam</Title><UPC>636920923886</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>150</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$1.50</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>50</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.50</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>1995</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$19.95</FormattedPrice></LowestCollectiblePrice><TotalNew>9</TotalNew><TotalUsed>22</TotalUsed><TotalCollectible>2</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>If unwanted advertising is filling your e-mail and clogging up your favorite newsgroups, or if you're a system administrator plagued by spammers, you'll love this book. Schwartz and Garfinkel examine the growth of spam and give readers the tools to help end the problem.&lt;p&gt; The authors first explain why spam is more than just a mere annoyance and offer solutions that anyone with a basic knowledge of how the Internet and e-mail work can understand. Readers without such knowledge needn't worry--the chapter on Internet basics can get them up to speed.&lt;p&gt; Schwartz and Garfinkel demonstrate technical, political, and social approaches to keeping spam out of your mailbox and off your system. They discuss the many ways spammers falsify their mail, using fraudulent techniques to disguise where they come from. The authors show you how to avoid being fooled and what you can do to help catch abusers and make them responsible for their misbehavior. &lt;I&gt;--Elizabeth Lewis&lt;/I&gt;</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>This is a book about spam -- unwanted email messages and  inappropriate news articles -- and what you can do  to prevent it, stop it, and even outlaw it. It's a book  for people who have seen their mailboxes fill up with  useless messages and unsolicited advertisements, and who are tired of footing the bill for them in their Internet service charges. It's a book for people who are upset that they  can't find the on-topic postings in their once-helpful  newsgroups, and fear that the community of newsgroup  readers will dissolve in disgust.&lt;p&gt;&lt;i&gt;Stopping Spam&lt;/i&gt; looks at the problem of spam and explains ways  you can eliminate unwanted messages and news postings. It provides information of use to individual users (who don't want to be bothered by spam) and to system administrators (also news administrators, mail administrators, and network  administrators, who are responsible for minimizing spam  problems within their organizations or service providers). It covers:&lt;p&gt;&lt;ul&gt;&lt;li&gt;Introduction to spam: what is it, why is it a problem, who are the spammers and why do they do it, what are the types of spam (spam that sells things, spam that contains political messages, spam that hurts people's reputations), what is its history, what is its impact on the Internet now and in the future?&lt;/li&gt;&lt;p&gt;&lt;li&gt;Internet messaging: a brief look at the technical underpinnings of Internet messaging to explain how email and spam work.&lt;li&gt;&lt;p&gt;&lt;li&gt;User's guides to email and news spam: how to protect your  email address, filter email and news articles, and respond  to spam.&lt;li&gt;&lt;p&gt;&lt;li&gt;Administrator's guide: how to trace spam, make policy choices for your site, block both incoming and outgoing spam, and select the right  technical tools.&lt;li&gt;&lt;p&gt;&lt;li&gt;Community responses: how to join forces to defeat spam. There are many possible responses to spam: simply delete it, complain to spammers and/or  their service providers, share information, trap spammers, litigate, campaign for legislative  solutions, use the media.&lt;li&gt;&lt;p&gt;&lt;li&gt;Other resources: offline and online documents,  tools, mailing lists, and more.&lt;li&gt;&lt;/ul&gt;</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/156592388X.01._SCMZZZZZZZ_V1123559945_.jpg
69	Apache The Definitive Guide	Ben Laurie & Peter Laurie	apache web	A guide to the open source Apache web server. Donated by Steven Whitehouse	f	\N	O'Reilly	\N	\N	1565922506	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1WG3VHS724C8DW57EAEV</RequestId><Arguments><Argument Name="ItemId" Value="1565922506"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument></Arguments><RequestProcessingTime>0.105345010757446</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>1565922506</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>1565922506</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=1565922506%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/1565922506%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1299135</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/1565922506.01._SCTHUMBZZZ_V1123556346_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922506.01._SCMZZZZZZZ_V1123556346_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">122</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922506.01._SCLZZZZZZZ_V1123556346_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">380</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/1565922506.01._SCTHUMBZZZ_V1123556346_.jpg</URL><Height Units="pixels">75</Height><Width Units="pixels">57</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/1565922506.01._SCMZZZZZZZ_V1123556346_.jpg</URL><Height Units="pixels">160</Height><Width Units="pixels">122</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/1565922506.01._SCLZZZZZZZ_V1123556346_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">380</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Ben Laurie</Author><Author>Peter Laurie</Author><Binding>Paperback</Binding><Brand>O'Reilly &amp; Associates</Brand><DeweyDecimalNumber>005.713769</DeweyDecimalNumber><EAN>9781565922501</EAN><Edition>Bk&amp;CD-Rom</Edition><ISBN>1565922506</ISBN><Label>O'Reilly</Label><ListPrice><Amount>3495</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$34.95</FormattedPrice></ListPrice><Manufacturer>O'Reilly</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>274</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">50</Height><Length Units="hundredths-inches">925</Length><Weight Units="hundredths-pounds">125</Weight><Width Units="hundredths-inches">750</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>1997-03</PublicationDate><Publisher>O'Reilly</Publisher><Studio>O'Reilly</Studio><Title>Apache: The Definitive Guide (Nutshell Handbook)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>238</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$2.38</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>45</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$0.45</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>1458</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$14.58</FormattedPrice></LowestCollectiblePrice><TotalNew>7</TotalNew><TotalUsed>15</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>0</TotalOffers><TotalOfferPages>0</TotalOfferPages></Offers><EditorialReviews><EditorialReview><Source>Amazon.com</Source><Content>With distributions for both Unix and 32-bit Windows environments, the Apache Web server boasts reliability, security, and scalability--and it's free. &lt;I&gt;Apache: The Definitive Guide&lt;/I&gt; shows Apache administrators how to perform their jobs, detailing the server through version 1.3.&lt;p&gt; The authors--one of them a member of the Apache development team--begin with an academic discussion of what Web servers do before walking the reader through the process of installing Apache. Installation gets much attention--readers find out, step by step, how to set up a Web site (or several) under Apache, and how to set up Web site security and other preferences properly. The book also provides in-depth discussions of particular aspects of Apache operation, including MIME handling, the Common Gateway Interface (CGI), and security features such as authentication and caching.&lt;p&gt; For the programmers in the crowd, this book documents the Apache API with discussions of resource pools and their allocation, plus a full API reference. A tutorial explains how to write Apache extension modules in C. In all matters, &lt;I&gt;Apache: The Definitive Guide&lt;/I&gt; covers both Unix and Win32 machines, but it places more emphasis on the Unix port. The complete source code of Apache 1.3 appears on the CD-ROM that ships with the book. &lt;I&gt;--David Wall&lt;/I&gt;</Content></EditorialReview><EditorialReview><Source>Book Description</Source><Content>The freeware Apache Web server runs on about half of the world's existing Web sites, and it is rapidly increasing in popularity.  &lt;i&gt;Apache: The Definitive Guide&lt;/i&gt;, written and reviewed by key members of the Apache Group, describes  how to obtain, set up, and secure the Apache software. Apache was originally based on code and ideas found in the most popular HTTP  server of the time: NCSA httpd 1.3 (early 1995). It has since evolved into a  far superior system that can rival (and probably surpass) almost any other  UNIX-based HTTP server in terms of functionality, efficiency, and speed. It  has several new features (among which are highly configurable error messages,  DBM-based authentication databases, and content negotiation). It also offers  dramatically improved performance and fixes many bugs in the NCSA 1.3 code. Contents include:&lt;ul&gt;&lt;li&gt;The history of the Apache Group&lt;/li&gt;&lt;li&gt;Obtaining and compiling the server&lt;/li&gt;&lt;li&gt;Configuring and running Apache, including such topics as directory structures, virtual hosts, and CGI programming &lt;/li&gt;&lt;li&gt;The Apache Module API&lt;/li&gt;&lt;li&gt;Apache security&lt;/li&gt;&lt;li&gt;A complete list of configuration&lt;/li&gt;&lt;/ul&gt;With &lt;i&gt;Apache: The Definitive Guide&lt;/i&gt;, Web administrators new to Apache can  come up to speed more quickly than ever before by working through the tutorial demo.  Experienced administrators and CGI programmers will find the reference sections indispensable.  &lt;i&gt;Apache: The Definitive Guide&lt;/i&gt; is the definitive documentation for the world's most popular Web server.  Includes CD-ROM with Apache manuals and demo sites discussed in the book.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/1565922506.01._SCMZZZZZZZ_V1123556346_.jpg
90	Introduction to UNIX and Linux	John Muster	UNIX Linux	On loan from Mr Andy Gimblett, 8/03/2005\r\nReference copy only - not to leave the room.	f	\N	McGraw Hill	\N	\N	0072226951	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>1PS0YCWKDW36THPP6TCC</RequestId><Arguments><Argument Name="ItemId" Value="0072226951"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.0991330146789551</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0072226951</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0072226951</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0072226951%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0072226951%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>178641</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0072226951.01._SCTHUMBZZZ_V1079087786_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0072226951.01._SCMZZZZZZZ_V1079087786_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">114</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0072226951.01._SCLZZZZZZZ_V1079087786_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">386</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0072226951.01._SCTHUMBZZZ_V1079087786_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">49</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0072226951.01._SCMZZZZZZZ_V1079087786_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">114</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0072226951.01._SCLZZZZZZZ_V1079087786_.jpg</URL><Height Units="pixels">475</Height><Width Units="pixels">386</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>John Muster</Author><Binding>Paperback</Binding><Brand>McGraw-Hill Osborne Media</Brand><DeweyDecimalNumber>005.432</DeweyDecimalNumber><EAN>0783254041288</EAN><Edition>1</Edition><ISBN>0072226951</ISBN><ItemDimensions><Height Units="hundredths-inches">184</Height><Length Units="hundredths-inches">916</Length><Weight Units="hundredths-pounds">326</Weight><Width Units="hundredths-inches">746</Width></ItemDimensions><Label>Mcgraw-Hill Osborne Media</Label><ListPrice><Amount>6250</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$62.50</FormattedPrice></ListPrice><Manufacturer>Mcgraw-Hill Osborne Media</Manufacturer><NumberOfItems>1</NumberOfItems><NumberOfPages>688</NumberOfPages><PackageDimensions><Height Units="hundredths-inches">184</Height><Length Units="hundredths-inches">916</Length><Weight Units="hundredths-pounds">326</Weight><Width Units="hundredths-inches">746</Width></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2002-12-09</PublicationDate><Publisher>Mcgraw-Hill Osborne Media</Publisher><Studio>Mcgraw-Hill Osborne Media</Studio><Title>Introduction to Unix and Linux</Title><UPC>783254041288</UPC></ItemAttributes><OfferSummary><LowestNewPrice><Amount>3064</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$30.64</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>2375</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$23.75</FormattedPrice></LowestUsedPrice><LowestCollectiblePrice><Amount>7000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$70.00</FormattedPrice></LowestCollectiblePrice><TotalNew>12</TotalNew><TotalUsed>11</TotalUsed><TotalCollectible>1</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>4TgtjWWPTeFMpxUsrSbBnAdKNfHOcj%2BQDSe70GGI1WMnNEAPWAp0vJmpfgGpHAlCVO6MsmqKRUI%2B2UhpcTxzRw%3D%3D</OfferListingId><Price><Amount>5938</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$59.38</FormattedPrice></Price><Availability>Usually ships in 2 to 4 weeks</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers><EditorialReviews><EditorialReview><Source>Book Description</Source><Content>Ideal for students with little or no computer experience, this essential learning tool is filled with fundamental skill-building exercises, hands-on tutorials, and clear explanations.  And, it&amp;#8217;s written by a leading UNIX and Linux curriculum developer and instructor, making it perfect for both learning -- and teaching -- the basics.</Content></EditorialReview></EditorialReviews></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0072226951.01._SCMZZZZZZZ_V1079087786_.jpg
115	Foundation Maths	Anthony Croft and Robert Davison			f	\N	Prentice Hall	\N	\N	0130454265	<?xml version="1.0" encoding="UTF-8"?><ItemLookupResponse xmlns="http://webservices.amazon.com/AWSECommerceService/2005-10-05"><OperationRequest><HTTPHeaders><Header Name="UserAgent"></Header></HTTPHeaders><RequestId>04J6BZVRPHMYG9PQF7X1</RequestId><Arguments><Argument Name="ItemId" Value="0130454265"></Argument><Argument Name="IdType" Value="ASIN"></Argument><Argument Name="Service" Value="AWSECommerceService"></Argument><Argument Name="AWSAccessKeyId" Value="02NDPFGZ9A35HRBQ9NG2"></Argument><Argument Name="ResponseGroup" Value="Medium,OfferFull"></Argument><Argument Name="Operation" Value="ItemLookup"></Argument></Arguments><RequestProcessingTime>0.107518911361694</RequestProcessingTime></OperationRequest><Items><Request><IsValid>True</IsValid><ItemLookupRequest><IdType>ASIN</IdType><ItemId>0130454265</ItemId><ResponseGroup>OfferFull</ResponseGroup><ResponseGroup>Medium</ResponseGroup></ItemLookupRequest></Request><Item><ASIN>0130454265</ASIN><DetailPageURL>http://www.amazon.com/gp/redirect.html%3FASIN=0130454265%26tag=ws%26lcode=xm2%26cID=2025%26ccmID=165953%26location=/o/ASIN/0130454265%253FSubscriptionId=02NDPFGZ9A35HRBQ9NG2</DetailPageURL><SalesRank>1562076</SalesRank><SmallImage><URL>http://images.amazon.com/images/P/0130454265.01._SCTHUMBZZZ_V1087872658_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">46</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0130454265.01._SCMZZZZZZZ_V1087872658_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">107</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0130454265.01._SCLZZZZZZZ_V1087872658_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">383</Width></LargeImage><ImageSets><ImageSet Category="primary"><SmallImage><URL>http://images.amazon.com/images/P/0130454265.01._SCTHUMBZZZ_V1087872658_.jpg</URL><Height Units="pixels">60</Height><Width Units="pixels">46</Width></SmallImage><MediumImage><URL>http://images.amazon.com/images/P/0130454265.01._SCMZZZZZZZ_V1087872658_.jpg</URL><Height Units="pixels">140</Height><Width Units="pixels">107</Width></MediumImage><LargeImage><URL>http://images.amazon.com/images/P/0130454265.01._SCLZZZZZZZ_V1087872658_.jpg</URL><Height Units="pixels">500</Height><Width Units="pixels">383</Width></LargeImage></ImageSet></ImageSets><ItemAttributes><Author>Tony Croft</Author><Author>Robert Davison</Author><Binding>Paperback</Binding><DeweyDecimalNumber>510</DeweyDecimalNumber><EAN>9780130454263</EAN><Edition>3rd</Edition><ISBN>0130454265</ISBN><Label>Prentice Hall (UK)</Label><ListPrice><Amount>7250</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$72.50</FormattedPrice></ListPrice><Manufacturer>Prentice Hall (UK)</Manufacturer><NumberOfPages>464</NumberOfPages><PackageDimensions><Weight Units="hundredths-pounds">193</Weight></PackageDimensions><ProductGroup>Book</ProductGroup><PublicationDate>2002-11-30</PublicationDate><Publisher>Prentice Hall (UK)</Publisher><Studio>Prentice Hall (UK)</Studio><Title>Foundation Maths (EMFS)</Title></ItemAttributes><OfferSummary><LowestNewPrice><Amount>7075</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$70.75</FormattedPrice></LowestNewPrice><LowestUsedPrice><Amount>5000</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$50.00</FormattedPrice></LowestUsedPrice><TotalNew>3</TotalNew><TotalUsed>3</TotalUsed><TotalCollectible>0</TotalCollectible><TotalRefurbished>0</TotalRefurbished></OfferSummary><Offers><TotalOffers>1</TotalOffers><TotalOfferPages>1</TotalOfferPages><Offer><Merchant><MerchantId>ATVPDKIKX0DER</MerchantId><Name>Amazon.com</Name><GlancePage>http://www.amazon.com/gp/help/seller/home.html?seller=ATVPDKIKX0DER</GlancePage></Merchant><OfferAttributes><Condition>New</Condition><SubCondition>new</SubCondition></OfferAttributes><OfferListing><OfferListingId>Kvvq0uny06eCAl69a8wBQ%2FIzCDFfpg%2F8E%2BzsC2M4u%2BzaaNVOwFmUL91akc79SeYQXMduKscNUG%2F1iv34hxw4fA%3D%3D</OfferListingId><Price><Amount>7250</Amount><CurrencyCode>USD</CurrencyCode><FormattedPrice>$72.50</FormattedPrice></Price><Availability>Usually ships in 1 to 3 weeks</Availability><IsEligibleForSuperSaverShipping>1</IsEligibleForSuperSaverShipping></OfferListing></Offer></Offers></Item></Items></ItemLookupResponse>	http://images.amazon.com/images/P/0130454265.01._SCMZZZZZZZ_V1087872658_.jpg
\.


--
-- Data for Name: booktags; Type: TABLE DATA; Schema: public; Owner: chckens
--

COPY booktags (bookid, tag) FROM stdin;
103	1
34	1
135	1
79	1
38	1
10	1
15	1
145	1
48	1
46	1
60	1
59	1
58	1
48	2
5	3
36	1
27	1
53	3
53	2
17	2
54	2
97	1
11	1
11	2
111	3
72	2
136	3
148	3
93	1
22	2
47	1
52	2
100	1
49	3
49	1
94	1
137	1
25	1
76	1
91	1
26	1
23	1
45	1
37	1
87	1
140	2
143	1
88	1
83	1
4	2
98	1
7	2
73	2
44	3
7	1
73	1
86	1
82	1
30	1
55	1
51	1
139	1
138	1
35	3
41	3
35	1
41	1
75	1
66	1
74	1
62	1
28	1
78	1
80	1
84	1
108	1
77	3
8	3
85	1
81	1
18	1
33	1
21	3
43	3
24	1
67	3
61	3
6	3
105	1
106	1
50	3
95	3
13	3
16	3
40	3
16	1
109	1
12	1
12	2
96	3
71	2
70	2
69	3
90	3
69	2
100	4
143	4
115	4
119	1
63	3
125	1
116	1
126	1
9	1
120	1
121	1
117	1
107	1
114	1
113	1
147	3
130	4
112	1
129	2
146	1
144	1
141	2
19	1
56	1
57	1
31	1
39	1
94	6
76	6
91	6
108	6
110	6
110	1
9	6
124	1
124	1
79	6
86	7
85	7
119	7
126	7
117	7
113	7
114	7
105	5
84	5
39	5
58	5
34	5
64	1
65	1
92	3
42	1
99	1
103	6
103	6
103	6
103	6
103	1
34	1
135	1
79	1
38	1
10	1
15	1
145	1
48	1
46	1
60	1
59	1
58	1
48	2
5	3
36	1
27	1
53	3
53	2
17	2
54	2
97	1
11	1
11	2
111	3
72	2
136	3
148	3
93	1
22	2
47	1
52	2
100	1
49	3
49	1
94	1
137	1
25	1
76	1
91	1
26	1
23	1
45	1
37	1
87	1
140	2
143	1
88	1
83	1
4	2
98	1
7	2
73	2
44	3
7	1
73	1
86	1
82	1
30	1
55	1
51	1
139	1
138	1
35	3
41	3
35	1
41	1
75	1
66	1
74	1
62	1
28	1
78	1
80	1
84	1
108	1
77	3
8	3
85	1
81	1
18	1
33	1
21	3
43	3
24	1
67	3
61	3
6	3
105	1
106	1
50	3
95	3
13	3
16	3
40	3
16	1
109	1
12	1
12	2
96	3
71	2
70	2
69	3
90	3
69	2
100	4
143	4
115	4
119	1
63	3
125	1
116	1
126	1
9	1
120	1
121	1
117	1
107	1
114	1
113	1
147	3
130	4
112	1
129	2
146	1
144	1
141	2
19	1
56	1
57	1
31	1
39	1
94	6
76	6
91	6
108	6
110	6
110	1
9	6
124	1
124	1
79	6
86	7
85	7
119	7
126	7
117	7
113	7
114	7
105	5
84	5
39	5
58	5
34	5
64	1
65	1
92	3
42	1
99	1
103	6
103	6
103	6
103	6
\.


--
-- Data for Name: events; Type: TABLE DATA; Schema: public; Owner: chckens
--

COPY events (id, name, "location", whn) FROM stdin;
\.


--
-- Data for Name: games; Type: TABLE DATA; Schema: public; Owner: chckens
--

COPY games (id, name, connect) FROM stdin;
1	Counter-Strike Source	games.sucs.org:27015
3	Unreal Tournament 2004	games.sucs.org:7777
4	Unreal Tournament	games.sucs.org:17777
5	Armagetron Advanced	games.sucs.org:4534
2	Half-Life 2: Deathmatch	games.sucs.org:27016
\.


--
-- Data for Name: menu; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY menu (id, title, parent, menuorder, target, title_cy, permission) FROM stdin;
7	Donations	3	\N	/About/Donations	\N	\N
17	History	3	4	/About/History	Hanes	\N
37	Options	8	6	/Tools/Options	\N	users
27	Help	22	2	/Help	\N	\N
28	Articles	22	3	/Knowledge/Articles	\N	\N
9	Library	22	\N	/Knowledge/Library	Llyfrgell	\N
2	News	\N	1	/News/	Newyddion	\N
21	Joining	3	1	/About/Joining	Ymunwch	\N
18	Staff	3	3	/About/Staff	Staff	\N
12	Room	3	2	/About/Room	Ystafell	\N
10	Mailing Lists	8	1	http://sucs.org/mailman/listinfo	Rhestri Ebost	\N
11	Web Mail	8	3	https://sucs.org/webmail/	Ebost Gwe	\N
30	ShortURI	8	2	/Tools/ShortURI	\N	\N
31	PasteBin	8	4	/Tools/PasteBin	\N	\N
13	Milliways	16	3	/Community/Milliways	Milliways	\N
26	Shop	16	5	/Community/Shop	Shop	\N
29	Planet	16	6	/Community/Planet	\N	\N
25	Bananas	16	7	/Community/Bananas	\N	\N
32	Forum	16	4	/Community/Forum/	\N	\N
19	Members	16	1	/Community/Members	Aelodau	\N
20	Societies	16	2	/Community/Societies	Cymdeithasau	\N
33	Desktop on Demand	8	5	/Tools/Desktop on Demand	\N	\N
34	Projects	16	8	/Community/Projects	\N	\N
8	Tools	\N	6	/Tools	Gwasanaethaud	users
15	Games	\N	5	/Games	Gêmau	\N
36	Blogs	\N	4	/Blogs	\N	\N
22	Knowledge	\N	7	/Knowledge	\N	\N
16	Community	\N	3	/Community	Pobl	\N
24	FAQ	22	1	/Knowledge/FAQ	\N	\N
6	Regulations	3	\N	/About/Regulations	\N	\N
3	About	\N	2	/About	Gwybodaeth	\N
\.


--
-- Data for Name: news; Type: TABLE DATA; Schema: public; Owner: chckens
--

COPY news (id, title, body, date, category, sticky, author, expiry) FROM stdin;
7	A test for the MOTD script	This is a test. How fun.<br /> 	2007-02-14 14:53:37	\N	f	dez	\N
5	Jabber server /back up	<p>SUCS&#39; Jabber server is back up (for the technically minded, we&#39;re now using Ejabberd).</p><p>There are a few changes you need to be aware of:</p><ul><li>You now need to log in using<strong> TLS</strong>, <strong>plain text auth</strong>,&nbsp; and <strong>your SUCS username and password</strong>.</li><li>All members can connect now - there&#39;s no need to register.</li><li>Account registration is disabled. Hence, only members can log in now.</li></ul>Happy chatting!<br />	2006-09-25 19:55:43	\N	f	pwb	\N
11	Scary news title #1	test	2007-11-04 19:32:46	\N	f	chckens	2007-12-04 19:32:46
12	Scary news title #1	test	2007-11-04 19:33:56	\N	f	chckens	2007-12-04 19:33:56
4	Welcome to the new SUCS website	<p>As existing members will have noticed, we have created a new visual identity to go with the new SUCS logo.&nbsp; At the same time, we&#39;ve taken the opportunity to reorganise the structure of the site and introduce some new features.<br /></p><p>You can now log onto the site using your SUCS username and password. It will always submit your details securely using HTTPS even if you enter your details on a page that wasn&#39;t loaded securely. Some tools (e.g. WebMail) still require you to log into them separately, but our long term aim is to allow you to log in once to access all the web-based tools SUCS offers. </p>	2006-09-18 15:50:56	\N	t	dez	\N
8	Test #2	<p>This is a test of the news component&#39;s handling of hashes in the title.</p>	2007-05-14 12:10:21	\N	f	pwb	\N
9	Chicken is tasty	<p>Have you eaten chicken today?</p>	2007-05-17 00:55:27	\N	f	chckens	2007-05-17 01:30:56
10	Test news post	<p>Posting news is fun!<br /></p>	2007-05-18 00:58:54	\N	f	chckens	2007-06-18 00:58:54
13	chicken / breakfast	test	2007-11-04 21:47:51	\N	f	chckens	2007-12-04 21:47:51
6	Freshers 2006	<p>The Computer Society welcomes all Swansea freshers (and returning students)!</p>  <p>SUCS is one of the university&#39;s longest-running and largest societies. In addition to providing members with a range of <a href="../About">IT services</a>, we hold regular events and socials throughout the year.</p>  <p>We have our own <a href="../About/Room">computer room</a> on campus with 24 hour swipe-card access. There are usually members present through the week so feel free to stop by.</p>  <p>As usual, we&#39;ll be at the freshers&#39; fayre this year to answer any questions you may have.</p>  <p>If we miss you at the fayre, then please come meet us at a social. We&#39;re usually in the quiet side of JC&#39;s from about 1pm on Fridays :-)</p>  <p>Have a great year!</p>	2006-08-15 11:53:42	\N	t	talyn256	\N
\.


--
-- Data for Name: pagemap; Type: TABLE DATA; Schema: public; Owner: arthur
--

COPY pagemap (id, path, depth, component) FROM stdin;
24	/Blogs	2	blogs
25	/Blogs/Admin	4	blogadmin
26	/Blogs/feed	4	blogfeed
27	/Community/Planet	4	planet
33	/Options	2	options
32	/Tools/Options	4	options
3	/News	2	news
30	/Knowledge/Library/Admin	6	libraryadmin
4	/*	1	static
1	/	0	front
29	/About/JoinEmail	4	email
34	/gallery	2	gallery
5	/Community/Milliways	4	milliways
2	/Community/Bananas	4	bananas
10	/Debug	2	debug
8	/Games	2	games
11	/Admin/Pagemap	4	pagemap
12	/Knowledge/Articles	4	contents
6	/Knowledge/Library	4	library
13	/fragments	2	contents
14	/Tools/ShortURI	4	uri
7	/Knowledge/Help	2	contents
9	/Community/Shop	2	shop
15	/Games/*	3	static
17	/Tools/PasteBin	4	pastebin
16	/Community/Forum	4	forum
18	/Community/Projects	2	projects
19	/signup	2	signup
20	/Community/MW	4	mw
21	/Debug/ID	4	id
22	/Community/Members	4	members
23	/Community/Societies	4	societies
\.


--
-- Data for Name: pastebin; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY pastebin (id, created, username, code, highlighted_code, "language", retain_til) FROM stdin;
16	2007-04-05 13:41:33	aeternus	import java.util.*;\r\n\r\nclass test {\r\n        public static void main ( String args[] ) {\r\n                ArrayList&lt;String&gt; x = new ArrayList&lt;String&gt;();\r\n                x.add(new String(&quot;cheese&quot;));\r\n                Iterator&lt;String&gt; i = x.iterator();\r\n                while (i.hasNext()) {\r\n                        String y = i.next();\r\n                        System.out.println(y);\r\n                }\r\n\r\n        }\r\n}	\N	JAVA	\N
18	2007-04-05 13:42:39	aeternus	import java.util.*;\r\n\r\nclass test {\r\n        public static void main ( String args[] ) {\r\n                ArrayList&lt;String&gt; x = new ArrayList&lt;String&gt;();\r\n                x.add(new String(&quot;cheese&quot;));\r\n                Iterator&lt;String&gt; i = x.iterator();\r\n                while (i.hasNext()) {\r\n                        String y = i.next();\r\n                        System.out.println(y);\r\n                }\r\n\r\n        }\r\n}	\N	JAVA	\N
\.


--
-- Data for Name: pastebin_comment; Type: TABLE DATA; Schema: public; Owner: arthur
--

COPY pastebin_comment (id, line, username, created, "comment") FROM stdin;
\.


--
-- Data for Name: redirect; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY redirect (id, from_uri, to_uri) FROM stdin;
1	/uri	/Tools/ShortURI
2	/help	/Knowledge/Help
3	/Help	/Knowledge/Help
4	/games	/Games
5	/news	/News
6	/about	/About
7	/wiki	/Knowledge/Help
8	/join	/About/Joining
9	/shop	/Community/Shop
10	/Shop	/Community/Shop
11	/pb	/Tools/PasteBin
14	/planet	/Community/Planet
15	/info	/About
16	/services	/Tools
17	/people	/Community
18	/signup.php	/signup
12	/forum	/Community/Forum
13	/punbb	/Community/Forum
\.


--
-- Data for Name: session; Type: TABLE DATA; Schema: public; Owner: arthur
--

COPY "session" (hash, username, "time", data, ip) FROM stdin;
cfb3c5e35780d3f7735cf58c8dc0ec39	\N	2007-11-26 13:51:36	s:0:"";	86.30.243.149
5f9f77724ca91c969f3edeb45c4f16b3	\N	2007-11-26 14:14:15	s:0:"";	82.45.119.106
97ccf74d1121934106f28047f2fe9158	\N	2007-11-26 15:01:53	s:0:"";	137.44.1.200
5bc504ad9c7cd7b57b28764587a68251	tobeon	2007-11-26 15:02:09	s:0:"";	137.44.1.200
d407a2a8422feb8ce50c09472b345aad	\N	2007-11-26 15:08:24	s:0:"";	65.55.165.102
\.


--
-- Data for Name: shorturi; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY shorturi (id, url, creator, created) FROM stdin;
1	http://www.google.co.uk/	dez	2006-09-18 19:59:57.218819
2	http://www.uwshiking.org.uk	rollercow	2006-09-18 20:28:32.658491
3	http://sucs.org/gihh	dez	2006-09-18 20:30:35.181219
4	http://www.thebearsarecoming.co.uk/	frosty	2006-09-18 20:30:48.951419
5	http://www.dabs.com/ProductView.aspx?Quicklinx=3ZW5&CategorySelectedId=11195&NavigationKey=11195,50468&InMerch=1	psycodom	2006-09-18 21:00:04.341336
6	http://sucs.org/blogs/rollercow	rollercow	2006-09-18 21:00:29.629866
7	http://www.theregister.co.uk/	dez	2006-09-18 21:01:56.56057
8	http://www.theregister.co.uk	dez	2006-09-18 21:03:05.989633
9	http://groups.msn.com/_Secure/0VADnAsQaiJpu08V0CltQSGTxAyVC8OfIurT*V8SR7evS65vSl9FMCO*cGfpCGTZf1EUrj!sg8jTi4EGdJsgePyh!w5En4frihSxN9c6hlYxiJYbAI3TjO50jRHZ09rXV/getwellsoonHAMMOND.jpg	chckens	2006-09-21 15:51:08.958125
10	http://www.google.com	jonhurlock	2006-09-22 20:37:17.57498
11	http://www.bbc.co.uk/	dez	2006-09-23 15:15:32.760333
12	http://www.tobeon.co.uk	tobeon	2006-09-23 15:41:23.36563
13	http://www.awsome.com/therasd/asdsad.php	tobeon	2006-09-23 15:41:39.430555
14	https://beta.sucs.org/Tools/ShortURI	davea	2006-09-24 12:22:12.485381
15	http://beta.sucs.org/pb/5	aeternus	2006-09-24 15:31:10.108538
16	http://www.shopzilla.com/mkt.xpml?mkt_id=35090400&OVRAW=asshat&OVKEY=asshat&OVMTC=standard	dez	2007-02-14 00:39:13.990153
\.


--
-- Data for Name: static; Type: TABLE DATA; Schema: public; Owner: dez
--

COPY static (id, path, summary, editor, pageorder) FROM stdin;
1	/Knowledge/Help/SUCS Services/Printing in the SUCS room	Printing from your own computer in the SUCS room	dez	\N
28	/fragments/Games		frosty	\N
2	/Knowledge/Help/SUCS Services/Logging in remotely/Using Authorisation Keys to log in	Log in using a key (removes need for password, using highly secure RSA algorithm)	dez	\N
3	/Knowledge/Help/SUCS Services/Logging in remotely/Configuring PuTTY	How to login to SUCS remotely using PuTTY	dez	\N
4	/Knowledge/Help/SUCS Services/Logging in remotely	How to login from your own computer	dez	\N
5	/Knowledge/Help/SUCS Services/Administering a mailing list	How to administer a mailing list (for societies)	dez	\N
6	/Knowledge/Help/SUCS Services/Accessing your email	Generic mail settings	dez	\N
7	/Knowledge/Help/SUCS Services/Accessing your email/Configuring OS X Mail	How to get your SUCS mail in OS X Mail	dez	\N
8	/Knowledge/Help/SUCS Services/Accessing your email/Configuring Thunderbird	How to get your SUCS mail in Thunderbird	dez	\N
9	/Knowledge/Help/SUCS Services/Accessing your email/Using shell-based mail clients	How to get your SUCS mail via a shell	dez	\N
10	/Knowledge/Help/SUCS Services/Connecting to GuestNet	Using your own computer in the SUCS room	dez	\N
11	/Knowledge/Help/SUCS Services/Jabber Server HOWTO	A guide to registering on and using the SUCS Jabber server.	dez	\N
12	/Knowledge/Help/SUCS Services/Jabber Server HOWTO/Jabber with Gaim	How to set up Jabber using Gaim	dez	\N
13	/Knowledge/Help/SUCS Services/Using Desktop on Demand	Accessing the SUCS <em>Desktop on Demand</em> system	dez	\N
14	/Knowledge/Help/SUCS Services/Using Milliways	How to use Milliways (The SUCS BBS)	dez	\N
15	/Knowledge/Help/SUCS Services/Using Milliways/Correcting your character encoding in Milliways	How to be able to see all those weird / foreign characters, and the pounds sign, that get posted to Milliways occasionally	dez	\N
16	/Knowledge/Help/SUCS Services/Using Milliways/Setting up Milliways Scripts	How to set up some basic Milliways scripts for colour coding, etc.	dez	\N
17	/Knowledge/Help/SUCS Services/Using SVN	How to set up a personal Subversion repository at SUCS	dez	\N
18	/Knowledge/Help/SUCS Services/Using Samba	Assigning your SUCS disk space to a logical drive letter	dez	\N
19	/Knowledge/Help/SUCS Services/Using WebDAV	Accessing your SUCS disk space using WebDAV	dez	\N
20	/Knowledge/Help/SUCS Services/Using mailing lists	How to subscribe to mailing lists and use them	dez	\N
46	/Community/Societies		dez	\N
22	/About/Room		chckens	\N
23	/About/Room-secondary		chckens	\N
44	/fragments/Front		dez	\N
50	/Knowledge/FAQ		frosty	\N
25	/Knowledge/Help/SUCS Services	Help on Services	dez	\N
26	/fragments/Games/Counter-Strike Source		chckens	\N
27	/fragments/Games/Unreal Tournament		frosty	\N
29	/fragments/Half-Life 2 Team Deathmatch		frosty	\N
30	/fragments/Games/Half-Life 2 Team Deathmatch		frosty	\N
31	/fragments/Games/Unreal Tournament 2004		frosty	\N
32	/fragments/Games/Armagetron Advanced		frosty	\N
33	/Games-secondary		frosty	\N
54	/fragments/Downloads-secondary		frosty	\N
34	/fragments/Join		dez	\N
36	/Games/Half-Life 2 Team Deathmatch		chckens	\N
39	/Games/Armagetron Advanced		chckens	\N
40	/fragments/Milliways		chckens	\N
41	/Knowledge/Help/Program Advisory/Reading an arbitrarily long line in C		wedge	\N
42	/Knowledge/Help/Program Advisory		wedge	\N
43	/Knowledge/Help/Admin Tools/GuestNET Registration		wedge	\N
55	/Knowledge/Downloads-secondary		frosty	\N
45	/Community/Members		dez	\N
47	/Tools/Desktop on Demand		dez	\N
53	/Knowledge/Downloads		frosty	\N
48	/Tools		saya	\N
49	/Knowledge		saya	\N
24	/Community		dez	\N
21	/About/Staff		pwb	\N
35	/Games/Counter-Strike Source		frosty	\N
37	/Games/Unreal Tournament 2004		frosty	\N
38	/Games/Unreal Tournament		frosty	\N
52	/Games/Half-Life 2: Deathmatch		frosty	\N
\.


--
-- Name: acctype_pkey; Type: CONSTRAINT; Schema: public; Owner: dez; Tablespace: 
--

ALTER TABLE ONLY acctype
    ADD CONSTRAINT acctype_pkey PRIMARY KEY (id);


--
-- Name: awards_pkey; Type: CONSTRAINT; Schema: public; Owner: chckens; Tablespace: 
--

ALTER TABLE ONLY awards
    ADD CONSTRAINT awards_pkey PRIMARY KEY (id);


--
-- Name: bookcategories_pkey; Type: CONSTRAINT; Schema: public; Owner: chckens; Tablespace: 
--

ALTER TABLE ONLY bookcategories
    ADD CONSTRAINT bookcategories_pkey PRIMARY KEY (id);


--
-- Name: books_pkey; Type: CONSTRAINT; Schema: public; Owner: arthur; Tablespace: 
--

ALTER TABLE ONLY books
    ADD CONSTRAINT books_pkey PRIMARY KEY (id);


--
-- Name: menu_pkey; Type: CONSTRAINT; Schema: public; Owner: dez; Tablespace: 
--

ALTER TABLE ONLY menu
    ADD CONSTRAINT menu_pkey PRIMARY KEY (id);


--
-- Name: pastebin_pkey; Type: CONSTRAINT; Schema: public; Owner: dez; Tablespace: 
--

ALTER TABLE ONLY pastebin
    ADD CONSTRAINT pastebin_pkey PRIMARY KEY (id);


--
-- Name: booktags_bookid_fkey; Type: FK CONSTRAINT; Schema: public; Owner: chckens
--

ALTER TABLE ONLY booktags
    ADD CONSTRAINT booktags_bookid_fkey FOREIGN KEY (bookid) REFERENCES books(id);


--
-- Name: booktags_tag_fkey; Type: FK CONSTRAINT; Schema: public; Owner: chckens
--

ALTER TABLE ONLY booktags
    ADD CONSTRAINT booktags_tag_fkey FOREIGN KEY (tag) REFERENCES bookcategories(id);


--
-- Name: menu_heading_fkey; Type: FK CONSTRAINT; Schema: public; Owner: dez
--

ALTER TABLE ONLY menu
    ADD CONSTRAINT menu_heading_fkey FOREIGN KEY (parent) REFERENCES menu(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- Name: acctype; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE acctype FROM PUBLIC;
REVOKE ALL ON TABLE acctype FROM dez;
GRANT ALL ON TABLE acctype TO dez;
GRANT ALL ON TABLE acctype TO apache;
GRANT SELECT ON TABLE acctype TO PUBLIC;


--
-- Name: acctype_id_seq; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE acctype_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE acctype_id_seq FROM dez;
GRANT ALL ON TABLE acctype_id_seq TO dez;
GRANT ALL ON TABLE acctype_id_seq TO apache;


--
-- Name: awards; Type: ACL; Schema: public; Owner: chckens
--

REVOKE ALL ON TABLE awards FROM PUBLIC;
REVOKE ALL ON TABLE awards FROM chckens;
GRANT ALL ON TABLE awards TO chckens;
GRANT ALL ON TABLE awards TO apache;
GRANT ALL ON TABLE awards TO dez;
GRANT SELECT ON TABLE awards TO PUBLIC;


--
-- Name: awards_id_seq; Type: ACL; Schema: public; Owner: chckens
--

REVOKE ALL ON TABLE awards_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE awards_id_seq FROM chckens;
GRANT ALL ON TABLE awards_id_seq TO chckens;
GRANT ALL ON TABLE awards_id_seq TO dez;
GRANT ALL ON TABLE awards_id_seq TO apache;


--
-- Name: bookcategories; Type: ACL; Schema: public; Owner: chckens
--

REVOKE ALL ON TABLE bookcategories FROM PUBLIC;
REVOKE ALL ON TABLE bookcategories FROM chckens;
GRANT ALL ON TABLE bookcategories TO chckens;
GRANT ALL ON TABLE bookcategories TO apache;
GRANT SELECT ON TABLE bookcategories TO PUBLIC;


--
-- Name: books; Type: ACL; Schema: public; Owner: arthur
--

REVOKE ALL ON TABLE books FROM PUBLIC;
REVOKE ALL ON TABLE books FROM arthur;
GRANT ALL ON TABLE books TO arthur;
GRANT ALL ON TABLE books TO apache;
GRANT SELECT ON TABLE books TO crystal;
GRANT SELECT ON TABLE books TO PUBLIC;


--
-- Name: books_id_seq; Type: ACL; Schema: public; Owner: arthur
--

REVOKE ALL ON TABLE books_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE books_id_seq FROM arthur;
GRANT ALL ON TABLE books_id_seq TO arthur;
GRANT ALL ON TABLE books_id_seq TO apache;


--
-- Name: booktags; Type: ACL; Schema: public; Owner: chckens
--

REVOKE ALL ON TABLE booktags FROM PUBLIC;
REVOKE ALL ON TABLE booktags FROM chckens;
GRANT ALL ON TABLE booktags TO chckens;
GRANT ALL ON TABLE booktags TO apache;
GRANT SELECT ON TABLE booktags TO PUBLIC;


--
-- Name: games; Type: ACL; Schema: public; Owner: chckens
--

REVOKE ALL ON TABLE games FROM PUBLIC;
REVOKE ALL ON TABLE games FROM chckens;
GRANT ALL ON TABLE games TO chckens;
GRANT ALL ON TABLE games TO apache;
GRANT ALL ON TABLE games TO dez;
GRANT SELECT ON TABLE games TO PUBLIC;


--
-- Name: games_id_seq; Type: ACL; Schema: public; Owner: chckens
--

REVOKE ALL ON TABLE games_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE games_id_seq FROM chckens;
GRANT ALL ON TABLE games_id_seq TO chckens;
GRANT ALL ON TABLE games_id_seq TO apache;
GRANT ALL ON TABLE games_id_seq TO dez;


--
-- Name: menu; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE menu FROM PUBLIC;
REVOKE ALL ON TABLE menu FROM dez;
GRANT ALL ON TABLE menu TO dez;
GRANT ALL ON TABLE menu TO apache;
GRANT SELECT ON TABLE menu TO PUBLIC;


--
-- Name: menu_id_seq; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE menu_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE menu_id_seq FROM dez;
GRANT ALL ON TABLE menu_id_seq TO dez;
GRANT ALL ON TABLE menu_id_seq TO apache;


--
-- Name: news; Type: ACL; Schema: public; Owner: chckens
--

REVOKE ALL ON TABLE news FROM PUBLIC;
REVOKE ALL ON TABLE news FROM chckens;
GRANT ALL ON TABLE news TO chckens;
GRANT ALL ON TABLE news TO dez;
GRANT ALL ON TABLE news TO apache;
GRANT SELECT ON TABLE news TO PUBLIC;


--
-- Name: news_id_seq; Type: ACL; Schema: public; Owner: chckens
--

REVOKE ALL ON TABLE news_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE news_id_seq FROM chckens;
GRANT ALL ON TABLE news_id_seq TO chckens;
GRANT ALL ON TABLE news_id_seq TO dez;
GRANT ALL ON TABLE news_id_seq TO apache;


--
-- Name: pagemap; Type: ACL; Schema: public; Owner: arthur
--

REVOKE ALL ON TABLE pagemap FROM PUBLIC;
REVOKE ALL ON TABLE pagemap FROM arthur;
GRANT ALL ON TABLE pagemap TO arthur;
GRANT ALL ON TABLE pagemap TO apache;
GRANT ALL ON TABLE pagemap TO dez;
GRANT SELECT ON TABLE pagemap TO PUBLIC;


--
-- Name: pagemap_id_seq; Type: ACL; Schema: public; Owner: arthur
--

REVOKE ALL ON TABLE pagemap_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE pagemap_id_seq FROM arthur;
GRANT ALL ON TABLE pagemap_id_seq TO arthur;
GRANT ALL ON TABLE pagemap_id_seq TO apache;
GRANT ALL ON TABLE pagemap_id_seq TO dez;


--
-- Name: pastebin; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE pastebin FROM PUBLIC;
REVOKE ALL ON TABLE pastebin FROM dez;
GRANT ALL ON TABLE pastebin TO dez;
GRANT ALL ON TABLE pastebin TO apache;
GRANT SELECT ON TABLE pastebin TO aeternus;
GRANT SELECT ON TABLE pastebin TO PUBLIC;


--
-- Name: pastebin_comment; Type: ACL; Schema: public; Owner: arthur
--

REVOKE ALL ON TABLE pastebin_comment FROM PUBLIC;
REVOKE ALL ON TABLE pastebin_comment FROM arthur;
GRANT ALL ON TABLE pastebin_comment TO arthur;
GRANT SELECT ON TABLE pastebin_comment TO PUBLIC;


--
-- Name: pastebin_id_seq; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE pastebin_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE pastebin_id_seq FROM dez;
GRANT ALL ON TABLE pastebin_id_seq TO dez;
GRANT ALL ON TABLE pastebin_id_seq TO apache;


--
-- Name: redirect; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE redirect FROM PUBLIC;
REVOKE ALL ON TABLE redirect FROM dez;
GRANT ALL ON TABLE redirect TO dez;
GRANT ALL ON TABLE redirect TO apache;
GRANT SELECT ON TABLE redirect TO PUBLIC;


--
-- Name: redirect_id_seq; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE redirect_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE redirect_id_seq FROM dez;
GRANT ALL ON TABLE redirect_id_seq TO dez;
GRANT ALL ON TABLE redirect_id_seq TO apache;


--
-- Name: session; Type: ACL; Schema: public; Owner: arthur
--

REVOKE ALL ON TABLE "session" FROM PUBLIC;
REVOKE ALL ON TABLE "session" FROM arthur;
GRANT ALL ON TABLE "session" TO arthur;
GRANT ALL ON TABLE "session" TO apache;
GRANT ALL ON TABLE "session" TO dez;
GRANT INSERT ON TABLE "session" TO PUBLIC;


--
-- Name: shorturi; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE shorturi FROM PUBLIC;
REVOKE ALL ON TABLE shorturi FROM dez;
GRANT ALL ON TABLE shorturi TO dez;
GRANT ALL ON TABLE shorturi TO apache;
GRANT SELECT ON TABLE shorturi TO PUBLIC;


--
-- Name: shorturi_id_seq; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE shorturi_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE shorturi_id_seq FROM dez;
GRANT ALL ON TABLE shorturi_id_seq TO dez;
GRANT ALL ON TABLE shorturi_id_seq TO apache;


--
-- Name: static; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE static FROM PUBLIC;
REVOKE ALL ON TABLE static FROM dez;
GRANT ALL ON TABLE static TO dez;
GRANT ALL ON TABLE static TO apache;
GRANT SELECT ON TABLE static TO PUBLIC;


--
-- Name: static_id_seq; Type: ACL; Schema: public; Owner: dez
--

REVOKE ALL ON TABLE static_id_seq FROM PUBLIC;
REVOKE ALL ON TABLE static_id_seq FROM dez;
GRANT ALL ON TABLE static_id_seq TO dez;
GRANT ALL ON TABLE static_id_seq TO apache;


--
-- PostgreSQL database dump complete
--

